2013-11-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: check NEED_LIBOPTS

2013-11-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/invoke-certtool.texi, doc/invoke-danetool.texi,
	doc/invoke-gnutls-cli-debug.texi, doc/invoke-gnutls-cli.texi,
	doc/invoke-gnutls-serv.texi, doc/invoke-ocsptool.texi,
	doc/invoke-p11tool.texi, doc/invoke-psktool.texi,
	doc/invoke-srptool.texi, doc/invoke-tpmtool.texi,
	doc/manpages/tpmtool.1: updated autogenerated files.

2013-11-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, configure.ac: corrected check of usage of local libopts when
	autogen isn't present

2013-11-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-11-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_compress.c: disallow any compression in DTLS

2013-11-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-11-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-11-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/Makefile.am, tests/mini-deflate.c, tests/mini-record-2.c: 
	mini-deflate was combined with mini-record-2

2013-11-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_buffers.c, lib/gnutls_int.h, lib/gnutls_record.c,
	lib/gnutls_record.h: Corrected bug which affected compressed
	records.  Less space was provided for decryption than the required causing
	disconnection issues when compression was used.  The issue was
	pointed by Frank Zschockelt.  Also replaced the macros MAX_RECORD_RECV_SIZE and MAX_RECV_SIZE with
	max_decrypted_size() and max_record_recv_size().

2013-11-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ext/session_ticket.c: check return code of gnutls_rnd().

2013-11-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-11-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ext/session_ticket.c, lib/gnutls_int.h: Use AES-GCM to encrypt
	session tickets.

2013-11-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* cross.mk: updated cross.mk

2013-11-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/system.c: fixed for win32

2013-11-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_buffers.c: added assert to trace errors.

2013-11-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* cross.mk: updated

2013-11-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/Makefile.am: link all programs with libgnu_gpl to avoid
	conflicts from header files.

2013-11-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/gl/Makefile.am, src/gl/m4/gnulib-cache.m4,
	src/gl/m4/gnulib-comp.m4, src/gl/progname.c, src/gl/progname.h: 
	Added progname module which is used by error().

2013-11-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/socket.c: safer usage of strerror

2013-11-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am, src/Makefile.am: use the AUTOGEN variable

2013-11-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/Makefile.am, src/libopts/Makefile.am: use libtool to generate
	libopts

2013-11-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/Makefile.am: corrected libopts patch

2013-11-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/gl/error.c: removed unneed line

2013-11-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore: ignore xssl manpages

2013-11-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_priority.c: prioritize any GCM ciphersuite over CBC in
	secure128 level.

2013-11-17  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* Makefile.am: generate ChangeLog after doc/ is checked.

2013-11-17  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am, doc/manpages/Makefile.am: updated Makefiles

2013-11-17  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/scripts/getfuncs.pl: made more clever to ignore inline
	function body.

2013-11-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-gtls-app.texi: doc update

2013-11-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-11-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/libgnutls.map: exported gnutls_est_record_overhead_size

2013-11-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_global.c: if GNUTLS_DEBUG_LEVEL is specified the log
	function is not updated if it is already set.

2013-11-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-gtls-app.texi: doc update

2013-11-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-11-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* cfg.mk: updated glimport

2013-11-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* cfg.mk, doc/invoke-certtool.texi, doc/invoke-danetool.texi,
	doc/invoke-ocsptool.texi, doc/invoke-p11tool.texi,
	doc/invoke-psktool.texi, doc/invoke-srptool.texi,
	doc/invoke-tpmtool.texi, src/certtool-args.def: doc update

2013-11-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/cert-tests/Makefile.am, tests/cert-tests/template-date.pem,
	tests/cert-tests/template-date.tmpl, tests/cert-tests/template-test: 
	Added self checks for new date reading functionality

2013-11-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore, src/Makefile.am, src/certtool-args.def,
	src/certtool-cfg.c, src/certtool-cfg.h, src/certtool.c: Added
	activation_date and expiration_date options to certtool template
	file.

2013-11-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore, Makefile.am, build-aux/ylwrap, configure.ac,
	src/Makefile.am, src/gl/Makefile.am, src/gl/alloca.in.h,
	src/gl/c-ctype.c, src/gl/c-ctype.h, src/gl/errno.in.h,
	src/gl/error.c, src/gl/error.h, src/gl/exitfail.c,
	src/gl/exitfail.h, src/gl/gettext.h, src/gl/gettime.c,
	src/gl/gettimeofday.c, src/gl/intprops.h, src/gl/m4/00gnulib.m4,
	src/gl/m4/alloca.m4, src/gl/m4/bison.m4, src/gl/m4/clock_time.m4,
	src/gl/m4/eealloc.m4, src/gl/m4/environ.m4, src/gl/m4/errno_h.m4,
	src/gl/m4/error.m4, src/gl/m4/extensions.m4,
	src/gl/m4/extern-inline.m4, src/gl/m4/gettime.m4,
	src/gl/m4/gettimeofday.m4, src/gl/m4/gnulib-cache.m4,
	src/gl/m4/gnulib-common.m4, src/gl/m4/gnulib-comp.m4,
	src/gl/m4/gnulib-tool.m4, src/gl/m4/include_next.m4,
	src/gl/m4/longlong.m4, src/gl/m4/malloca.m4, src/gl/m4/mktime.m4,
	src/gl/m4/msvc-inval.m4, src/gl/m4/msvc-nothrow.m4,
	src/gl/m4/multiarch.m4, src/gl/m4/off_t.m4,
	src/gl/m4/parse-datetime.m4, src/gl/m4/setenv.m4,
	src/gl/m4/ssize_t.m4, src/gl/m4/stdbool.m4, src/gl/m4/stddef_h.m4,
	src/gl/m4/stdint.m4, src/gl/m4/stdlib_h.m4, src/gl/m4/strerror.m4,
	src/gl/m4/string_h.m4, src/gl/m4/sys_socket_h.m4,
	src/gl/m4/sys_time_h.m4, src/gl/m4/sys_types_h.m4,
	src/gl/m4/time_h.m4, src/gl/m4/time_r.m4, src/gl/m4/timespec.m4,
	src/gl/m4/tm_gmtoff.m4, src/gl/m4/unistd_h.m4,
	src/gl/m4/warn-on-use.m4, src/gl/m4/wchar_t.m4,
	src/gl/m4/xalloc.m4, src/gl/malloca.c, src/gl/malloca.h,
	src/gl/malloca.valgrind, src/gl/mktime-internal.h, src/gl/mktime.c,
	src/gl/msvc-inval.c, src/gl/msvc-inval.h, src/gl/msvc-nothrow.c,
	src/gl/msvc-nothrow.h, src/gl/parse-datetime.h,
	src/gl/parse-datetime.y, src/gl/setenv.c, src/gl/stdbool.in.h,
	src/gl/stddef.in.h, src/gl/stdint.in.h, src/gl/stdlib.in.h,
	src/gl/strerror-override.c, src/gl/strerror-override.h,
	src/gl/strerror.c, src/gl/string.in.h, src/gl/sys_time.in.h,
	src/gl/sys_types.in.h, src/gl/time.in.h, src/gl/time_r.c,
	src/gl/timespec.c, src/gl/timespec.h, src/gl/unistd.c,
	src/gl/unistd.in.h, src/gl/unsetenv.c, src/gl/verify.h,
	src/gl/xalloc-die.c, src/gl/xalloc-oversized.h, src/gl/xalloc.h,
	src/gl/xmalloc.c: Added a gnulib with GPL components for use by
	applications.

2013-11-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* gl/Makefile.am, gl/base64.c, gl/intprops.h,
	gl/m4/extern-inline.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/tests/Makefile.am, gl/tests/intprops.h,
	maint.mk: Added intprops module

2013-11-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/invoke-certtool.texi, doc/invoke-danetool.texi,
	doc/invoke-gnutls-cli-debug.texi, doc/invoke-gnutls-cli.texi,
	doc/invoke-gnutls-serv.texi, doc/invoke-ocsptool.texi,
	doc/invoke-p11tool.texi, doc/invoke-psktool.texi,
	doc/invoke-srptool.texi, doc/invoke-tpmtool.texi, src/args-std.def: 
	corrected bug reporting address.

2013-11-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-11-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am, doc/invoke-certtool.texi,
	doc/invoke-danetool.texi, doc/invoke-gnutls-cli-debug.texi,
	doc/invoke-gnutls-cli.texi, doc/invoke-gnutls-serv.texi,
	doc/invoke-ocsptool.texi, doc/invoke-p11tool.texi,
	doc/invoke-psktool.texi, doc/invoke-srptool.texi,
	doc/invoke-tpmtool.texi: force serialized generation of
	invoke-*texi, to avoid autogen issue.

2013-11-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/certtool-args.def, src/certtool-cfg.c, src/certtool.c: Check
	for overflows when setting time and allow a time of -1.

2013-11-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/common.c, tests/cert-tests/Makefile.am,
	tests/cert-tests/template-overflow.pem,
	tests/cert-tests/template-overflow.tmpl,
	tests/cert-tests/template-overflow2.pem,
	tests/cert-tests/template-overflow2.tmpl,
	tests/cert-tests/template-test: Dates and time that would overflow
	the GeneralTime are also truncated. We may need to revise that
	around 9999 CE.

2013-11-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/common.c, lib/x509/x509_write.c: An expiration time of
	(time_t)-1 will set to the no well-defined expiration date value.

2013-11-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-11-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_handshake.c: correctly set the ciphersuite when the
	set_premaster interface is used.

2013-11-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_state.c: check for a valid blocksize prior to entering
	loop

2013-11-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-11-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_global.c: The environment variable GNUTLS_DEBUG_LEVEL
	if set to a number will enable logging to stderr.

2013-11-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/system.c: removed unneeded definition

2013-11-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-11-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, configure.ac, m4/hooks.m4: bumped version

2013-11-14  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-11-12  Nikos Mavrogiannopoulos <nmav@redhat.com>

	* lib/gnutls_global.c: doc update

2013-11-11  Nikos Mavrogiannopoulos <nmav@redhat.com>

	* lib/system.h: define GNUTLS_PATH_MAX globally.

2013-11-13  Nikos Mavrogiannopoulos <nmav@redhat.com>

	* tests/suite/testcompat, tests/suite/testcompat-main: corrected
	issue with a not-yet-valid certificate

2013-11-13  Nikos Mavrogiannopoulos <nmav@redhat.com>

	* src/udp-serv.c: corrected bug in gnutls-cli when used on IPv6
	addresses.

2013-11-13  Nikos Mavrogiannopoulos <nmav@redhat.com>

	* tests/suite/testcompat, tests/suite/testcompat-main: hacks to work
	with fedora's openssl

2013-11-13  Nikos Mavrogiannopoulos <nmav@redhat.com>

	* configure.ac: print whether the local libopts or libtasn1 are
	being used.

2013-11-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac, lib/pkcs11.c: Revert "[PATCH] Update to use new
	p11-kit APIs" This reverts commit 8131d73270eac89e4eec69b2228156b02dd5e8de.  Avoid
	requiring the new p11-kit for the 3.2 branch.

2013-11-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_x509.c: doc update

2013-11-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/suite/testcompat: do not run on clippled versions of openssl

2013-11-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/suite/ciphersuite/test-ciphers.js,
	tests/suite/ciphersuite/test-ciphersuites.sh: improved ciphersuite
	test

2013-11-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/utils.c: always exit when fail is called.

2013-11-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/invoke-gnutls-cli.texi, src/cli-args.def: doc update

2013-11-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-11-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, doc/cha-gtls-app.texi, lib/ext/Makefile.am,
	lib/ext/dumbfw.c, lib/ext/dumbfw.h, lib/gnutls_extensions.c,
	lib/gnutls_int.h, lib/gnutls_priority.c: Added %DUMBFW priority
	string option.  This works around issues when connecting behind some firewalls.

2013-11-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-handshake-timeout.c: Ignore SIGPIPE.  Diagnosed by Petr Salinger and Steven Chamberlain. Reported by
	Andreas Metzler.

2013-11-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/invoke-p11tool.texi, src/p11tool-args.def: doc update

2013-11-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, src/common.c, tests/suite/testpkcs11: use GNUTLS_PIN instead
	of GNUTLS_PKCS11_PIN.

2013-11-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-11-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/invoke-p11tool.texi: doc update

2013-11-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/suite/pkcs11-certs/ca-tmpl,
	tests/suite/pkcs11-certs/ca.crt, tests/suite/pkcs11-certs/ca.key,
	tests/suite/pkcs11-certs/client-tmpl,
	tests/suite/pkcs11-certs/client.crt,
	tests/suite/pkcs11-certs/client.key,
	tests/suite/pkcs11-certs/server-tmpl,
	tests/suite/pkcs11-certs/server.crt,
	tests/suite/pkcs11-certs/server.key, tests/suite/testpkcs11: Added
	test suite for PKCS #11 cards (not executed automatically).

2013-11-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_x509.c, src/pkcs11.c: Avoid infinite loops with
	self-signed certificates present in the chain

2013-11-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: simplified checks

2013-11-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/common.c, src/p11tool-args.def: Allow getting the PIN from the
	GNUTLS_PKCS11_PIN environment variable.

2013-11-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/TODO: updated

2013-11-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-11-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_x509.c: When importing a certificate PKCS #11 try to
	import the whole chain.  This affects gnutls_certificate_set_x509_key_file*().

2013-11-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/p11tool-args.def, src/p11tool.c, src/p11tool.h, src/pkcs11.c: 
	Added export-chain option to p11tool

2013-11-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/Makefile.am, lib/gnutls_pubkey.c,
	lib/includes/gnutls/pkcs11.h, lib/libgnutls.map, lib/pkcs11.c,
	lib/pkcs11_int.c, lib/pkcs11_write.c, lib/x509/common.h,
	lib/x509/x509.c: Improvements in PKCS #11 support.  Added gnutls_pkcs11_obj_export3 and gnutls_pkcs11_get_raw_issuer.
	The latter function allows to obtain the issuer of a certificate
	stored in a token.  While traversing tokens, use the URL provided by the user, to avoid
	looking for objects in unrelated tokens.

2013-11-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: test before copy

2013-11-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/pkcs11_write.c: simplified gnutls_pkcs11_copy_x509_crt()

2013-11-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am, doc/scripts/gdoc, doc/scripts/getfuncs.pl,
	lib/includes/gnutls/gnutls.h.in: Improvements in the detection of
	function prototypes to account for the new indentation.

2013-11-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/invoke-certtool.texi, doc/invoke-danetool.texi,
	doc/invoke-gnutls-cli-debug.texi, doc/invoke-gnutls-cli.texi,
	doc/invoke-gnutls-serv.texi, doc/invoke-ocsptool.texi,
	doc/invoke-p11tool.texi, doc/invoke-psktool.texi,
	doc/invoke-srptool.texi, doc/invoke-tpmtool.texi,
	doc/manpages/tpmtool.1: doc update

2013-11-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/includes/gnutls/abstract.h, lib/includes/gnutls/compat.h,
	lib/includes/gnutls/crypto.h, lib/includes/gnutls/dtls.h,
	lib/includes/gnutls/gnutls.h.in, lib/includes/gnutls/ocsp.h,
	lib/includes/gnutls/openpgp.h, lib/includes/gnutls/pkcs11.h,
	lib/includes/gnutls/pkcs12.h, lib/includes/gnutls/tpm.h,
	lib/includes/gnutls/x509.h, lib/includes/gnutls/xssl.h: improved
	indentation in headers.

2013-11-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* Makefile.am, configure.ac: stribute the autogen'erated files as
	.bak and enable them only if local libopts is being used.

2013-11-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/alert-printlist.c, doc/common.c, doc/common.h,
	doc/errcodes.c, doc/examples/ex-alert.c,
	doc/examples/ex-cert-select-pkcs11.c,
	doc/examples/ex-cert-select.c, doc/examples/ex-client-anon.c,
	doc/examples/ex-client-dtls.c, doc/examples/ex-client-psk.c,
	doc/examples/ex-client-resume.c, doc/examples/ex-client-srp.c,
	doc/examples/ex-client-x509.c, doc/examples/ex-client-xssl1.c,
	doc/examples/ex-client-xssl2.c, doc/examples/ex-crq.c,
	doc/examples/ex-ocsp-client.c, doc/examples/ex-pkcs11-list.c,
	doc/examples/ex-pkcs12.c, doc/examples/ex-serv-anon.c,
	doc/examples/ex-serv-dtls.c, doc/examples/ex-serv-pgp.c,
	doc/examples/ex-serv-psk.c, doc/examples/ex-serv-srp.c,
	doc/examples/ex-serv-x509.c, doc/examples/ex-session-info.c,
	doc/examples/ex-verify-ssh.c, doc/examples/ex-verify.c,
	doc/examples/ex-x509-info.c, doc/examples/examples.h,
	doc/examples/print-ciphersuites.c, doc/examples/tcp.c,
	doc/examples/udp.c, doc/examples/verify.c, doc/printlist.c,
	extra/gnutls_openssl.c, extra/includes/gnutls/openssl.h,
	extra/openssl_compat.c, extra/openssl_compat.h, lib/abstract_int.h,
	lib/accelerated/accelerated.c, lib/accelerated/cryptodev-gcm.c,
	lib/accelerated/cryptodev.c, lib/accelerated/cryptodev.h,
	lib/accelerated/x86/aes-gcm-padlock.c,
	lib/accelerated/x86/aes-gcm-x86.c,
	lib/accelerated/x86/aes-padlock.c,
	lib/accelerated/x86/aes-padlock.h, lib/accelerated/x86/aes-x86.c,
	lib/accelerated/x86/aes-x86.h, lib/accelerated/x86/hmac-padlock.c,
	lib/accelerated/x86/sha-padlock.c,
	lib/accelerated/x86/sha-padlock.h, lib/accelerated/x86/x86.h,
	lib/algorithms.h, lib/algorithms/cert_types.c,
	lib/algorithms/ciphers.c, lib/algorithms/ciphersuites.c,
	lib/algorithms/ecc.c, lib/algorithms/kx.c, lib/algorithms/mac.c,
	lib/algorithms/protocols.c, lib/algorithms/publickey.c,
	lib/algorithms/secparams.c, lib/algorithms/sign.c, lib/auth/anon.c,
	lib/auth/anon.h, lib/auth/anon_ecdh.c, lib/auth/cert.c,
	lib/auth/cert.h, lib/auth/dh_common.c, lib/auth/dh_common.h,
	lib/auth/dhe.c, lib/auth/dhe_psk.c, lib/auth/ecdhe.c,
	lib/auth/ecdhe.h, lib/auth/psk.c, lib/auth/psk.h,
	lib/auth/psk_passwd.c, lib/auth/psk_passwd.h, lib/auth/rsa.c,
	lib/auth/rsa_common.h, lib/auth/rsa_psk.c, lib/auth/srp.c,
	lib/auth/srp.h, lib/auth/srp_passwd.c, lib/auth/srp_passwd.h,
	lib/auth/srp_rsa.c, lib/auth/srp_sb64.c, lib/crypto-api.c,
	lib/crypto-backend.c, lib/crypto-backend.h, lib/crypto.h,
	lib/debug.c, lib/debug.h, lib/ext/alpn.c, lib/ext/alpn.h,
	lib/ext/cert_type.c, lib/ext/ecc.c, lib/ext/ecc.h,
	lib/ext/heartbeat.c, lib/ext/heartbeat.h, lib/ext/max_record.c,
	lib/ext/new_record_padding.c, lib/ext/safe_renegotiation.c,
	lib/ext/safe_renegotiation.h, lib/ext/server_name.c,
	lib/ext/server_name.h, lib/ext/session_ticket.c,
	lib/ext/session_ticket.h, lib/ext/signature.c, lib/ext/signature.h,
	lib/ext/srp.c, lib/ext/srp.h, lib/ext/srtp.c, lib/ext/srtp.h,
	lib/ext/status_request.c, lib/ext/status_request.h,
	lib/extras/randomart.c, lib/extras/randomart.h, lib/gnutls_alert.c,
	lib/gnutls_anon_cred.c, lib/gnutls_asn1_tab.c, lib/gnutls_auth.c,
	lib/gnutls_auth.h, lib/gnutls_buffers.c, lib/gnutls_buffers.h,
	lib/gnutls_cert.c, lib/gnutls_cipher.c, lib/gnutls_cipher.h,
	lib/gnutls_cipher_int.c, lib/gnutls_cipher_int.h,
	lib/gnutls_compress.c, lib/gnutls_compress.h,
	lib/gnutls_constate.c, lib/gnutls_constate.h, lib/gnutls_datum.c,
	lib/gnutls_datum.h, lib/gnutls_db.c, lib/gnutls_db.h,
	lib/gnutls_dh.c, lib/gnutls_dh.h, lib/gnutls_dh_primes.c,
	lib/gnutls_dtls.c, lib/gnutls_dtls.h, lib/gnutls_ecc.c,
	lib/gnutls_ecc.h, lib/gnutls_errors.c, lib/gnutls_errors.h,
	lib/gnutls_extensions.c, lib/gnutls_extensions.h,
	lib/gnutls_global.c, lib/gnutls_global.h, lib/gnutls_handshake.c,
	lib/gnutls_handshake.h, lib/gnutls_hash_int.c,
	lib/gnutls_hash_int.h, lib/gnutls_helper.c, lib/gnutls_helper.h,
	lib/gnutls_int.h, lib/gnutls_kx.c, lib/gnutls_kx.h,
	lib/gnutls_mbuffers.c, lib/gnutls_mbuffers.h, lib/gnutls_mem.c,
	lib/gnutls_mem.h, lib/gnutls_mpi.c, lib/gnutls_mpi.h,
	lib/gnutls_num.c, lib/gnutls_num.h, lib/gnutls_pcert.c,
	lib/gnutls_pk.c, lib/gnutls_pk.h, lib/gnutls_priority.c,
	lib/gnutls_privkey.c, lib/gnutls_psk.c, lib/gnutls_pubkey.c,
	lib/gnutls_range.c, lib/gnutls_record.c, lib/gnutls_record.h,
	lib/gnutls_rsa_export.c, lib/gnutls_session.c,
	lib/gnutls_session_pack.c, lib/gnutls_session_pack.h,
	lib/gnutls_sig.c, lib/gnutls_sig.h, lib/gnutls_srp.c,
	lib/gnutls_srp.h, lib/gnutls_state.c, lib/gnutls_state.h,
	lib/gnutls_str.c, lib/gnutls_str.h, lib/gnutls_str_array.h,
	lib/gnutls_supplemental.c, lib/gnutls_supplemental.h,
	lib/gnutls_ui.c, lib/gnutls_v2_compat.c, lib/gnutls_v2_compat.h,
	lib/gnutls_x509.c, lib/gnutls_x509.h,
	lib/includes/gnutls/abstract.h, lib/includes/gnutls/compat.h,
	lib/includes/gnutls/crypto.h, lib/includes/gnutls/dtls.h,
	lib/includes/gnutls/gnutlsxx.h, lib/includes/gnutls/ocsp.h,
	lib/includes/gnutls/openpgp.h, lib/includes/gnutls/pkcs11.h,
	lib/includes/gnutls/pkcs12.h, lib/includes/gnutls/tpm.h,
	lib/includes/gnutls/x509.h, lib/includes/gnutls/xssl.h,
	lib/locks.c, lib/minitasn1/coding.c, lib/minitasn1/decoding.c,
	lib/minitasn1/element.c, lib/minitasn1/element.h,
	lib/minitasn1/errors.c, lib/minitasn1/gstr.c, lib/minitasn1/gstr.h,
	lib/minitasn1/int.h, lib/minitasn1/libtasn1.h,
	lib/minitasn1/parser_aux.c, lib/minitasn1/parser_aux.h,
	lib/minitasn1/structure.c, lib/minitasn1/structure.h,
	lib/minitasn1/version.c, lib/nettle/cipher.c, lib/nettle/egd.c,
	lib/nettle/egd.h, lib/nettle/gcm-camellia.c,
	lib/nettle/gcm-camellia.h, lib/nettle/init.c, lib/nettle/mac.c,
	lib/nettle/mpi.c, lib/nettle/pk.c, lib/nettle/rnd.c,
	lib/opencdk/armor.c, lib/opencdk/context.h, lib/opencdk/filters.h,
	lib/opencdk/kbnode.c, lib/opencdk/keydb.c, lib/opencdk/keydb.h,
	lib/opencdk/literal.c, lib/opencdk/main.h, lib/opencdk/misc.c,
	lib/opencdk/new-packet.c, lib/opencdk/opencdk.h,
	lib/opencdk/packet.h, lib/opencdk/pubkey.c,
	lib/opencdk/read-packet.c, lib/opencdk/seskey.c,
	lib/opencdk/sig-check.c, lib/opencdk/stream.c,
	lib/opencdk/stream.h, lib/opencdk/types.h,
	lib/opencdk/write-packet.c, lib/openpgp/compat.c,
	lib/openpgp/extras.c, lib/openpgp/gnutls_openpgp.c,
	lib/openpgp/gnutls_openpgp.h, lib/openpgp/openpgp_int.h,
	lib/openpgp/output.c, lib/openpgp/pgp.c, lib/openpgp/pgpverify.c,
	lib/openpgp/privkey.c, lib/pin.c, lib/pin.h, lib/pkcs11.c,
	lib/pkcs11_int.h, lib/pkcs11_privkey.c, lib/pkcs11_secret.c,
	lib/pkcs11_write.c, lib/pkix_asn1_tab.c, lib/random.c,
	lib/random.h, lib/system.c, lib/system.h, lib/system_override.c,
	lib/tpm.c, lib/vasprintf.c, lib/vasprintf.h, lib/verify-tofu.c,
	lib/x509/common.c, lib/x509/common.h, lib/x509/crl.c,
	lib/x509/crl_write.c, lib/x509/crq.c, lib/x509/dn.c,
	lib/x509/extensions.c, lib/x509/key_decode.c,
	lib/x509/key_encode.c, lib/x509/mpi.c, lib/x509/ocsp.c,
	lib/x509/ocsp_output.c, lib/x509/output.c, lib/x509/pbkdf2-sha1.c,
	lib/x509/pbkdf2-sha1.h, lib/x509/pkcs12.c, lib/x509/pkcs12_bag.c,
	lib/x509/pkcs12_encr.c, lib/x509/pkcs7.c, lib/x509/privkey.c,
	lib/x509/privkey_openssl.c, lib/x509/privkey_pkcs8.c,
	lib/x509/rfc2818_hostname.c, lib/x509/sign.c,
	lib/x509/verify-high.c, lib/x509/verify-high.h,
	lib/x509/verify-high2.c, lib/x509/verify.c, lib/x509/x509.c,
	lib/x509/x509_dn.c, lib/x509/x509_int.h, lib/x509/x509_write.c,
	lib/x509_b64.c, lib/x509_b64.h, lib/xssl.c, lib/xssl.h,
	lib/xssl_getline.c, libdane/dane-params.c, libdane/dane.c,
	libdane/errors.c, libdane/includes/gnutls/dane.h,
	src/benchmark-cipher.c, src/benchmark-tls.c, src/benchmark.c,
	src/benchmark.h, src/certtool-cfg.c, src/certtool-cfg.h,
	src/certtool-common.c, src/certtool-common.h,
	src/certtool-extras.c, src/certtool.c, src/cli-debug.c, src/cli.c,
	src/common.c, src/common.h, src/crywrap/crywrap.c,
	src/crywrap/crywrap.h, src/crywrap/primes.h, src/danetool.c,
	src/inline_cmds.h, src/list.h, src/ocsptool-common.c,
	src/ocsptool-common.h, src/ocsptool.c, src/p11tool.c,
	src/p11tool.h, src/pkcs11.c, src/psk.c, src/serv.c, src/socket.c,
	src/socket.h, src/srptool.c, src/tests.c, src/tests.h,
	src/tpmtool.c, src/udp-serv.c, src/udp-serv.h, tests/anonself.c,
	tests/certder.c, tests/certificate_set_x509_crl.c,
	tests/certuniqueid.c, tests/chainverify-unsorted.c,
	tests/chainverify.c, tests/crq_apis.c, tests/crq_key_id.c,
	tests/cve-2008-4989.c, tests/cve-2009-1415.c,
	tests/cve-2009-1416.c, tests/dhepskself.c, tests/dn.c, tests/dn2.c,
	tests/dtls/dtls-stress.c, tests/eagain-common.h, tests/gc.c,
	tests/hostname-check.c, tests/infoaccess.c, tests/init_roundtrip.c,
	tests/key-openssl.c, tests/mini-alpn.c, tests/mini-cert-status.c,
	tests/mini-deflate.c, tests/mini-dtls-heartbeat.c,
	tests/mini-dtls-hello-verify.c, tests/mini-dtls-large.c,
	tests/mini-dtls-record.c, tests/mini-dtls-rehandshake.c,
	tests/mini-dtls-srtp.c, tests/mini-eagain-dtls.c,
	tests/mini-eagain.c, tests/mini-emsgsize-dtls.c,
	tests/mini-handshake-timeout.c, tests/mini-loss-time.c,
	tests/mini-overhead.c, tests/mini-record-2.c,
	tests/mini-record-range.c, tests/mini-record.c,
	tests/mini-rehandshake.c, tests/mini-rsa-psk.c, tests/mini-tdb.c,
	tests/mini-termination.c, tests/mini-x509-2.c,
	tests/mini-x509-callbacks.c, tests/mini-x509-cas.c,
	tests/mini-x509.c, tests/mini-xssl.c, tests/moredn.c, tests/mpi.c,
	tests/nul-in-x509-names.c, tests/ocsp.c, tests/openpgp-auth.c,
	tests/openpgp-auth2.c, tests/openpgp-keyring.c,
	tests/openpgp_test.c, tests/openpgpself.c, tests/openssl.c,
	tests/parse_ca.c, tests/pgps2kgnu.c, tests/pkcs12_encode.c,
	tests/pkcs12_s2k.c, tests/pkcs12_s2k_pem.c, tests/pkcs12_simple.c,
	tests/priorities.c, tests/pskself.c, tests/record-sizes-range.c,
	tests/record-sizes.c, tests/resume-dtls.c, tests/resume.c,
	tests/rng-fork.c, tests/rsa-encrypt-decrypt.c,
	tests/safe-renegotiation/srn0.c, tests/safe-renegotiation/srn1.c,
	tests/safe-renegotiation/srn2.c, tests/safe-renegotiation/srn3.c,
	tests/safe-renegotiation/srn4.c, tests/safe-renegotiation/srn5.c,
	tests/set_pkcs12_cred.c, tests/setcredcrash.c, tests/simple.c,
	tests/slow/cipher-test.c, tests/slow/gendh.c, tests/slow/keygen.c,
	tests/srp/mini-srp.c, tests/suite/ecore/eina_config.h,
	tests/suite/ecore/src/include/Eina.h,
	tests/suite/ecore/src/include/eina_accessor.h,
	tests/suite/ecore/src/include/eina_array.h,
	tests/suite/ecore/src/include/eina_benchmark.h,
	tests/suite/ecore/src/include/eina_binshare.h,
	tests/suite/ecore/src/include/eina_config.h,
	tests/suite/ecore/src/include/eina_convert.h,
	tests/suite/ecore/src/include/eina_counter.h,
	tests/suite/ecore/src/include/eina_cpu.h,
	tests/suite/ecore/src/include/eina_error.h,
	tests/suite/ecore/src/include/eina_file.h,
	tests/suite/ecore/src/include/eina_fp.h,
	tests/suite/ecore/src/include/eina_hamster.h,
	tests/suite/ecore/src/include/eina_hash.h,
	tests/suite/ecore/src/include/eina_inlist.h,
	tests/suite/ecore/src/include/eina_iterator.h,
	tests/suite/ecore/src/include/eina_lalloc.h,
	tests/suite/ecore/src/include/eina_list.h,
	tests/suite/ecore/src/include/eina_log.h,
	tests/suite/ecore/src/include/eina_magic.h,
	tests/suite/ecore/src/include/eina_main.h,
	tests/suite/ecore/src/include/eina_matrixsparse.h,
	tests/suite/ecore/src/include/eina_mempool.h,
	tests/suite/ecore/src/include/eina_module.h,
	tests/suite/ecore/src/include/eina_quadtree.h,
	tests/suite/ecore/src/include/eina_rbtree.h,
	tests/suite/ecore/src/include/eina_rectangle.h,
	tests/suite/ecore/src/include/eina_safety_checks.h,
	tests/suite/ecore/src/include/eina_sched.h,
	tests/suite/ecore/src/include/eina_str.h,
	tests/suite/ecore/src/include/eina_strbuf.h,
	tests/suite/ecore/src/include/eina_stringshare.h,
	tests/suite/ecore/src/include/eina_tiler.h,
	tests/suite/ecore/src/include/eina_trash.h,
	tests/suite/ecore/src/include/eina_types.h,
	tests/suite/ecore/src/include/eina_unicode.h,
	tests/suite/ecore/src/include/eina_ustrbuf.h,
	tests/suite/ecore/src/include/eina_ustringshare.h,
	tests/suite/ecore/src/lib/Ecore.h,
	tests/suite/ecore/src/lib/Ecore_Getopt.h,
	tests/suite/ecore/src/lib/ecore.c,
	tests/suite/ecore/src/lib/ecore_anim.c,
	tests/suite/ecore/src/lib/ecore_app.c,
	tests/suite/ecore/src/lib/ecore_events.c,
	tests/suite/ecore/src/lib/ecore_exe.c,
	tests/suite/ecore/src/lib/ecore_getopt.c,
	tests/suite/ecore/src/lib/ecore_glib.c,
	tests/suite/ecore/src/lib/ecore_idle_enterer.c,
	tests/suite/ecore/src/lib/ecore_idle_exiter.c,
	tests/suite/ecore/src/lib/ecore_idler.c,
	tests/suite/ecore/src/lib/ecore_job.c,
	tests/suite/ecore/src/lib/ecore_main.c,
	tests/suite/ecore/src/lib/ecore_pipe.c,
	tests/suite/ecore/src/lib/ecore_poll.c,
	tests/suite/ecore/src/lib/ecore_private.h,
	tests/suite/ecore/src/lib/ecore_signal.c,
	tests/suite/ecore/src/lib/ecore_thread.c,
	tests/suite/ecore/src/lib/ecore_time.c,
	tests/suite/ecore/src/lib/ecore_timer.c,
	tests/suite/ecore/src/lib/eina_accessor.c,
	tests/suite/ecore/src/lib/eina_array.c,
	tests/suite/ecore/src/lib/eina_benchmark.c,
	tests/suite/ecore/src/lib/eina_binshare.c,
	tests/suite/ecore/src/lib/eina_chained_mempool.c,
	tests/suite/ecore/src/lib/eina_convert.c,
	tests/suite/ecore/src/lib/eina_counter.c,
	tests/suite/ecore/src/lib/eina_cpu.c,
	tests/suite/ecore/src/lib/eina_error.c,
	tests/suite/ecore/src/lib/eina_file.c,
	tests/suite/ecore/src/lib/eina_fp.c,
	tests/suite/ecore/src/lib/eina_hamster.c,
	tests/suite/ecore/src/lib/eina_hash.c,
	tests/suite/ecore/src/lib/eina_inlist.c,
	tests/suite/ecore/src/lib/eina_iterator.c,
	tests/suite/ecore/src/lib/eina_lalloc.c,
	tests/suite/ecore/src/lib/eina_list.c,
	tests/suite/ecore/src/lib/eina_log.c,
	tests/suite/ecore/src/lib/eina_magic.c,
	tests/suite/ecore/src/lib/eina_main.c,
	tests/suite/ecore/src/lib/eina_matrixsparse.c,
	tests/suite/ecore/src/lib/eina_mempool.c,
	tests/suite/ecore/src/lib/eina_module.c,
	tests/suite/ecore/src/lib/eina_private.h,
	tests/suite/ecore/src/lib/eina_quadtree.c,
	tests/suite/ecore/src/lib/eina_rbtree.c,
	tests/suite/ecore/src/lib/eina_rectangle.c,
	tests/suite/ecore/src/lib/eina_safety_checks.c,
	tests/suite/ecore/src/lib/eina_sched.c,
	tests/suite/ecore/src/lib/eina_share_common.c,
	tests/suite/ecore/src/lib/eina_share_common.h,
	tests/suite/ecore/src/lib/eina_str.c,
	tests/suite/ecore/src/lib/eina_strbuf.c,
	tests/suite/ecore/src/lib/eina_strbuf_common.c,
	tests/suite/ecore/src/lib/eina_strbuf_common.h,
	tests/suite/ecore/src/lib/eina_stringshare.c,
	tests/suite/ecore/src/lib/eina_tiler.c,
	tests/suite/ecore/src/lib/eina_unicode.c,
	tests/suite/ecore/src/lib/eina_ustrbuf.c,
	tests/suite/ecore/src/lib/eina_ustringshare.c,
	tests/suite/ecore/src/lib/eina_value.c, tests/suite/mini-eagain2.c,
	tests/suite/mini-record-timing.c, tests/utils.c, tests/utils.h,
	tests/x509_altname.c, tests/x509cert-tl.c, tests/x509cert.c,
	tests/x509dn.c, tests/x509self.c, tests/x509sign-verify.c: 
	reindented code

2013-11-08  Nikos Mavrogiannopoulos <nmav@redhat.com>

	* lib/pkcs11.c: doc update

2013-11-08  Nikos Mavrogiannopoulos <nmav@redhat.com>

	* lib/includes/gnutls/gnutls.h.in, lib/x509/privkey.c: in
	gnutls_x509_privkey_generate() allow specifying an explicit curve.

2013-11-07  Daniel Kahn Gillmor <dkg@fifthhorseman.net>

	* src/certtool-args.def, src/certtool-common.c,
	src/certtool-common.h, src/certtool.c: enable --outder for certtool
	--dh-info "certool --dh-info --outder" produces PEM-encoded output without
	this patch.

2013-11-07  Daniel Kahn Gillmor <dkg@fifthhorseman.net>

	* src/certtool-args.def, src/certtool-common.c: enable --inder for
	certtool --dh-info certtool --dh-info is unable to read DER-encoded DH parameters
	without this patch.

2013-11-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-11-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/manpages/tpmtool.1: doc update

2013-11-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_errors.c: doc update

2013-11-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: use srcdir as prefix

2013-11-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: removed unneeded command

2013-11-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: print the flags used for libopts

2013-11-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: delete libopts generated files if system libopts is
	being used

2013-11-06  Nikos Mavrogiannopoulos <nmav@redhat.com>

	* lib/algorithms.h, lib/algorithms/ciphers.c, lib/gnutls_cipher.c,
	lib/gnutls_constate.c, lib/gnutls_dtls.c, lib/gnutls_int.h: 
	separated the TLS IV size and the cipher IV size.

2013-11-06  Nikos Mavrogiannopoulos <nmav@redhat.com>

	* configure.ac, src/libopts/Makefile.am: fixes in libopts
	compilation

2013-11-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* Makefile.am: make sure that .def files will be re-read on the
	compiling system.

2013-11-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/libopts/ag-char-map.h, src/libopts/ao-strs.c,
	src/libopts/ao-strs.h, src/libopts/autoopts/options.h,
	src/libopts/autoopts/usage-txt.h, src/libopts/compat/compat.h,
	src/libopts/compat/strchr.c, src/libopts/configfile.c,
	src/libopts/genshell.c, src/libopts/genshell.h,
	src/libopts/m4/libopts.m4, src/libopts/option-value-type.c,
	src/libopts/option-value-type.h,
	src/libopts/option-xat-attribute.c,
	src/libopts/option-xat-attribute.h, src/libopts/pgusage.c,
	src/libopts/proto.h, src/libopts/streqvcmp.c,
	src/libopts/text_mmap.c, src/libopts/usage.c: updated to libopts
	5.18.2

2013-11-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/certtool-cfg.c: better logging

2013-11-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/x509_dn.c: bug fix in gnutls_x509_crt_set_dn() at DN
	parsing.

2013-11-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/x509_dn.c: removed debugging info

2013-11-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_priority.c: do not set any default level

2013-11-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_priority.c: Assign very weak level to priority string
	NONE only.

2013-11-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/invoke-certtool.texi, doc/invoke-danetool.texi,
	doc/invoke-gnutls-cli.texi, doc/invoke-psktool.texi,
	doc/invoke-srptool.texi: doc update

2013-11-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore: ignore auto-generated files

2013-11-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/libopts/Makefile.am, src/libopts/ag-char-map.h,
	src/libopts/alias.c, src/libopts/ao-strs.c, src/libopts/ao-strs.h,
	src/libopts/autoopts.c, src/libopts/autoopts.h,
	src/libopts/autoopts/options.h, src/libopts/autoopts/project.h,
	src/libopts/autoopts/usage-txt.h, src/libopts/compat/pathfind.c,
	src/libopts/configfile.c, src/libopts/enum.c, src/libopts/find.c,
	src/libopts/genshell.c, src/libopts/genshell.h,
	src/libopts/gettext.h, src/libopts/init.c, src/libopts/load.c,
	src/libopts/m4/libopts.m4, src/libopts/makeshell.c,
	src/libopts/option-value-type.c, src/libopts/option-value-type.h,
	src/libopts/option-xat-attribute.c,
	src/libopts/option-xat-attribute.h, src/libopts/pgusage.c,
	src/libopts/proto.h, src/libopts/putshell.c, src/libopts/restore.c,
	src/libopts/save.c, src/libopts/stack.c, src/libopts/text_mmap.c,
	src/libopts/usage.c, src/libopts/version.c: updated libopts to 5.18

2013-11-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/certtool-args.c, src/certtool-args.h, src/cli-args.c,
	src/cli-args.h, src/cli-debug-args.c, src/cli-debug-args.h,
	src/danetool-args.c, src/danetool-args.h, src/ocsptool-args.c,
	src/ocsptool-args.h, src/p11tool-args.c, src/p11tool-args.h,
	src/psk-args.c, src/psk-args.h, src/serv-args.c, src/serv-args.h,
	src/srptool-args.c, src/srptool-args.h, src/tpmtool-args.c,
	src/tpmtool-args.h: removed autogenerated files

2013-11-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac, src/Makefile.am: If autogen and libopts are present
	then use the system's libopts.

2013-11-04  Daniel Kahn Gillmor <dkg@fifthhorseman.net>

	* src/args-std.def, src/certtool-args.def, src/cli-args.def,
	src/danetool-args.def, src/psk-args.def, src/srptool-args.def: 
	argument descriptions should not end in a dot When the descrip value for an argument ends in a dot, the rendered
	documentation places two dots (for example "specify a password
	file.." in srptool(1)).  Most of the descriptions are declared properly (without a trailing
	dot), but this patch should clean up the rest.  After this commit, any auto-generated documentation that is
	committed to git will probably will also need to be refreshed (or
	removed from git entirely and generated from the definitions during
	build, which might be cleaner).

2013-11-01  Daniel Kahn Gillmor <dkg@fifthhorseman.net>

	* src/tests.c: fix DHE parameter output for gnutls-cli-debug
	--verbose gnutls_handshake() was failing during test_dhe_group, with an error
	of GNUTLS_E_NO_PRIORITIES_WERE_SET.  Adding this call fixes the
	handshake so that DHE group details can be printed when requested.  Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2013-11-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/benchmark-tls.c, tests/mini-deflate.c,
	tests/mini-eagain-dtls.c, tests/mini-eagain.c,
	tests/mini-emsgsize-dtls.c, tests/record-sizes-range.c,
	tests/record-sizes.c: Do not use gnutls_dh_set_prime_bits() in
	server side.

2013-11-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_ui.c: setting the DH prime bits to zero shouldn't print
	a warning as it is the same as not setting it. Reported by Daniel
	Kahn Gillmor.

2013-11-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-11-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/certtool.c: Do not print private key parameters when exporting
	an encrypted private key.

2013-11-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/common.c: conditionally use ALPN. Reported by Jaak Ristioja.

2013-05-21  Stef Walter <stefw@redhat.com>

	* configure.ac, lib/pkcs11.c: [PATCH] Update to use new p11-kit APIs Some of the older APIs were deprecated in order to support multiple
	callers of the same PKCS#11 module correctly.  This increases the necessary p11-kit to 0.19.1 or later.

2013-10-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* cross.mk: updated win32 makefile

2013-10-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/cert-tests/pem-decoding: win32 fix

2013-10-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/pkcs11.c: include proper header file for uint8_t

2013-10-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: released 3.2.6

2013-10-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/invoke-certtool.texi, src/certtool-args.c,
	src/certtool-args.def, src/certtool-args.h: corrected example

2013-10-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_record.c: debug_log -> record_log

2013-10-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_record.c: Duplicate messages moved from audit log to
	debug log. There are networks where this is extremely common.

2013-10-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am, doc/manpages/Makefile.am: Added new functions

2013-10-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-cert-auth.texi, doc/cha-cert-auth2.texi,
	doc/cha-gtls-app.texi, doc/cha-gtls-examples.texi,
	doc/cha-internals.texi, doc/cha-intro-tls.texi, doc/cha-tokens.texi: 
	replaced ':' in anchor names (texinfo doesn't like it).

2013-10-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-upgrade.texi: doc update

2013-10-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/pkcs11_write.c: simplified code

2013-10-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, configure.ac, m4/hooks.m4: bumped version

2013-10-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* build-aux/pmccabe2html, gl/Makefile.am, gl/dup2.c, gl/m4/dup2.m4,
	gl/m4/extern-inline.m4, gl/m4/getdtablesize.m4,
	gl/m4/gnulib-comp.m4, gl/m4/intl.m4, gl/m4/inttypes.m4,
	gl/m4/manywarnings.m4, gl/m4/unistd_h.m4, gl/m4/warnings.m4,
	gl/signal.in.h, gl/stdio-impl.h, gl/stdio.in.h, gl/sys_socket.in.h,
	gl/sys_time.in.h, gl/tests/Makefile.am, gl/tests/binary-io.h,
	gl/tests/getdtablesize.c, gl/tests/inttypes.in.h,
	gl/tests/macros.h, gl/tests/strerror-override.h,
	gl/tests/test-dup2.c, gl/tests/test-getdtablesize.c,
	gl/tests/test-sys_select.c, gl/tests/test-sys_time.c, gl/u64.h,
	gl/unistd.in.h, gl/verify.h, gl/xsize.h, maint.mk: updated gnulib.

2013-10-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* libdane/dane.c: Removed unused parameter.

2013-10-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/suite/testdane: Better DANE test output.

2013-10-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* libdane/dane.c: reindented code

2013-10-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* libdane/dane.c: Reorganized main loop in dane_raw_tlsa

2013-10-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/danetool.c: Added proper newlines to errors.

2013-10-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-gtls-app.texi, lib/gnutls_state.c: doc update

2013-10-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/accelerated/cryptodev.c: corrected typo

2013-10-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore, tests/suite/Makefile.am,
	tests/suite/ciphersuite/README,
	tests/suite/ciphersuite/registry-ciphers.js,
	tests/suite/ciphersuite/registry-ciphers.xslt,
	tests/suite/ciphersuite/scan-gnutls.sh,
	tests/suite/ciphersuite/test-ciphers.js,
	tests/suite/ciphersuite/test-ciphersuites.sh,
	tests/suite/ciphersuite/tls-parameters.xml: Added ciphersuite test

2013-10-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-handshake-timeout.c: Added a proper termination of
	session to avoid issues with premature termination.

2013-10-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac, tests/dtls/Makefile.am: we now explicitly check for
	librt.

2013-10-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/cert-tests/Makefile.am, tests/dsa/Makefile.am,
	tests/dtls/Makefile.am, tests/ecdsa/Makefile.am,
	tests/key-id/Makefile.am, tests/openpgp-certs/Makefile.am,
	tests/pkcs1-padding/Makefile.am, tests/pkcs12-decode/Makefile.am,
	tests/pkcs8-decode/Makefile.am,
	tests/rsa-md5-collision/Makefile.am,
	tests/safe-renegotiation/Makefile.am, tests/sha2/Makefile.am,
	tests/slow/Makefile.am, tests/srp/Makefile.am,
	tests/suite/Makefile.am, tests/userid/Makefile.am: use the same
	environment in all tests

2013-10-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/cert-tests/pem-decoding: removed unneeded diff option

2013-10-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/cert-tests/aki, tests/cert-tests/dane,
	tests/cert-tests/pathlen, tests/cert-tests/pem-decoding: diff is now
	a parameter allowing to override it.

2013-10-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/Makefile.am: LC_ALL is set to C to have predictable outputs
	in tests.

2013-10-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-handshake-timeout.c: simplified test

2013-10-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated doc

2013-10-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/sign.c: Added additional ISO OIDs for RSA-MD5 and
	DSA-SHA1.

2013-10-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/invoke-p11tool.texi: p11tool text updated.

2013-10-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/examples/ex-client-xssl1.c, doc/examples/ex-client-xssl2.c,
	doc/examples/print-ciphersuites.c: removed warnings

2013-10-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/cli.c: removed warnings

2013-10-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, configure.ac, doc/cha-tokens.texi: Support for TPM modules
	via trousers is now enabled by default.

2013-10-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-10-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/p11tool-args.c, src/p11tool-args.def, src/p11tool-args.h,
	src/p11tool.c, src/p11tool.h, src/pkcs11.c: Added option
	--generate-random to p11tool.

2013-10-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/publickey.c, lib/algorithms/sign.c,
	lib/x509/common.h: Added ISO OID for RSA-SHA1 signatures.

2013-10-24  Wolfgang Meyer zu Bergsten <w.bergsten@sirrix.com>

	* lib/includes/gnutls/pkcs11.h, lib/libgnutls.map, lib/pkcs11.c,
	lib/pkcs11_int.h, lib/pkcs11_write.c: get random data from pkcs#11
	tokens Signed-off-by: Wolfgang Meyer zu Bergsten <w.bergsten@sirrix.com>

2013-10-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/publickey.c: Added new fallback OID for RSA
	certificates.

2013-10-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/ciphersuites.c: Corrected number in
	GNUTLS_PSK_CAMELLIA_128_GCM_SHA256.  RFC6367 seems to have assigned both {0xC0,0x8D} and {0xC0,0x8E} to
	this ciphersuite. However {0xC0,0x8D} should be a typo as it is used
	by another ciphersuite in the same document.

2013-10-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/ciphersuites.c: Corrected the naming of several PSK
	ciphersuites

2013-10-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-10-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/ciphersuites.c: Ciphersuites with ARCFOUR in name
	were renamed to ARCFOUR_128

2013-10-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/algorithms/ciphersuites.c: Fixed ciphersuites
	GNUTLS_ECDHE_ECDSA_CAMELLIA_256_CBC_SHA384 and
	GNUTLS_ECDHE_RSA_CAMELLIA_256_CBC_SHA384.

2013-10-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated doc

2013-10-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/secparams.c: Increased minimum acceptable DH key to
	767 bits.

2013-10-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/priorities.c: updated priorities for new ciphersuites

2013-10-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* cross.mk: updated

2013-10-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-10-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/ciphersuites.c: Added ciphersuite
	GNUTLS_ECDHE_RSA_AES_256_CBC_SHA384

2013-10-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/chainverify.c: Applied small patch by Jeremie
	Courreges-Anglas to avoid usage of error().

2013-10-24  Alon Bar-Lev <alon.barlev@gmail.com>

	* src/cli.c: cli: add missing stdbool.h Signed-off-by: Alon Bar-Lev <alon.barlev@gmail.com> Signed-off-by:
	Nikos Mavrogiannopoulos <nmav@gnutls.org>

2013-10-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/ciphersuites.c: Restrict ciphersuites that use SHA2
	or better to TLS1.0 or later.

2013-10-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_priority.c, tests/priorities.c: Added camellia-gcm into
	the default priority levels, and prioritized GCM over CBC
	everywhere.

2013-10-23  Christian Grothoff <christian@grothoff.org>

	* libdane/dane.c, libdane/includes/gnutls/dane.h: Adding option
	DANE_F_IGNORE_DNSSEC to disable loading of the DNSSEC root key
	entirely when initializing a dane_state_t.  This is a useful optimization if the DANE/TLSA data is initialized
	from a source other than libunbound/DNS, as then the DNSSEC root key
	would not be used anyway.  Worse, if we failed to read the DNSSEC
	root key, this would create a failure even though for applications
	that do not use DNSSEC (but do use DANE/TLSA) such a failure would
	be totally harmless.

2013-10-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, doc/Makefile.am, doc/invoke-gnutls-cli.texi,
	doc/manpages/Makefile.am, doc/scripts/mytexi2latex,
	src/Makefile.am, src/cli-args.c, src/cli-args.h, src/common.c: small
	changes prior to release

2013-10-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/priorities.c: corrected ciphersuite numbers in priorities

2013-10-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* libdane/dane.c: corrected libdane doc

2013-10-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/includes/gnutls/gnutls.h.in: Added description for umac

2013-10-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* m4/hooks.m4: bumped version

2013-10-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/nettle/cipher.c, lib/nettle/gcm-camellia.c,
	lib/nettle/gcm-camellia.h: Added underscore to camellia gcm context.

2013-10-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-10-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/ciphersuites.c: rearrangement

2013-10-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/ciphersuites.c: Removed the _WITH_ from
	ciphersuites names.

2013-10-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/ciphers.c, lib/algorithms/ciphersuites.c,
	lib/includes/gnutls/gnutls.h.in, lib/nettle/Makefile.am,
	lib/nettle/cipher.c, lib/nettle/gcm-camellia.c,
	lib/nettle/gcm-camellia.h: Added Camellia with GCM

2013-10-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/ciphersuites.c: Added the PSK HMAC-based Camellia
	ciphersuites from RFC6367.

2013-10-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/ciphersuites.c: Added HMAC-based Camellia
	ciphersuites from RFC6367.

2013-10-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/ciphersuites.c: Added Camellia ciphersuites from
	RFC5932.  Added GNUTLS_RSA_CAMELLIA_128_CBC_SHA256,
	GNUTLS_DHE_DSS_CAMELLIA_128_CBC_SHA256,
	GNUTLS_DHE_RSA_CAMELLIA_128_CBC_SHA256,
	GNUTLS_DH_ANON_CAMELLIA_128_CBC_SHA256,
	GNUTLS_RSA_CAMELLIA_256_CBC_SHA256,
	GNUTLS_DHE_DSS_CAMELLIA_256_CBC_SHA256,
	GNUTLS_DHE_RSA_CAMELLIA_256_CBC_SHA256,
	GNUTLS_DH_ANON_CAMELLIA_256_CBC_SHA256.

2013-10-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/ciphersuites.c: Added more ciphersuites from
	RFC5487.  Added GNUTLS_PSK_AES_256_CBC_SHA384, GNUTLS_PSK_NULL_SHA384,
	GNUTLS_DHE_PSK_AES_256_CBC_SHA384, GNUTLS_DHE_PSK_NULL_SHA384,
	GNUTLS_RSA_PSK_AES_128_GCM_SHA256,
	GNUTLS_RSA_PSK_AES_256_GCM_SHA384,
	GNUTLS_RSA_PSK_AES_128_CBC_SHA256,
	GNUTLS_RSA_PSK_AES_256_CBC_SHA384, GNUTLS_RSA_PSK_NULL_SHA256,
	GNUTLS_RSA_PSK_NULL_SHA384.

2013-10-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/ciphersuites.c: Added new ciphersuites from
	RFC5288.  Added GNUTLS_RSA_AES_256_GCM_SHA384,
	GNUTLS_DHE_RSA_AES_256_GCM_SHA384, GNUTLS_DHE_DSS_AES_256_GCM_SHA384
	and GNUTLS_DH_ANON_AES_256_GCM_SHA384.

2013-10-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-10-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/certtool-cfg.c: corrected type of path_len

2013-10-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* libdane/libdane.map: exported symbols

2013-10-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, libdane/dane.c: small fixes

2013-10-21  Christian Grothoff <christian@grothoff.org>

	* libdane/dane.c, libdane/includes/gnutls/dane.h: Adding
	dane_verify_crt_raw to allow direct verification of a certificate
	chain against a dane_query_t (for example, as provided by the new
	dane_raw_tlsa).  Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2013-10-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* m4/hooks.m4: bumped dane library version

2013-10-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-10-21  Christian Grothoff <christian@grothoff.org>

	* libdane/dane.c, libdane/includes/gnutls/dane.h: Adding
	dane_raw_tlsa to allow initialization of dane_query_t from DANE
	records based on external DNS resolutions. Also fixing a buffer
	overflow.  Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2013-10-17  Daniel Kahn Gillmor <dkg@fifthhorseman.net>

	* lib/x509/output.c, po/cs.po.in, po/de.po.in, po/eo.po.in,
	po/fi.po.in, po/fr.po.in, po/it.po.in, po/ms.po.in, po/nl.po.in,
	po/pl.po.in, po/sv.po.in, po/uk.po.in, po/vi.po.in, po/zh_CN.po.in,
	tests/cert-tests/aki-cert.pem, tests/cert-tests/bmpstring.pem,
	tests/cert-tests/ca-no-pathlen.pem,
	tests/cert-tests/complex-cert.pem,
	tests/cert-tests/no-ca-or-pathlen.pem, tests/hostname-check.c: 
	Normalize capitalization from "Public Key Id" to "Public Key ID" The GnuTLS codebase produced the string "Public Key Id" in some
	places (e.g. in the output of "certtool -i"), and "Public Key ID" in
	other places (e.g. in the output of "certtool -k").  This changeset standardizes on "Public Key ID", making the output
	consistent across uses.  Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2013-10-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/gnutls_cert.c, lib/includes/gnutls/gnutls.h.in: Added
	gnutls_certificate_get_crt_raw() to return the raw certificate as
	present in the credentials structure.

2013-10-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/examples/ex-cert-select-pkcs11.c, src/common.c: corrected
	length calculation

2013-10-09  Ludovic Courtès <ludo@gnu.org>

	* guile/modules/gnutls/build/priorities.scm, guile/src/core.c: 
	guile: Fix possible stack overflows.

2013-10-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/examples/ex-cert-select-pkcs11.c, src/common.c, src/psk.c,
	src/srptool.c: Corrected possible buffer overruns in included
	programs and examples.  Corrected possible buffer overruns in included programs and
	examples.  Reported by Pedro Ribeiro <pedrib@gmail.com>.

2013-10-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: corrected typo

2013-10-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-10-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/invoke-srptool.texi, src/srptool-args.c, src/srptool-args.h: 
	autogen'ed files update

2013-10-04  Attila Molnar <attilamolnar@hush.com>

	* src/srptool.c: Fix srptool issues From dc3a0d6d8d4aa98ccb19641e6668a03d77f381f1 Mon Sep 17 00:00:00
	2001 From: Attila Molnar <attilamolnar@hush.com> Date: Tue, 1 Oct
	2013 13:42:10 +0200 Subject: [PATCH 2/2] srptool: Fix segfault when
	 an invalid group parameter index is given If no group with the given index was found in the password conf file
	srptool crashed instead of reporting the error because the return
	value of fgets() wasn't validated before it was passed to atoi().  Signed-off-by: Attila Molnar <attilamolnar@hush.com>

2013-10-04  Attila Molnar <attilamolnar@hush.com>

	* src/srptool-args.def, src/srptool.c: Fix srptool issues From 1fac0e5352e88addb8bf57dcac126918f19d7303 Mon Sep 17 00:00:00
	2001 From: Attila Molnar <attilamolnar@hush.com> Date: Tue, 1 Oct
	2013 13:40:01 +0200 Subject: [PATCH 1/2] srptool: Fix inability to
	 add users to tpasswd and broken -i switch Signed-off-by: Attila Molnar <attilamolnar@hush.com>

2013-10-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/invoke-gnutls-cli.texi, src/cli-args.c, src/cli-args.def,
	src/cli-args.h: doc update

2013-10-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-10-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/invoke-gnutls-cli.texi, src/cli-args.c, src/cli-args.h: 
	autogen'ed files update

2013-10-03  Raj Raman <rajramanca@gmail.com>

	* src/cli-args.def, src/cli.c, src/inline_cmds.h: support inline
	command infrastructure in gnutls-cli Signed-off-by: Raj Raman <rajramanca@gmail.com>

2013-10-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/cve-2008-4989.c, tests/pkcs12_encode.c: avoid the usage of
	error()

2013-10-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac, m4/hooks.m4: bumped version

2013-10-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/tpm.c: include config.h in tpm.c

2013-10-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/TODO: updated

2013-10-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* po/it.po.in: Sync with TP.

2013-09-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-09-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/secparams.c: define subgroup bits for the weak and
	export parameters, to allow DH group generation.

2013-09-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-gtls-app.texi: document the version macros

2013-09-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-tokens.texi: doc update

2013-09-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/tests.c: verbose is everywhere unsigned

2013-09-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-09-17  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/verify-high.c: removed limitation as this has been
	resolved

2013-09-17  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-intro-tls.texi, lib/ext/heartbeat.c: doc update

2013-09-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/TODO: doc update

2013-09-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_cipher.c: doc update

2013-09-15  Ludovic Courtès <ludo@gnu.org>

	* guile/src/Makefile.am: guile: Use intermediary files when
	generating code.

2013-09-15  Ludovic Courtès <ludo@gnu.org>

	* guile/src/Makefile.am: guile: Make builds parallel-safe.  Reported by Andreas Metzler <ametzler@bebt.de>.

2013-09-10  Tobias Polzer <tobias.polzer@fau.de>

	* lib/gnutls_srp.c: Fixed a typo in the documentation Fixed a typo in the documentation for
	gnutls_srp_set_server_credentials_function.  Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2013-09-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/Makefile.am: libopts is linked prior to libgnu to solve issue
	in win32. Initial patch by Tomasz Gajewski.

2013-09-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-x509-callbacks.c: Test gnutls_handshake_get_last_in()
	and gnutls_handshake_get_last_out() for correctness.

2013-09-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/tests.c: Ignore non-fatal handshake alerts.

2013-09-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/suite/mini-record-timing.c: silence warning about return
	code

2013-09-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_cipher_int.c: updates in record packet encoding.

2013-09-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-record-2.c: Test the null cipher as well.

2013-09-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_cipher.c: added comments

2013-09-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* gl/m4/intl.m4, gl/m4/warnings.m4, gl/sys_socket.in.h,
	gl/sys_time.in.h, gl/tests/binary-io.h, gl/tests/test-sys_select.c,
	gl/tests/test-sys_time.c, gl/u64.h, gl/unistd.in.h, gl/xsize.h: 
	Revert "updated gnulib" This reverts commit 9ad95f3ac723ae85fdfbe4f3a4fab4ededfa7857.

2013-09-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/certtool-common.c, src/certtool-extras.c, src/certtool.c,
	src/danetool.c, src/ocsptool-common.c, src/ocsptool.c,
	src/p11tool.c, src/pkcs11.c, src/serv.c, src/tpmtool.c: Avoid using
	gnulib's error()

2013-09-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/record-sizes.c: record-sizes can only work properly with a
	stream cipher.

2013-09-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_int.h: corrected max_user_send_size() for DTLS.

2013-09-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-record-2.c: test for excessive records being correctly
	send

2013-09-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_cipher.c, lib/gnutls_cipher.h,
	lib/gnutls_cipher_int.c, lib/gnutls_int.h, lib/gnutls_range.c,
	lib/gnutls_record.c, lib/gnutls_record.h: _gnutls_send_tlen_int()
	accepts the actual pad rather than the intended data. Corrections in
	sending records with %NEW_PADDING.

2013-09-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore: more files to ignore

2013-09-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* gl/m4/intl.m4, gl/m4/warnings.m4, gl/sys_socket.in.h,
	gl/sys_time.in.h, gl/tests/binary-io.h, gl/tests/test-sys_select.c,
	gl/tests/test-sys_time.c, gl/u64.h, gl/unistd.in.h, gl/xsize.h: 
	updated gnulib

2013-09-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/suite/testdane: removed dane.nox.su from the good list

2013-09-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_global.c: explicitly initialize the log functions

2013-08-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/Makefile.am, tests/mini-record-2.c: Added test to send
	variable packet sizes.

2013-08-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_priority.c: doc update

2013-08-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_cipher.c: simplified pad calculation

2013-08-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-shared-key.texi: mention RSA-PSK

2013-08-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/auth/rsa_psk.c: author update

2013-08-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/auth/rsa_psk.c, lib/gnutls_int.h, lib/gnutls_state.c: 
	Improvements in RSA-PSK.

2013-08-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, m4/hooks.m4: released 3.2.4

2013-08-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/auth/Makefile.am: added missing file

2013-08-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/auth/rsa_psk.c: indented code

2013-08-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-08-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/Makefile.am, tests/mini-rsa-psk.c: Added test program for
	RSA-PSK key exchange.

2013-08-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/kx.c, lib/auth/cert.h, lib/auth/rsa_common.h,
	lib/auth/rsa_psk.c, lib/gnutls_cert.c, lib/gnutls_handshake.c: 
	Optimizations in RSA-PSK by removing unneeded code.

2013-06-29  Frank Morgner <morgner@informatik.hu-berlin.de>

	* lib/algorithms.h, lib/algorithms/ciphersuites.c,
	lib/algorithms/kx.c, lib/algorithms/publickey.c,
	lib/auth/Makefile.am, lib/auth/cert.h, lib/auth/psk.c,
	lib/auth/psk.h, lib/auth/rsa.c, lib/auth/rsa_common.h,
	lib/auth/rsa_psk.c, lib/gnutls_cert.c, lib/gnutls_handshake.c,
	lib/gnutls_int.h, lib/gnutls_state.c,
	lib/includes/gnutls/gnutls.h.in: ported patch for RSA-PSK revives some deletions from a8504e254f6ff23200c6069961ab367c9cec43a0 original patch can be found in
	e3c245b951530a92fc610a130faf167a37461073
	f06ba1b71fa2cf9e1f3e33ea58cda94aaff88f20

2013-08-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_priority.c: arcfour is restored in the top of the
	performance priority.

2013-08-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-cert-status.c: removed unused function

2013-08-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/Makefile.am, tests/mini-cert-status.c: Added test to verify
	the correct operation of gnutls_certificate_server_set_request().

2013-08-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-08-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_int.h: Corrected
	gnutls_certificate_server_set_request().

2013-08-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* po/vi.po.in: Sync with TP.

2013-08-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-08-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/resume.c: Try 3 resumption attempts and try also session db
	and ticket.

2013-08-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_handshake.c: only register current session when not
	resuming

2013-08-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_db.c: do not duplicate tests for null.

2013-08-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/serv.c: remove ifdefs for session tickets

2013-08-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-08-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/libgnutls.map: export gnutls_record_set_timeout(). Reported by
	Nicolai Stange.

2013-08-18  Stefan Bühler <stbuehler@web.de>

	* lib/algorithms/ciphersuites.c, tests/priorities.c: add some
	RC4-128-SHA1 ciphersuites based on ECDH(E) key exchanges

2013-08-18  Stefan Bühler <stbuehler@web.de>

	* tests/anonself.c, tests/dhepskself.c, tests/dtls/dtls-stress.c,
	tests/mini-alpn.c, tests/mini-deflate.c,
	tests/mini-dtls-heartbeat.c, tests/mini-dtls-hello-verify.c,
	tests/mini-dtls-large.c, tests/mini-dtls-record.c,
	tests/mini-dtls-rehandshake.c, tests/mini-dtls-srtp.c,
	tests/mini-eagain-dtls.c, tests/mini-eagain.c,
	tests/mini-emsgsize-dtls.c, tests/mini-handshake-timeout.c,
	tests/mini-loss-time.c, tests/mini-overhead.c,
	tests/mini-record-range.c, tests/mini-record.c,
	tests/mini-rehandshake.c, tests/mini-termination.c,
	tests/mini-x509-2.c, tests/mini-x509-callbacks.c,
	tests/mini-x509-cas.c, tests/mini-x509.c, tests/mini-xssl.c,
	tests/openpgp-auth.c, tests/openpgp-auth2.c, tests/openpgpself.c,
	tests/pskself.c, tests/record-sizes-range.c, tests/record-sizes.c,
	tests/resume-dtls.c, tests/resume.c,
	tests/safe-renegotiation/srn0.c, tests/safe-renegotiation/srn1.c,
	tests/safe-renegotiation/srn2.c, tests/safe-renegotiation/srn3.c,
	tests/safe-renegotiation/srn4.c, tests/safe-renegotiation/srn5.c,
	tests/srp/mini-srp.c, tests/suite/mini-eagain2.c,
	tests/suite/mini-record-timing.c, tests/x509dn.c, tests/x509self.c: 
	fix transport parameter casts in tests

2013-08-24  Andreas Metzler <ametzler@downhill.at.eu.org>

	* tests/sha2/sha2: Clean up after test.

2013-08-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/cert-tests/pem-decoding: Corrected access of temp file.
	Reported by Thomas Witt.

2013-08-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-gtls-app.texi: No longer recommend the use of RC4

2013-08-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/accelerated/x86/aes-x86.c, lib/gnutls_global.h,
	lib/gnutls_priority.c: AES-GCM is preferred always

2013-08-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac, m4/hooks.m4: bumped version

2013-08-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, configure.ac, lib/Makefile.am, lib/gnutls_errors.c,
	lib/gnutls_str.c, lib/vasprintf.c, lib/vasprintf.h, lib/xssl.c,
	src/certtool.c, src/cli-debug.c, src/cli.c,
	src/crywrap/Makefile.am, src/crywrap/crywrap.c, src/danetool.c,
	src/ocsptool.c, src/p11tool.c, src/psk.c, src/serv.c,
	src/srptool.c, src/tpmtool.c: included programs no longer depend on
	GPL/LGPLv3 elements of gnulib to prevent their accidental inclusion
	in the library.

2013-08-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore: more files to ignore

2013-08-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* cfg.mk, gl/Makefile.am, gl/accept.c, gl/alloca.in.h,
	gl/alphasort.c, gl/argp-ba.c, gl/argp-eexst.c, gl/argp-fmtstream.c,
	gl/argp-fmtstream.h, gl/argp-fs-xinl.c, gl/argp-help.c,
	gl/argp-namefrob.h, gl/argp-parse.c, gl/argp-pin.c, gl/argp-pv.c,
	gl/argp-pvh.c, gl/argp-xinl.c, gl/argp.h, gl/arpa_inet.in.h,
	gl/asnprintf.c, gl/asprintf.c, gl/base64.c, gl/base64.h,
	gl/basename-lgpl.c, gl/bind.c, gl/byteswap.in.h, gl/c-ctype.c,
	gl/c-ctype.h, gl/close.c, gl/closedir.c, gl/connect.c,
	gl/dirent-private.h, gl/dirent.in.h, gl/dirname-lgpl.c,
	gl/dirname.h, gl/dosname.h, gl/dup2.c, gl/errno.in.h, gl/error.c,
	gl/error.h, gl/fd-hook.c, gl/fd-hook.h, gl/filename.h, gl/float+.h,
	gl/float.c, gl/float.in.h, gl/fpucw.h, gl/frexp.c, gl/frexpl.c,
	gl/fseek.c, gl/fseeko.c, gl/fseterr.c, gl/fseterr.h, gl/fstat.c,
	gl/ftell.c, gl/ftello.c, gl/gai_strerror.c, gl/getaddrinfo.c,
	gl/getdelim.c, gl/getline.c, gl/getopt.c, gl/getopt.in.h,
	gl/getopt1.c, gl/getopt_int.h, gl/getpass.c, gl/getpass.h,
	gl/getpeername.c, gl/getsubopt.c, gl/gettext.h, gl/gettimeofday.c,
	gl/hash-pjw-bare.c, gl/hash-pjw-bare.h, gl/inet_ntop.c,
	gl/inet_pton.c, gl/intprops.h, gl/isnan.c, gl/isnand-nolibm.h,
	gl/isnand.c, gl/isnanf-nolibm.h, gl/isnanf.c, gl/isnanl-nolibm.h,
	gl/isnanl.c, gl/itold.c, gl/listen.c, gl/lseek.c,
	gl/m4/alphasort.m4, gl/m4/argp.m4, gl/m4/closedir.m4,
	gl/m4/dirent_h.m4, gl/m4/dirname.m4, gl/m4/double-slash-root.m4,
	gl/m4/eealloc.m4, gl/m4/environ.m4, gl/m4/error.m4,
	gl/m4/exponentf.m4, gl/m4/exponentl.m4, gl/m4/frexp.m4,
	gl/m4/frexpl.m4, gl/m4/fseterr.m4, gl/m4/getopt.m4,
	gl/m4/getsubopt.m4, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/m4/isnand.m4, gl/m4/isnanf.m4, gl/m4/isnanl.m4, gl/m4/ldexpl.m4,
	gl/m4/malloca.m4, gl/m4/mempcpy.m4, gl/m4/nocrash.m4,
	gl/m4/opendir.m4, gl/m4/printf-frexp.m4, gl/m4/printf-frexpl.m4,
	gl/m4/putenv.m4, gl/m4/rawmemchr.m4, gl/m4/readdir.m4,
	gl/m4/scandir.m4, gl/m4/setenv.m4, gl/m4/signbit.m4,
	gl/m4/sleep.m4, gl/m4/stdarg.m4, gl/m4/strchrnul.m4,
	gl/m4/sysexits.m4, gl/m4/version-etc.m4, gl/m4/vfprintf-posix.m4,
	gl/m4/vprintf-posix.m4, gl/malloc.c, gl/math.c, gl/math.in.h,
	gl/memchr.c, gl/memmem.c, gl/mempcpy.c, gl/minmax.h,
	gl/msvc-inval.c, gl/msvc-inval.h, gl/msvc-nothrow.c,
	gl/msvc-nothrow.h, gl/netdb.in.h, gl/netinet_in.in.h, gl/opendir.c,
	gl/printf-args.c, gl/printf-args.h, gl/printf-frexp.c,
	gl/printf-frexp.h, gl/printf-frexpl.c, gl/printf-frexpl.h,
	gl/printf-parse.c, gl/printf-parse.h, gl/progname.c, gl/progname.h,
	gl/rawmemchr.c, gl/rawmemchr.valgrind, gl/read-file.c,
	gl/read-file.h, gl/readdir.c, gl/realloc.c, gl/recv.c,
	gl/recvfrom.c, gl/scandir.c, gl/select.c, gl/send.c, gl/sendto.c,
	gl/setsockopt.c, gl/shutdown.c, gl/signal.in.h, gl/signbitd.c,
	gl/signbitf.c, gl/signbitl.c, gl/size_max.h, gl/sleep.c,
	gl/snprintf.c, gl/socket.c, gl/sockets.c, gl/sockets.h,
	gl/stdalign.in.h, gl/stdarg.in.h, gl/stdbool.in.h, gl/stddef.in.h,
	gl/stdint.in.h, gl/stdio-impl.h, gl/stdio.in.h, gl/stdlib.in.h,
	gl/str-two-way.h, gl/strcasecmp.c, gl/strchrnul.c,
	gl/strchrnul.valgrind, gl/strdup.c, gl/strerror-override.c,
	gl/strerror-override.h, gl/strerror.c, gl/string.in.h,
	gl/strings.in.h, gl/stripslash.c, gl/strncasecmp.c, gl/strndup.c,
	gl/strnlen.c, gl/strtok_r.c, gl/strverscmp.c, gl/sys_select.in.h,
	gl/sys_socket.in.h, gl/sys_stat.in.h, gl/sys_time.in.h,
	gl/sys_types.in.h, gl/sys_uio.in.h, gl/sysexits.in.h,
	gl/tests/Makefile.am, gl/tests/dosname.h, gl/tests/fpucw.h,
	gl/tests/infinity.h, gl/tests/intprops.h, gl/tests/malloca.c,
	gl/tests/malloca.h, gl/tests/malloca.valgrind,
	gl/tests/minus-zero.h, gl/tests/nan.h, gl/tests/putenv.c,
	gl/tests/randomd.c, gl/tests/randoml.c, gl/tests/setenv.c,
	gl/tests/strerror-override.c, gl/tests/strerror-override.h,
	gl/tests/strerror.c, gl/tests/test-argp-2.sh, gl/tests/test-argp.c,
	gl/tests/test-dirent.c, gl/tests/test-environ.c,
	gl/tests/test-fprintf-posix.h, gl/tests/test-frexp.c,
	gl/tests/test-frexp.h, gl/tests/test-frexpl.c,
	gl/tests/test-fseterr.c, gl/tests/test-getopt.c,
	gl/tests/test-getopt.h, gl/tests/test-getopt_long.h,
	gl/tests/test-isnand-nolibm.c, gl/tests/test-isnand.h,
	gl/tests/test-isnanf-nolibm.c, gl/tests/test-isnanf.h,
	gl/tests/test-isnanl-nolibm.c, gl/tests/test-isnanl.h,
	gl/tests/test-malloc-gnu.c, gl/tests/test-malloca.c,
	gl/tests/test-math.c, gl/tests/test-printf-frexp.c,
	gl/tests/test-printf-frexpl.c, gl/tests/test-printf-posix.h,
	gl/tests/test-printf-posix.output, gl/tests/test-rawmemchr.c,
	gl/tests/test-setenv.c, gl/tests/test-signbit.c,
	gl/tests/test-sleep.c, gl/tests/test-strchrnul.c,
	gl/tests/test-sysexits.c, gl/tests/test-unsetenv.c,
	gl/tests/test-version-etc.c, gl/tests/test-version-etc.sh,
	gl/tests/test-vfprintf-posix.c, gl/tests/test-vfprintf-posix.sh,
	gl/tests/test-vprintf-posix.c, gl/tests/test-vprintf-posix.sh,
	gl/tests/unsetenv.c, gl/time.in.h, gl/time_r.c, gl/u64.h,
	gl/unistd.in.h, gl/vasnprintf.c, gl/vasnprintf.h, gl/vasprintf.c,
	gl/verify.h, gl/version-etc-fsf.c, gl/version-etc.c,
	gl/version-etc.h, gl/vfprintf.c, gl/vprintf.c, gl/vsnprintf.c,
	gl/w32sock.h, gl/wchar.in.h, gl/xsize.h, src/certtool.c,
	src/cli-debug.c, src/cli.c, src/danetool.c, src/ocsptool-common.c,
	src/ocsptool.c, src/p11tool.c, src/psk.c, src/serv.c,
	src/srptool.c, src/tpmtool.c: gnulib only contains lgplv2 modules

2013-08-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* po/de.po.in, po/vi.po.in: Sync with TP.

2013-08-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/pkcs11.c: removed unused code

2013-08-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/pkcs11.c: Do not try to parse arbitrary objects as
	certificates.

2013-08-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_handshake.c: don't ignore errors when copying
	resumption values

2013-08-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-gtls-app.texi: mention that new padding is currently a
	gnutls extension

2013-08-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac, src/libopts/makeshell.c: do not require localtime

2013-08-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* cross.mk: added mkdir

2013-08-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_constate.c: inverse check for cipher ok and priority.

2013-08-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_record.c: documented parameters

2013-07-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_priority.c: no need to keep separate priority lists for
	export ciphersuites (they are no longer available).

2013-07-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, doc/cha-gtls-app.texi, lib/gnutls_priority.c: Added the PFS
	priority string option.

2013-07-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: released 3.2.3

2013-07-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-07-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_record.c: allow empty fragments with padding.

2013-07-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/record-sizes-range.c: corrected test

2013-07-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/Makefile.am, tests/record-sizes-range.c: Added test for the
	range functionality.

2013-07-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_dtls.c, tests/mini-overhead.c: corrected overhead
	calculation in AEAD ciphers.

2013-07-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: Correctly report unicode status in win32 API

2013-07-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/Makefile.am: correctly link with librt when needed.

2013-07-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac, lib/Makefile.am, lib/system.c: link with libiconv
	when needed.

2013-07-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-07-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* build-aux/snippet/unused-parameter.h, configure.ac,
	gl/Makefile.am, gl/c-strcase.h, gl/c-strcasecmp.c,
	gl/c-strncasecmp.c, gl/iconv.c, gl/iconv.in.h, gl/iconv_close.c,
	gl/iconv_open-aix.gperf, gl/iconv_open-hpux.gperf,
	gl/iconv_open-irix.gperf, gl/iconv_open-osf.gperf,
	gl/iconv_open-solaris.gperf, gl/iconv_open.c,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4, gl/m4/iconv_h.m4,
	gl/m4/iconv_open-utf.m4, gl/m4/iconv_open.m4, gl/m4/inline.m4,
	gl/m4/intl.m4, gl/m4/libunistring-base.m4, gl/m4/locale-fr.m4,
	gl/m4/locale-ja.m4, gl/m4/locale-tr.m4, gl/m4/locale-zh.m4,
	gl/m4/locale_h.m4, gl/m4/localename.m4, gl/m4/po.m4,
	gl/m4/setlocale.m4, gl/tests/Makefile.am, gl/tests/locale.in.h,
	gl/tests/localename.c, gl/tests/localename.h, gl/tests/setlocale.c,
	gl/tests/test-c-strcase.sh, gl/tests/test-c-strcasecmp.c,
	gl/tests/test-c-strncasecmp.c, gl/tests/test-iconv-h.c,
	gl/tests/test-iconv-utf.c, gl/tests/test-locale.c,
	gl/tests/test-localename.c, gl/tests/test-setlocale1.c,
	gl/tests/test-setlocale1.sh, gl/tests/test-setlocale2.c,
	gl/tests/test-setlocale2.sh, gl/tests/unistr/test-u8-mbtoucr.c,
	gl/tests/unistr/test-u8-uctomb.c, gl/unistr.in.h,
	gl/unistr/u8-mbtoucr.c, gl/unistr/u8-uctomb-aux.c,
	gl/unistr/u8-uctomb.c, gl/unitypes.in.h: Removed LGPLv3 gnulib
	components.  This removes the gnulib iconv, and uses libc or libiconv if needed.

2013-07-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: released 3.2.3pre0

2013-07-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am, doc/manpages/Makefile.am: Added new functions

2013-07-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, configure.ac, m4/hooks.m4: bumped version

2013-07-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_int.h, lib/gnutls_record.h: use common macros to
	calculate the overhead.

2013-07-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ext/new_record_padding.c, lib/gnutls_cipher.c,
	lib/gnutls_constate.c, lib/gnutls_constate.h,
	lib/gnutls_extensions.c, lib/gnutls_extensions.h,
	lib/gnutls_handshake.c, lib/gnutls_int.h: The after handshake
	function is now called before epoch change.  This allows enabling certain features, such as the new record
	padding, prior to exchanging finished messages.

2013-07-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/record-sizes.c: test sending and receiving the maximum
	allowed TLS buffer size.

2013-07-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: corrected guile-site-dir option. Patch by Steve
	Erhart.

2013-07-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_record.h: Do not count pad and MAC as received data.

2013-07-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_record.c: simplified decrypted data allocation.

2013-07-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-07-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_buffers.c, lib/gnutls_record.c, lib/gnutls_record.h: 
	small optimizations.

2013-07-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_cipher.c, lib/gnutls_record.c: When in compatibility
	mode allow for larger record sizes than the maximum.

2013-07-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/Makefile.am, tests/mini.c, tests/record-sizes.c: Updated
	mini test.

2013-07-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/libopts/ag-char-map.h: Applied Bruce Korb's fix on
	unacceptable chars.

2013-07-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/libopts/ag-char-map.h: Revert "Ignore non-ascii characters in
	configuration file." This reverts commit b973840f5dff9924108af9574bdee1064e06fb88.

2013-07-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/priorities.c: test also the number of ciphers.

2013-07-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/gnutls_priority.c, lib/includes/gnutls/gnutls.h.in,
	lib/libgnutls.map: Added helper functions to export the available
	ciphers in a priority structure

2013-07-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-07-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/Makefile.am, tests/priorities.c: Added a test that checks
	whether the priorities behave as expected (depends on the supported
	ciphersuite numbers)

2013-07-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_priority.c: When adding a bulk of priorities make sure
	they don't replace the whole list. Reported by Stefan Buehler.

2013-07-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-gtls-app.texi: doc update

2013-07-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-gtls-app.texi: updated doc

2013-07-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/libopts/ag-char-map.h: Ignore non-ascii characters in
	configuration file.  This is a quick fix for

	http://lists.infradead.org/pipermail/openconnect-devel/2013-July/001126.html

2013-07-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* Makefile.am: make sure that the .info files are as new as the pdfs
	and html.

2013-07-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/examples/Makefile.am, doc/examples/ex-serv-x509.c: X.509
	server example updated to include OCSP stapling

2013-07-16  Matt Whitlock <matt@whitlock.name>

	* lib/gnutls_buffers.c: avoid leaking a buffer element when
	_gnutls_stream_read returns 0

2013-07-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_x509.c: doc update

2013-07-17  Stefan Bühler <stbuehler@web.de>

	* lib/gnutls_priority.c: gnutls priority string parsing bug fix Fix priority string parsing (example: "NONE:+MAC-ALL:-SHA1:+SHA1"
	misses SHA1 and has MD5 twice) prio_remove doesn't zero the removed element, prio_add (and perhaps
	other functions) assumes the list to be zero terminated.  Make prio_remove zero the element at the end, and use the actual
	length of the list in prio_add.  Relying on the trailing zero will fail if the list is full, and
	might lead to invalid memory accesses as the loop won't stop until
	it finds either the algorithm identifier or 0.

2013-07-17  Adam Sampson <ats@offog.org>

	* tests/anonself.c, tests/dhepskself.c, tests/openpgpself.c,
	tests/pskself.c, tests/resume-dtls.c, tests/resume.c,
	tests/x509dn.c, tests/x509self.c: Disable tests that use socketpair
	on _WIN32.  socketpair isn't provided on Windows, so these tests should just
	exit 77.  Note that resume-dtls.c already had a guard like this -- I've
	rewritten it to match the others, but socketpair (presumably!) isn't
	the only reason that test is disabled on Win32.  Signed-off-by: Adam Sampson <ats@offog.org>

2013-07-16  Adam Sampson <ats@offog.org>

	* tests/anonself.c, tests/dhepskself.c, tests/openpgpself.c,
	tests/pskself.c, tests/resume-dtls.c, tests/resume.c,
	tests/x509dn.c, tests/x509self.c: Use socketpair() rather than TCP
	connections.  Besides simplifying the code, this also makes it possible to run
	"make check" in parallel -- previously this didn't work because
	several tests were trying to bind the same port.  Signed-off-by: Adam Sampson <ats@offog.org>

2013-07-16  Adam Sampson <ats@offog.org>

	* tests/anonself.c, tests/dhepskself.c, tests/openpgpself.c,
	tests/pskself.c, tests/resume-dtls.c, tests/resume.c,
	tests/x509dn.c, tests/x509self.c: Detect socket() error responses
	correctly.  The code was testing the wrong variable...  Signed-off-by: Adam Sampson <ats@offog.org>

2013-07-16  Adam Sampson <ats@offog.org>

	* doc/scripts/gdoc: Avoid depending on hash order in gdoc.  Previously, gdoc had a hash of regexp replacements for each output
	format, and applied the replacements in the order that "keys"
	returned for the hash. However, not all orders are safe -- and now
	that Perl 5.18 randomises hash order per-process, it only worked
	sometimes! For example, this order is OK: 'is a #gnutls_session_t structure.' '\@([A-Za-z0-9_]+)\s*' -> 'is a
	#gnutls_session_t structure.' '\%([A-Za-z0-9_]+)' -> 'is a
	#gnutls_session_t structure.' '\#([A-Za-z0-9_]+)' -> 'is a
	@code{gnutls_session_t}  structure.' '([A-Za-z0-9_]+\(\))' -> 'is a
	@code{gnutls_session_t}  structure.' This one, however, winds up producing invalid texinfo: 'is a #gnutls_session_t structure.' '\%([A-Za-z0-9_]+)' -> 'is a
	#gnutls_session_t structure.' '([A-Za-z0-9_]+\(\))' -> 'is a
	#gnutls_session_t structure.' '\#([A-Za-z0-9_]+)' -> 'is a
	@code{gnutls_session_t}  structure.' '\@([A-Za-z0-9_]+)\s*' -> 'is a
	@code{code} {gnutls_session_t}  structure.' This patch turns the hash into a list, so the replacements will
	always be done in the intended order.  Signed-off-by: Adam Sampson <ats@offog.org>

2013-07-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/dtls/dtls-stress.c, tests/mini-dtls-heartbeat.c,
	tests/mini-dtls-large.c, tests/mini-dtls-rehandshake.c,
	tests/mini-dtls-srtp.c, tests/mini-loss-time.c: Run DTLS tests under
	reliable transports to avoid unexpected packet loss.

2013-07-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/Makefile.am: Link with librt when needed. Reported by Joern
	Clausen.

2013-07-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_constate.c, lib/gnutls_handshake.c, lib/gnutls_int.h,
	lib/gnutls_range.c, lib/gnutls_session_pack.c: eliminated the need
	for the additional version variable.

2013-07-14  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* cross.mk: updated w32 makefile

2013-07-14  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* build-aux/config.rpath, gl/Makefile.am, gl/argp-help.c,
	gl/c-ctype.h, gl/fseeko.c, gl/m4/extensions.m4,
	gl/m4/extern-inline.m4, gl/m4/fseeko.m4, gl/m4/gnulib-comp.m4,
	gl/m4/lock.m4, gl/m4/manywarnings.m4, gl/m4/stdalign.m4,
	gl/m4/warnings.m4, gl/msvc-inval.c, gl/stdalign.in.h,
	gl/stdio.in.h, gl/tests/Makefile.am, gl/tests/getcwd-lgpl.c,
	gl/tests/ignore-value.h, gl/tests/malloca.c,
	gl/tests/test-getaddrinfo.c, gl/tests/test-snprintf.c,
	gl/tests/test-sys_socket.c, gl/tests/test-vasnprintf.c,
	gl/tests/test-vsnprintf.c, gl/vasnprintf.c, gl/verify.h, maint.mk: 
	updated gnulib

2013-07-14  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: released 3.2.2

2013-07-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_global.c: doc update

2013-07-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/includes/gnutls/gnutls.h.in: typo fix

2013-07-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/common.c: gnutls-cli -l prints the supported digest algorithms
	as well.

2013-07-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_handshake.c: corrected return value.

2013-07-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: Check for nanosleep in librt, when not in libc.
	Reported by Joern Clausen.

2013-07-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_int.h: corrected typo

2013-07-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* README-alpha: updated

2013-07-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_int.h: try to reduce memory in internal structure

2013-07-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/gnutls_handshake.c, lib/gnutls_int.h,
	lib/gnutls_state.c, lib/includes/gnutls/gnutls.h.in,
	tests/mini-x509-callbacks.c: Allow hooks to be called before or
	after generation/receiving.

2013-07-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_handshake.c, lib/gnutls_state.c,
	lib/includes/gnutls/gnutls.h.in: Revert "simplified hook function,
	to apply only to post-processing or generation of messages." This reverts commit 7b14a8217b78aaf3367d13181237bf937292f5ba.

2013-07-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-07-10  Gustavo Zacarias <gustavo@zacarias.com.ar>

	* lib/accelerated/cryptodev.c: Eliminate reset from cryptodev hashes
	and mac It wasn't done in 73ec74c2 and 6f0ecbf4 for cryptodev causing build
	failures.  Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar>

2013-07-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/mac.c: doc update

2013-07-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-07-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-07-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_handshake.c: make sure that the hook function is always
	called.

2013-07-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am, doc/manpages/Makefile.am: New functions added

2013-07-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac, m4/hooks.m4: bumped version

2013-07-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_handshake.c: When resuming a session send only the
	mandatory extensions.  That will make server behavior to conform to TLS RFC. Reported by
	Peter Dettman.

2013-07-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ext/srtp.c: corrected typo

2013-07-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-07-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ext/srtp.c: Include MKI size in size calculations for the
	extension.  This prevents a parsing error when MKI is being used.  Reported by
	Gábor Tatárka.

2013-07-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/benchmark.h: Fix for NetBSD systems that do not have
	CLOCK_PROCESS_CPUTIME_ID. Patch by Thomas Klausner.

2013-07-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/certtool.c: make sure that a valid number of days is entered

2013-07-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/DCO.txt: Added DCO

2013-07-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/libgnutls.map: added new functions

2013-07-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-dtls-hello-verify.c: simplified structure

2013-07-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_handshake.c: corrected issue in client hello verify.

2013-07-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/algorithms/mac.c, lib/gnutls_int.h,
	lib/includes/gnutls/gnutls.h.in: Added helper functions for digests.

2013-07-04  Stef Walter <stefw@redhat.com>

	* lib/pkcs11.c: pkcs11: Use the correct attribute length for
	CKA_TRUSTED CKA_TRUSTED is a CK_BBOOL value in PKCS#11. Since object searches
	are done with the attribute byte values, we need to get the length
	exactly right.  Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2013-07-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-x509-callbacks.c: updated for new callback format

2013-07-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_priority.c: corrected typo

2013-07-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore: more files to ignore

2013-07-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_dtls.c: doc update

2013-07-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_priority.c: when removing a cipher priority, make sure
	the order is kept

2013-06-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/gnutls_dtls.c, lib/includes/gnutls/gnutls.h.in: 
	gnutls_record_overhead_size2 -> gnutls_est_record_overhead_size

2013-07-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/crypto-api.c: doc update

2013-06-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* po/eo.po.in, po/fi.po.in: Sync with TP.

2013-06-28  Ludovic Courtès <ludo@gnu.org>

	* guile/src/core.c: guile: Keep a weak reference on objects
	aggregated by other objects.  Before, in cases such as `set-anonymous-server-dh-parameters!' where
	the C object beneath CRED keeps a pointer to the C object beneath
	DH_PARAMS, DH_PARAMS could be garbage-collected before CRED, leading
	to the destruction of the underlying C object.  Reported by Nikos Mavrogiannopoulos <nmav@gnutls.org>.

2013-06-28  Ludovic Courtès <ludo@gnu.org>

	* guile/tests/anonymous-auth.scm, guile/tests/openpgp-auth.scm,
	guile/tests/x509-auth.scm: guile: tests: Use `port->fdes' rather
	than `fileno'.  This has no practical impact, but it's a better way to express that
	we don't want the file descriptors closed behind our back.

2013-06-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-cert-auth.texi: removed unsupported RSA-EXPORT

2013-06-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-bib.texi, doc/cha-intro-tls.texi, doc/latex/gnutls.bib: 
	documented private extensions

2013-06-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_handshake.c, lib/gnutls_state.c,
	lib/includes/gnutls/gnutls.h.in: simplified hook function, to apply
	only to post-processing or generation of messages.

2013-06-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_record.c: documented dtls behavior.

2013-06-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_dtls.c: enforce the maximum TLS size when setting MTU

2013-06-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-dtls-large.c: make sure that no DTLS MTU size can
	exceed 2^14.

2013-06-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/Makefile.am, lib/nettle/Makefile.am: Revert "Add nettle
	dependencies to libcrypto.la" This reverts commit f3ef68f4f79434fadc3f28c649744e57f3eef99b.

2013-06-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/Makefile.am, tests/mini-dtls-large.c: Added test to verify
	whether DTLS layer will send GNUTLS_E_LARGE_PACKET on large packets

2013-06-18  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* po/cs.po.in: Sync with TP.

2013-06-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_dh_primes.c: check for zero values when import DH
	parameters.

2013-06-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* po/de.po.in, po/nl.po.in, po/pl.po.in, po/uk.po.in, po/vi.po.in: 
	Sync with TP.

2013-06-14  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-06-14  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/debug.c, lib/debug.h, lib/gnutls_handshake.c,
	lib/gnutls_int.h, lib/gnutls_state.c,
	lib/includes/gnutls/gnutls.h.in, lib/libgnutls.map,
	tests/mini-x509-callbacks.c: Added
	gnutls_handshake_set_hook_function() to allow hooks on arbitrary
	handshake messages.

2013-06-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/announce.txt: added BCC to avoid forgetting it in the future

2013-06-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/invoke-tpmtool.texi, doc/manpages/tpmtool.1: doc update

2013-06-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/gnutls_dtls.c, lib/gnutls_state.c,
	lib/includes/gnutls/dtls.h, lib/includes/gnutls/gnutls.h.in,
	lib/libgnutls.map: avoid the introduction of a new function to
	disable replay protection.

2013-06-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/suite/testcompat-main: changed port to avoid conflicts

2013-06-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-overhead.c: small update

2013-06-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/cli.c: removed unused var

2013-06-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/tpmtool-args.c, src/tpmtool-args.h: updated tpmtool
	auto-gen'ed files

2013-06-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/gnutls_dtls.c, lib/includes/gnutls/gnutls.h.in,
	lib/libgnutls.map: Added gnutls_record_overhead_size() and Added
	gnutls_record_overhead_size2().

2013-06-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_state.c: doc update

2013-06-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/gnutls_dtls.c, lib/gnutls_int.h, lib/gnutls_record.c,
	lib/includes/gnutls/dtls.h, lib/libgnutls.map: DTLS replay
	protection can now be disabled.

2013-06-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_state.c: doc update

2013-06-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/algorithms/ciphers.c, lib/includes/gnutls/crypto.h,
	lib/libgnutls.map: Added gnutls_cipher_get_tag_size().

2013-06-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/gnutls_x509.c, lib/includes/gnutls/x509.h,
	lib/libgnutls.map: Added gnutls_certificate_set_trust_list().

2013-06-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/auth/cert.c, lib/auth/srp_rsa.c, lib/ext/signature.c,
	lib/gnutls_cipher.c, lib/gnutls_constate.c, lib/gnutls_handshake.c,
	lib/gnutls_sig.c: explicit tests for non-null version

2013-06-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_privkey.c, lib/gnutls_pubkey.c: fix typo

2013-06-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore: more files to ignore

2013-06-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ext/heartbeat.c, lib/gnutls_dtls.c: corrected heartbeat
	timeout documentation; reported by Sebastien Decugis.

2013-06-07  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* build-aux/ar-lib: updated file

2013-06-07  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/sha2/sha2, tests/sha2/sha2-dsa: avoid common files

2013-06-07  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* build-aux/test-driver, configure.ac: require automake 1.12.2 for
	guile.

2013-06-07  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_priority.c: SECURE -> SECURE128

2013-06-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* guile/tests/priorities.scm: corrected priority strings

2013-06-06  Martin Storsjo <martin@martin.st>

	* extra/Makefile.am, lib/Makefile.am, lib/accelerated/Makefile.am,
	lib/accelerated/x86/Makefile.am, lib/algorithms/Makefile.am,
	lib/auth/Makefile.am, lib/ext/Makefile.am, lib/extras/Makefile.am,
	lib/opencdk/Makefile.am, lib/openpgp/Makefile.am,
	lib/x509/Makefile.am: Add NETTLE_CFLAGS in makefiles This is required for using nettle/memxor.h, which now is included
	implicitly via gnutls_int.h, if the nettle include directories
	aren't in one of the compiler standard paths.  Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2013-06-06  Martin Storsjo <martin@martin.st>

	* src/crywrap/Makefile.am: crywrap: Use the libidn pkg-config
	include and lib paths Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2013-06-06  Ludovic Courtès <ludo@gnu.org>

	* guile/tests/Makefile.am: guile: Use `LOG_COMPILER', as required by
	Automake 1.12+.

2013-06-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/Makefile.am, lib/nettle/Makefile.am: Add nettle dependencies
	to libcrypto.la

2013-06-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/nettle/Makefile.am: correctly place cflags

2013-06-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-shared-key.texi: discourage usage of anonymous
	authentication

2013-06-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-gtls-app.texi, lib/gnutls_global.c: doc update

2013-06-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/Makefile.am, lib/gnutls.pc.in, lib/nettle/Makefile.am,
	m4/hooks.m4: Directly link to gmp library. Based on original patch
	by Alon Bar-Lev <alon.barlev@gmail.com>.

2013-06-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* cross.mk: updated cross.mk

2013-06-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/cert-tests/Makefile.am, tests/cert-tests/pem-decoding,
	tests/dsa/Makefile.am, tests/openpgp-certs/Makefile.am: several
	updates for tests to run under win32

2013-06-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/system.c: null terminate strings in windows

2013-06-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* cross.mk: updated makefile

2013-06-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/pkcs12-decode/pkcs12: fix windows extension

2013-06-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/pkcs1-padding/Makefile.am: avoid running tests which require
	datefudge in windows

2013-06-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/cli.c: avoid struct sigaction in win32

2013-06-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/cert-tests/pem-decoding: Avoid comparing the expiration date
	to prevent false positive error in 32-bit systems.

2013-06-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/cert-tests/pathlen: Revert "Avoid comparing the expiration
	date to prevent false positive error in 32-bit systems." This reverts commit 64f9b5787c9b404763f59b3252fe4ef1b862aa00.

2013-06-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/cert-tests/pathlen: Avoid comparing the expiration date to
	prevent false positive error in 32-bit systems.

2013-06-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated

2013-06-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-internals.texi, doc/cha-upgrade.texi: doc updates

2013-06-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated from 3.2.1

2013-06-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: check for suse's CA bundle file

2013-05-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/openpgp/privkey.c: call cleanup and deinit on the correct
	number of parameters

2013-05-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_pk.c: avoid calling clear on null values

2013-05-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac, lib/Makefile.am, lib/gnutls.pc.in, m4/hooks.m4: use
	pkg-config to detect nettle

2013-05-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-xssl.c: ignore sigpipe

2013-05-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/ciphersuites.c: allow ciphersuites with elliptic
	curves even when using SSL 3.0. This works around a bug on openssl
	in certain Debian systems.

2013-05-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* po/LINGUAS, po/eo.po.in: Sync with TP.

2013-05-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore: more files to ignore

2013-05-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-xssl.c: updated xssl.

2013-05-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_dtls.c: doc update

2013-05-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-overhead.c: document sizes

2013-05-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_dtls.c: more precise calculation of overhead

2013-05-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/Makefile.am, tests/mini-overhead.c: Check overhead in DTLS.

2013-05-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_dtls.c: doc update

2013-05-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-05-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac, m4/hooks.m4: bumped version

2013-05-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/includes/gnutls/crypto.h, lib/includes/gnutls/gnutls.h.in: 
	revert prototype move

2013-05-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am, doc/cha-support.texi, doc/manpages/Makefile.am: 
	doc update

2013-05-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_cipher.c, lib/gnutls_cipher_int.c: Eliminated memory
	copy on decryption.

2013-05-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_cipher_int.h: corrected likely()

2013-05-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-deflate.c, tests/mini-x509-2.c, tests/mini-x509.c: use
	various ciphers in tests.

2013-05-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_privkey.c: doc update

2013-05-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-dtls-record.c: avoid delays by using a reliable
	transport layer.

2013-05-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore: removed test file from repository

2013-05-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-record.c: avoid delays by using a reliable transport
	layer.

2013-05-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/ciphers.c, lib/gnutls_cipher.c,
	lib/gnutls_cipher_int.c, lib/gnutls_cipher_int.h: Eliminated memory
	copy at encryption.

2013-05-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/nettle/pk.c: eliminated unused variable

2013-05-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_handshake.c: revive gnutls_handshake_get_last_in().
	Report by Mann Ern Kang.

2013-05-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_cipher.c, lib/gnutls_cipher.h, lib/gnutls_record.c: 
	simplified code by passing an mbuffer.

2013-05-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_int.h, lib/gnutls_mbuffers.h: better name

2013-05-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_pubkey.c: always set hash length

2013-05-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/abstract_int.h, lib/gnutls_pubkey.c, lib/nettle/pk.c: 
	corrected bug with _gnutls_dsa_q_to_hash() usage introduced
	previously

2013-05-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/abstract_int.h, lib/algorithms.h,
	lib/algorithms/ciphersuites.c, lib/algorithms/protocols.c,
	lib/auth/cert.c, lib/auth/rsa.c, lib/auth/srp_rsa.c,
	lib/ext/signature.c, lib/gnutls_cipher.c, lib/gnutls_constate.c,
	lib/gnutls_handshake.c, lib/gnutls_int.h, lib/gnutls_kx.c,
	lib/gnutls_pubkey.c, lib/gnutls_record.c, lib/gnutls_sig.c,
	lib/gnutls_state.c, lib/gnutls_ui.c: optimized access to TLS
	protocol version properties.

2013-05-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/abstract_int.h, lib/accelerated/x86/hmac-padlock.c,
	lib/algorithms.h, lib/algorithms/ciphers.c,
	lib/algorithms/ciphersuites.c, lib/algorithms/mac.c,
	lib/algorithms/protocols.c, lib/algorithms/sign.c,
	lib/crypto-api.c, lib/ext/session_ticket.c, lib/gnutls_cipher.c,
	lib/gnutls_cipher_int.c, lib/gnutls_cipher_int.h,
	lib/gnutls_constate.c, lib/gnutls_dtls.c, lib/gnutls_handshake.c,
	lib/gnutls_hash_int.c, lib/gnutls_hash_int.h, lib/gnutls_int.h,
	lib/gnutls_pk.c, lib/gnutls_pk.h, lib/gnutls_privkey.c,
	lib/gnutls_pubkey.c, lib/gnutls_range.c, lib/gnutls_sig.c,
	lib/gnutls_sig.h, lib/gnutls_srp.c, lib/gnutls_state.c,
	lib/gnutls_ui.c, lib/nettle/pk.c, lib/opencdk/Makefile.am,
	lib/opencdk/hash.c, lib/opencdk/pubkey.c, lib/opencdk/seskey.c,
	lib/opencdk/sig-check.c, lib/opencdk/stream.c, lib/verify-tofu.c,
	lib/x509/crq.c, lib/x509/ocsp.c, lib/x509/ocsp_output.c,
	lib/x509/pkcs12.c, lib/x509/pkcs12_encr.c, lib/x509/privkey.c,
	lib/x509/privkey_pkcs8.c, lib/x509/verify.c, lib/x509/x509.c,
	lib/x509/x509_int.h: simplified access to cipher and mac properties
	to reduce wasted cycles.

2013-05-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* extra/gnutls_openssl.c: modified openssl compat API to use the
	exported API

2013-05-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/libgnutls.map: no longer export internal hash functions

2013-05-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-dtls-hello-verify.c: removed memory leak

2013-05-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_num.c, lib/gnutls_num.h: inlined simple functions

2013-05-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_mbuffers.c: avoid calloc

2013-05-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_record.c: fixes in record version checking

2013-05-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/cli.c: use sigaction instead of signal in gnutls-cli

2013-05-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/cli.c: Revert "break the loop when a SIGALRM has been
	received" This reverts commit c3b3a0c6bd14a542e11873ebe0975a5ddd0ab46b.

2013-05-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/libopts/m4/libopts.m4: relax check on requirement on headers
	for libopts. Reported by Mark Brand.

2013-05-20  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore: more files to ignore

2013-05-20  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_record.c: Improved record version checks

2013-05-20  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/Makefile.am, tests/mini-dtls-hello-verify.c: Added test for
	hello verify message

2013-05-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/nettle/mac.c: fail on wrong key sizes

2013-05-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/gnutls_dtls.c: corrected record overhead calculations

2013-05-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_record.c: more detailed error

2013-05-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_handshake.c: corrected resumption check

2013-05-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated doc

2013-05-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_record.c: Allow record layer packets with version less
	than the negotiated.  Allowing such records avoids issue in DTLS client hello request
	verification.

2013-05-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls.pc.in: removed undefined variable

2013-05-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/gnutls_handshake.c, lib/gnutls_session.c,
	lib/gnutls_ui.c, lib/includes/gnutls/gnutls.h.in, lib/libgnutls.map: 
	gnutls_session_set_id() was added

2013-05-18  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/cli.c: break the loop when a SIGALRM has been received

2013-05-18  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/libopts/m4/libopts.m4: configure proceeds if regex library
	isn't found

2013-05-17  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_str.c: documented function behavior

2013-05-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_str.c: corrected typo

2013-05-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_str.c, lib/nettle/pk.c, lib/opencdk/keydb.c,
	lib/opencdk/sig-check.c, lib/x509/common.c,
	lib/x509/verify-high2.c, lib/x509/verify.c, lib/x509/x509.c,
	lib/xssl.c, libdane/dane.c: several updates

2013-05-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/danetool.c: print message on certificate verification

2013-05-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-05-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/cert-tests/pem-decoding: more verbose messages

2013-05-10  Tim Kosse <tim.kosse@filezilla-project.org>

	* tests/eagain-common.h: When retrying gnutls_record_send due to
	GNUTLS_E_AGAIN, also try passing null data and length. Tests will
	fail after this patch until next patch is applied that fixes a bug
	in gnutls_record_send.  Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2013-05-10  Tim Kosse <tim.kosse@filezilla-project.org>

	* lib/gnutls_record.c: If gnutls_record_send fails with
	GNUTLS_E_AGAIN or GNUTLS_E_INTERRUPTED, the documentation allows
	passing null for the data and size on retry.  Commit 2ec84d6 broke this usage of gnutls_record_send. This patch
	fixes the problem.  Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2013-05-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-internals.texi, lib/gnutls_ui.c: typo fixes by Andreas
	Metzler

2013-05-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: released 3.2.0

2013-05-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-cert-auth2.texi, doc/cha-gtls-app.texi,
	doc/cha-gtls-examples.texi: simplified node referencing and add
	NEW_PADDING in doc

2013-05-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* m4/hooks.m4: increased revision

2013-05-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am, doc/manpages/Makefile.am: doc update

2013-05-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/algorithms/ciphersuites.c: Added more options for
	salsa20 ciphers

2013-05-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/libopts/m4/libopts.m4: applied libregex patch

2013-05-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* cfg.mk, lib/accelerated/x86/macosx/appro-aes-gcm-x86-64-macosx.s,
	lib/accelerated/x86/macosx/appro-aes-x86-64-macosx.s,
	lib/accelerated/x86/macosx/appro-aes-x86-macosx.s,
	lib/accelerated/x86/macosx/cpuid-x86-64-macosx.s,
	lib/accelerated/x86/macosx/cpuid-x86-macosx.s,
	lib/accelerated/x86/macosx/padlock-x86-64-macosx.s,
	lib/accelerated/x86/macosx/padlock-x86-macosx.s: use C's style
	comments to compile in old MacOSX systems. Reported by Ryan Schmidt.

2013-05-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-auth.texi: doc update

2013-05-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ext/alpn.c: clarified doc

2013-05-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/invoke-certtool.texi, doc/invoke-danetool.texi,
	doc/invoke-gnutls-cli-debug.texi, doc/invoke-gnutls-cli.texi,
	doc/invoke-gnutls-serv.texi, doc/invoke-ocsptool.texi,
	doc/invoke-p11tool.texi, doc/invoke-psktool.texi,
	doc/invoke-srptool.texi, doc/invoke-tpmtool.texi,
	doc/manpages/tpmtool.1: updated for new autogen

2013-05-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-alpn.c: updated for new api

2013-05-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/dtls/dtls-stress.c: updated path

2013-05-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/cli.c: corrected API usage.

2013-05-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ext/alpn.c, lib/ext/alpn.h, lib/gnutls_alert.c,
	lib/gnutls_errors.c, lib/includes/gnutls/gnutls.h.in: Added support
	for the NO_APPLICATION_PROTOCOL alert for ALPN.

2013-05-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/cli-args.c, src/cli-args.def, src/cli-args.h, src/cli.c,
	src/common.c: Improved ALPN support in gnutls-cli

2013-05-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/certtool-args.c, src/certtool-args.h, src/cli-args.c,
	src/cli-args.h, src/cli-debug-args.c, src/cli-debug-args.h,
	src/danetool-args.c, src/danetool-args.h, src/ocsptool-args.c,
	src/ocsptool-args.h, src/p11tool-args.c, src/p11tool-args.h,
	src/psk-args.c, src/psk-args.h, src/serv-args.c, src/serv-args.h,
	src/srptool-args.c, src/srptool-args.h: updated libopts generated
	files.

2013-05-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/libopts/COPYING.gplv3, src/libopts/COPYING.lgplv3,
	src/libopts/Makefile.am, src/libopts/README,
	src/libopts/ag-char-map.h, src/libopts/alias.c,
	src/libopts/ao-strs.c, src/libopts/ao-strs.h,
	src/libopts/autoopts.c, src/libopts/autoopts.h,
	src/libopts/autoopts/options.h, src/libopts/autoopts/project.h,
	src/libopts/autoopts/usage-txt.h, src/libopts/boolean.c,
	src/libopts/check.c, src/libopts/compat/compat.h,
	src/libopts/compat/pathfind.c, src/libopts/compat/snprintf.c,
	src/libopts/compat/strchr.c, src/libopts/compat/strdup.c,
	src/libopts/compat/windows-config.h, src/libopts/configfile.c,
	src/libopts/cook.c, src/libopts/enum.c, src/libopts/env.c,
	src/libopts/file.c, src/libopts/find.c, src/libopts/genshell.c,
	src/libopts/genshell.h, src/libopts/gettext.h, src/libopts/init.c,
	src/libopts/libopts.c, src/libopts/load.c,
	src/libopts/m4/libopts.m4, src/libopts/m4/liboptschk.m4,
	src/libopts/makeshell.c, src/libopts/nested.c,
	src/libopts/numeric.c, src/libopts/option-value-type.c,
	src/libopts/option-value-type.h,
	src/libopts/option-xat-attribute.c,
	src/libopts/option-xat-attribute.h, src/libopts/parse-duration.c,
	src/libopts/parse-duration.h, src/libopts/pgusage.c,
	src/libopts/proto.h, src/libopts/putshell.c, src/libopts/reset.c,
	src/libopts/restore.c, src/libopts/save.c, src/libopts/sort.c,
	src/libopts/stack.c, src/libopts/streqvcmp.c,
	src/libopts/text_mmap.c, src/libopts/time.c,
	src/libopts/tokenize.c, src/libopts/usage.c, src/libopts/version.c: 
	updated libopts to autogen 5.17.3

2013-05-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/cli-args.def, src/cli.c: Added --alpn option to cli

2013-05-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac, m4/hooks.m4: bumped version

2013-05-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/algorithms/mac.c, lib/includes/gnutls/gnutls.h.in,
	lib/nettle/mac.c: Added umac-128

2013-05-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/certtool-cfg.c, src/certtool-cfg.h, src/certtool.c: set the
	key purpose in certificate requests

2013-05-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/utils.h: Do not call gnutls_pkcs11_init() when pkcs11 is
	disabled. Reported by Linus Nordberg.

2013-05-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* libdane/dane.c, libdane/includes/gnutls/dane.h: corrected typo.
	reported by Etan Reisner.

2013-05-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/suite/mini-eagain2.c, tests/suite/mini-record-timing.c: 
	updated include files

2013-05-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_handshake.c: simplified code

2013-05-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* gl/Makefile.am, gl/m4/extern-inline.m4, gl/m4/getdtablesize.m4,
	gl/m4/gnulib-comp.m4, gl/tests/Makefile.am,
	gl/tests/getdtablesize.c, gl/tests/glthread/threadlib.c,
	gl/tests/test-dup2.c, gl/tests/test-getdtablesize.c: updated gnulib

2013-05-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/anonself.c, tests/certder.c,
	tests/certificate_set_x509_crl.c, tests/certuniqueid.c,
	tests/chainverify-unsorted.c, tests/chainverify.c,
	tests/crq_apis.c, tests/crq_key_id.c, tests/cve-2008-4989.c,
	tests/cve-2009-1415.c, tests/cve-2009-1416.c, tests/dhepskself.c,
	tests/dn.c, tests/dn2.c, tests/dtls/dtls-stress.c, tests/gc.c,
	tests/hostname-check.c, tests/infoaccess.c, tests/init_roundtrip.c,
	tests/key-openssl.c, tests/mini-alpn.c, tests/mini-deflate.c,
	tests/mini-dtls-heartbeat.c, tests/mini-dtls-record.c,
	tests/mini-dtls-rehandshake.c, tests/mini-dtls-srtp.c,
	tests/mini-eagain-dtls.c, tests/mini-eagain.c,
	tests/mini-emsgsize-dtls.c, tests/mini-handshake-timeout.c,
	tests/mini-loss-time.c, tests/mini-record-range.c,
	tests/mini-record.c, tests/mini-rehandshake.c, tests/mini-tdb.c,
	tests/mini-termination.c, tests/mini-x509-2.c,
	tests/mini-x509-callbacks.c, tests/mini-x509-cas.c,
	tests/mini-x509.c, tests/mini-xssl.c, tests/mini.c, tests/moredn.c,
	tests/mpi.c, tests/nul-in-x509-names.c, tests/ocsp.c,
	tests/openpgp-auth.c, tests/openpgp-auth2.c,
	tests/openpgp-keyring.c, tests/openpgpself.c, tests/openssl.c,
	tests/parse_ca.c, tests/pgps2kgnu.c, tests/pkcs12_encode.c,
	tests/pkcs12_s2k.c, tests/pkcs12_s2k_pem.c, tests/pkcs12_simple.c,
	tests/pskself.c, tests/resume-dtls.c, tests/resume.c,
	tests/rng-fork.c, tests/rsa-encrypt-decrypt.c,
	tests/safe-renegotiation/srn0.c, tests/safe-renegotiation/srn1.c,
	tests/safe-renegotiation/srn2.c, tests/safe-renegotiation/srn3.c,
	tests/safe-renegotiation/srn4.c, tests/safe-renegotiation/srn5.c,
	tests/set_pkcs12_cred.c, tests/setcredcrash.c,
	tests/slow/cipher-test.c, tests/slow/gendh.c, tests/slow/keygen.c,
	tests/srp/mini-srp.c, tests/suite/mini-eagain2.c,
	tests/suite/mini-record-timing.c, tests/utils.h,
	tests/x509_altname.c, tests/x509cert-tl.c, tests/x509cert.c,
	tests/x509dn.c, tests/x509self.c, tests/x509sign-verify.c: When
	running tests disable PKCS #11 support to avoid detecting memory
	leaks from PKCS #11 libraries.

2013-05-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_dtls.c: doc update

2013-04-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/dtls/Makefile.am: link explicitly to librt

2013-04-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated

2013-04-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc update

2013-04-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore, build-aux/config.rpath, build-aux/gendocs.sh,
	configure.ac, gl/Makefile.am, gl/gettime.c,
	gl/glthread/threadlib.c, gl/intprops.h, gl/m4/clock_time.m4,
	gl/m4/frexp.m4, gl/m4/gettime.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/intl.m4, gl/m4/po.m4, gl/m4/putenv.m4,
	gl/m4/stdalign.m4, gl/m4/sys_types_h.m4, gl/m4/timer_time.m4,
	gl/m4/timespec.m4, gl/sys_select.in.h, gl/sys_time.in.h,
	gl/tests/Makefile.am, gl/tests/malloca.h, gl/tests/putenv.c,
	gl/timespec.c, gl/timespec.h, gl/unistd.in.h, lib/gnutls_dtls.c,
	lib/gnutls_dtls.h, lib/gnutls_state.c, lib/nettle/rnd.c,
	lib/system.h, src/benchmark-cipher.c, src/benchmark.c,
	src/benchmark.h, tests/suite/Makefile.am,
	tests/suite/mini-record-timing.c: Avoid linking the library on
	librt.

2013-04-27  Stef Walter <stefw@redhat.com>

	* tests/suite/mini-record-timing.c: test suite: Add missing header Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2013-04-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/cert-tests/Makefile.am, tests/cert-tests/complex-cert.pem,
	tests/cert-tests/pem-decoding: Added test for escaping rules.

2013-04-27  Stef Walter <stefw@redhat.com>

	* lib/x509/common.c: Add the standard description OID to those
	recognized for DNs Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2013-04-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/common.c, lib/x509/dn.c: Always escape printable strings
	the LDAP way, and avoid escaping hex encoded values. Report and
	initial patch from Stef Walter.

2013-04-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/common.c, lib/x509/common.h: Do not include null
	terminator in DN string.  When printing an unknown DN string as hex do not include the null
	terminator.  Reported by Stef Walter.

2013-04-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: Link against pthread only when pthread_mutex_lock
	isn't in libc

2013-04-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/accelerated/x86/sha-padlock.c: initialize the digest after
	output on padlock.

2013-04-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/certtool-cfg.c, src/certtool-cfg.h, src/certtool.c,
	src/pkcs11.c: read_yesno() accepts a default value. By default
	certificates are marked as ok for signing and encryption.

2013-04-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ext/heartbeat.c, lib/ext/heartbeat.h: updated license

2013-04-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/accelerated/x86/sha-padlock.c, lib/crypto-backend.h,
	lib/gnutls_cipher_int.c, lib/gnutls_hash_int.c,
	lib/gnutls_hash_int.h, lib/nettle/mac.c: eliminate the reset ability
	from hashes

2013-04-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/accelerated/x86/hmac-padlock.c, lib/crypto-backend.h,
	lib/gnutls_cipher_int.c, lib/gnutls_hash_int.c,
	lib/gnutls_hash_int.h, lib/nettle/mac.c: Do not handle MAC reset
	separately. It is implied by nettle's output function.

2013-04-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/crypto-api.c: updated documentation

2013-04-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/benchmark-cipher.c, src/benchmark-tls.c, src/benchmark.c,
	src/benchmark.h: updated benchmark output

2013-04-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/TODO: updated TODO list

2013-04-17  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/auth/cert.h, lib/gnutls_cert.c, lib/gnutls_x509.c: use the
	pass argument on PKCS #11 keys.

2013-04-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/accelerated/x86/hmac-padlock.c,
	lib/accelerated/x86/sha-padlock.c: corrected memory leak in
	padlock_hash_fast()

2013-04-14  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-intro-tls.texi: mention about experimental protocols

2013-04-14  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/benchmark-tls.c: nettle 2.7 is required

2013-04-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-crypto.texi: doc update

2013-04-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-crypto.texi: Added documentation on public key API.

2013-04-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-gtls-app.texi, lib/gnutls_priority.c: Added priority
	string VERS-DTLS-ALL

2013-04-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/mac.c, lib/nettle/cipher.c, lib/nettle/mac.c,
	m4/hooks.m4: nettle 2.7 is required

2013-04-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: corrected doc

2013-04-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/mac.c, lib/nettle/cipher.c, lib/nettle/mac.c,
	m4/hooks.m4, src/benchmark-tls.c: renamed HAVE_UMAC -> HAVE_NETTLE27

2013-04-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/ciphers.c, lib/algorithms/ciphersuites.c,
	lib/includes/gnutls/gnutls.h.in, lib/nettle/cipher.c,
	src/benchmark-tls.c: Added ESTREAM salsa20 cipher.

2013-04-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/nettle/mac.c: better naming of functions

2013-04-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/mac.c, lib/includes/gnutls/gnutls.h.in,
	lib/nettle/mac.c, m4/hooks.m4: Updated UMAC code to use nettle's new
	implementation

2013-04-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* README: added note about LGPLv3

2013-04-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/system_override.c: doc update

2013-04-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_buffers.c: use unlikely

2013-04-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: documented update

2013-04-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac, doc/cha-intro-tls.texi, lib/ext/Makefile.am,
	lib/ext/alpn.c, lib/ext/alpn.h, lib/gnutls_extensions.c,
	lib/gnutls_int.h, lib/includes/gnutls/gnutls.h.in,
	lib/libgnutls.map, m4/hooks.m4, tests/Makefile.am,
	tests/mini-alpn.c: Added support for the ALPN extension.

2013-04-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_constate.c: removed unused variables

2013-04-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/cli-debug.c, src/tests.c, src/tests.h: removed the RSA-EXPORT
	checks

2013-04-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* README: updated

2013-04-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-cert-auth2.texi, doc/cha-gtls-app.texi,
	doc/cha-tokens.texi, lib/gnutls_x509.c,
	lib/includes/gnutls/gnutls.h.in, lib/libgnutls.map: Added
	gnutls_certificate_set_x509_key_mem2() and
	gnutls_certificate_set_x509_key_file2()

2013-04-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-cert-auth2.texi, doc/cha-gtls-examples.texi,
	lib/gnutls_privkey.c, lib/x509/pkcs12.c, lib/x509/privkey.c: doc
	updates

2013-04-07  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms.h, lib/algorithms/ciphers.c,
	lib/gnutls_constate.c, lib/gnutls_state.c, lib/gnutls_state.h: 
	removed TLS export key generation

2013-04-07  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, configure.ac, doc/cha-gtls-app.texi, lib/Makefile.am,
	lib/algorithms.h, lib/algorithms/ciphersuites.c,
	lib/algorithms/kx.c, lib/algorithms/publickey.c,
	lib/auth/Makefile.am, lib/auth/cert.h, lib/auth/rsa.c,
	lib/auth/rsa_export.c, lib/gnutls_auth.c, lib/gnutls_cert.c,
	lib/gnutls_handshake.c, lib/gnutls_int.h, lib/gnutls_kx.c,
	lib/gnutls_priority.c, lib/gnutls_rsa_export.c,
	lib/gnutls_rsa_export.h, lib/gnutls_session_pack.c,
	lib/gnutls_state.c, lib/gnutls_state.h, lib/gnutls_ui.c,
	lib/includes/gnutls/gnutls.h.in, lib/x509/privkey.c,
	lib/x509/privkey_openssl.c, lib/x509/privkey_pkcs8.c: Removed the
	RSA-EXPORT ciphersuites.

2013-04-07  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, doc/cha-library.texi, lib/algorithms/ciphersuites.c,
	lib/algorithms/protocols.c, lib/gnutls_priority.c,
	lib/includes/gnutls/gnutls.h.in, tests/mini-emsgsize-dtls.c: Added
	support for DTLS 1.2

2013-04-07  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/includes/gnutls/abstract.h, lib/includes/gnutls/compat.h,
	lib/includes/gnutls/gnutls.h.in: deprecated
	gnutls_privkey_sign_raw_data()

2013-04-07  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/TODO: updated

2013-04-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_range.c: updates in range handling code.

2013-04-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/Makefile.am, tests/mini-record-range.c: Added test for
	record ranges.

2013-04-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/auth/ecdhe.c: Set the curve priority to calling derive.

2013-04-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/nettle/pk.c: reduce the number of temp variables in ECDH

2013-04-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/common.c: print the signatures used.

2013-04-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ext/signature.c, lib/ext/signature.h, lib/gnutls_int.h,
	lib/gnutls_session_pack.c, lib/gnutls_sig.c,
	lib/includes/gnutls/gnutls.h.in, lib/libgnutls.map: Added
	gnutls_sign_algorithm_get_client()

2013-04-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ext/heartbeat.c, m4/hooks.m4: Changed license of heartbeat
	implementation to match the rest of the library

2013-04-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-internals.texi: updated text

2013-04-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ext/heartbeat.c: gnutls_pong() returns zero on success.

2013-04-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ext/heartbeat.h: removed function that didn't exist

2013-04-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ext/heartbeat.c, lib/ext/heartbeat.h: updated heartbeat

2013-04-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-dtls-heartbeat.c: Check all error conditions.

2013-04-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ext/heartbeat.c: Corrected bug in heartbeat send (reported by
	Joke de Buhr).

2013-04-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/algorithms.h, lib/algorithms/ecc.c, lib/auth/ecdhe.c,
	lib/crypto-backend.h, lib/gnutls_ecc.c, lib/gnutls_ecc.h,
	lib/gnutls_privkey.c, lib/gnutls_pubkey.c, lib/nettle/Makefile.am,
	lib/nettle/ecc.h, lib/nettle/ecc_free.c, lib/nettle/ecc_make_key.c,
	lib/nettle/ecc_map.c, lib/nettle/ecc_mulmod.c,
	lib/nettle/ecc_mulmod_cached.c, lib/nettle/ecc_points.c,
	lib/nettle/ecc_projective_add_point_ng.c,
	lib/nettle/ecc_projective_check_point.c,
	lib/nettle/ecc_projective_dbl_point_3.c,
	lib/nettle/ecc_projective_isneutral.c,
	lib/nettle/ecc_projective_negate_point.c,
	lib/nettle/ecc_shared_secret.c, lib/nettle/ecc_sign_hash.c,
	lib/nettle/ecc_verify_hash.c, lib/nettle/init.c,
	lib/nettle/multi.c, lib/nettle/pk.c, lib/nettle/wmnaf.c,
	lib/x509/key_decode.c, lib/x509/privkey.c: Removed elliptic curve
	code from gnutls. Use nettle's implementation.

2013-04-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/serv.c: corrected issue in ecccertfile option

2013-04-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_handshake.c: make a short list of the available PK
	algorithms

2013-03-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_privkey.c, lib/gnutls_pubkey.c,
	lib/includes/gnutls/abstract.h, tests/x509sign-verify.c: Added sign
	and verification flags to operate in RSA raw mode (as used in TLS).

2013-03-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/auth/rsa.c, lib/gnutls_int.h: When in compatibility mode allow
	for a wrong version in the RSA PMS.

2013-03-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms.h, lib/algorithms/protocols.c, lib/auth/rsa.c,
	lib/gnutls_cipher.c, lib/gnutls_handshake.c, lib/gnutls_record.c: 
	convert gnutls versions to TLS major-minor in a single function.

2013-03-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* devel/perlasm/license-gnutls.txt,
	lib/accelerated/x86/coff/cpuid-x86-64-coff.s,
	lib/accelerated/x86/coff/cpuid-x86-coff.s,
	lib/accelerated/x86/elf/cpuid-x86-64.s,
	lib/accelerated/x86/elf/cpuid-x86.s,
	lib/accelerated/x86/macosx/cpuid-x86-64-macosx.s,
	lib/accelerated/x86/macosx/cpuid-x86-macosx.s,
	lib/ext/status_request.h, lib/gnutlsxx.cpp,
	lib/includes/gnutls/gnutls.h.in, lib/includes/gnutls/ocsp.h,
	lib/includes/gnutls/x509.h, lib/libgnutls.map,
	lib/x509/verify-high.h: changed license headers to 2.1. Reported by
	Andreas Metzler.

2013-03-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated

2013-03-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/manpages/Makefile.am: updated copyright

2013-03-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/algorithms/ciphers.c, lib/algorithms/mac.c,
	lib/crypto-api.c, lib/includes/gnutls/crypto.h,
	lib/includes/gnutls/gnutls.h.in: Added gnutls_mac_get_nonce_size()

2013-03-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated

2013-03-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_privkey.c: doc update

2013-03-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-internals.texi: corrected file location

2013-03-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/openpgp-auth.c: use return instead of exit

2013-03-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/auth/cert.c: use the proper defines

2013-03-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/abstract_int.h, lib/auth/cert.c, lib/gnutls_pubkey.c,
	lib/includes/gnutls/abstract.h, lib/includes/gnutls/openpgp.h,
	lib/openpgp/gnutls_openpgp.c: Fixes in openpgp handshake with
	fingerprints. Reported by Joke de Buhr.

2013-03-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/openpgp-auth.c: openpgp-auth tests
	gnutls_openpgp_set_recv_key_function() as well.

2013-03-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/gnutls_sig.c: correct issue with the (deprecated)
	external key signing and TLS 1.2

2013-03-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/benchmark.c: use clock_gettime when we can

2013-03-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/benchmark-cipher.c: removed R20

2013-03-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/algorithms/ciphers.c, lib/algorithms/ciphersuites.c,
	lib/includes/gnutls/gnutls.h.in, lib/nettle/cipher.c,
	src/benchmark-tls.c: Salsa20R20 -> Salsa20

2013-03-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/libgnutls.map, tests/gc.c: use the exported variant of
	_gnutls_hmac_fast().

2013-03-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/accelerated/cryptodev.c,
	lib/accelerated/x86/hmac-padlock.c, lib/algorithms/ciphers.c,
	lib/algorithms/ciphersuites.c, lib/algorithms/mac.c,
	lib/crypto-api.c, lib/crypto-backend.h, lib/ext/session_ticket.c,
	lib/gnutls_cipher.c, lib/gnutls_cipher_int.c,
	lib/gnutls_cipher_int.h, lib/gnutls_constate.c, lib/gnutls_dtls.c,
	lib/gnutls_hash_int.c, lib/gnutls_hash_int.h, lib/gnutls_state.c,
	lib/includes/gnutls/crypto.h, lib/includes/gnutls/gnutls.h.in,
	lib/libgnutls.map, lib/nettle/cipher.c, lib/nettle/mac.c,
	lib/x509/pbkdf2-sha1.c, lib/x509/pkcs12.c, m4/hooks.m4,
	src/benchmark-cipher.c, src/benchmark-tls.c: The HMAC subsystem can
	now be used for other MAC algorithms, like UMAC. UMAC-96 and
	UMAC-128 were conditionally added.

2013-03-17  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/benchmark-tls.c: use RSA ciphersuite to compare ciphers.

2013-03-17  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_cipher.c: corrected bug in stream ciphers and added new
	cipher to the new padding format.

2013-03-17  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/algorithms.h, lib/algorithms/ciphers.c,
	lib/algorithms/ciphersuites.c, lib/gnutls_cipher.c,
	lib/gnutls_constate.c, lib/gnutls_dtls.c,
	lib/includes/gnutls/crypto.h, lib/includes/gnutls/gnutls.h.in,
	lib/libgnutls.map, lib/nettle/cipher.c, lib/x509/privkey_openssl.c,
	lib/x509/privkey_pkcs8.c, src/benchmark-cipher.c,
	src/benchmark-tls.c: Added salsa20 cipher, and ciphersuites.

2013-03-17  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/pkcs11.c: search only for slots with tokens and avoid caching
	to prevent issues with multiple threads.

2013-03-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated

2013-03-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-tokens.texi, lib/gnutls_privkey.c,
	lib/includes/gnutls/abstract.h, lib/libgnutls.map: Added
	gnutls_privkey_status()

2013-03-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/pkcs11.c: avoid internal error

2013-03-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/pkcs11.c: use correct type for rv

2013-03-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated

2013-03-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/pkcs11.c: scan slots on PKCS #11 providers only when needed,
	not on initialization.

2013-03-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_privkey.c: doc update

2013-03-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-library.texi: documented the new configure options

2013-03-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/crypto-backend.h, lib/gnutls_mpi.h, lib/gnutls_pk.c,
	lib/nettle/mpi.c, lib/openpgp/privkey.c, lib/x509/privkey.c: Private
	key parameters are overwritten with zeros on deinitialization.

2013-03-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-library.texi, doc/latex/cover.tex, doc/latex/gnutls.bib: 
	doc updates

2013-03-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-tokens.texi: simplified text

2013-03-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac, m4/hooks.m4: bumped version

2013-03-14  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, doc/invoke-certtool.texi, doc/invoke-danetool.texi,
	lib/gnutls_privkey.c, lib/gnutls_sig.c, lib/gnutls_sig.h,
	lib/includes/gnutls/abstract.h, lib/libgnutls.map: Added
	gnutls_privkey_sign_raw_data()

2013-03-14  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_pcert.c: simplified code

2013-03-14  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/serv.c: gnutls-serv may run without certificate, but will
	issue a warning

2013-03-14  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/serv.c: gnutls-serv issues an error if no certificate and key
	pair was set.

2013-03-14  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* COPYING.LESSER, README: gnutls 3.1.10 is LGPLv2.1

2013-03-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/kx.c, lib/auth/anon.c, lib/auth/anon_ecdh.c,
	lib/gnutlsxx.cpp, src/cli-debug.c, src/serv.c, src/tests.c: Added
	several ifdefs to avoid using disabled code.

2013-03-12  Daniel Kahn Gillmor <dkg@fifthhorseman.net>

	* doc/cha-bib.texi, doc/cha-tokens.texi: Document mechanism used for
	*_key_id() creation.  For the rationale behind this, see the gnutls-devl thread 'X.509
	"Key Identifiers" in GnuTLS' found either at

	http://lists.gnutls.org/pipermail/gnutls-devel/2013-March/006182.htmland
	http://thread.gmane.org/gmane.comp.encryption.gpg.gnutls.devel/6674

2013-03-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, doc/examples/ex-cert-select-pkcs11.c,
	doc/examples/ex-cert-select.c, doc/examples/ex-client-anon.c,
	doc/examples/ex-client-dtls.c, doc/examples/ex-client-psk.c,
	doc/examples/ex-client-srp.c, doc/examples/ex-client-x509.c,
	lib/gnutls_int.h, lib/gnutls_ui.c, lib/includes/gnutls/gnutls.h.in,
	lib/libgnutls.map, src/common.c: Added gnutls_session_get_desc()

2013-03-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac, lib/algorithms/ciphersuites.c, lib/algorithms/kx.c,
	lib/auth/Makefile.am, lib/auth/anon_ecdh.c, lib/auth/cert.c,
	lib/auth/cert.h, lib/auth/dh_common.c, lib/auth/dhe.c,
	lib/auth/dhe_psk.c, lib/auth/ecdh_common.c, lib/auth/ecdh_common.h,
	lib/auth/ecdhe.c, lib/auth/ecdhe.h, lib/auth/rsa_export.c,
	lib/gnutls_handshake.c, lib/gnutls_kx.c, lib/gnutls_priority.c,
	lib/gnutls_rsa_export.c, lib/gnutls_state.c, lib/gnutls_ui.c,
	m4/hooks.m4: Added options to disable more key exchange mechanisms.  In that DHE was separated from ECDHE.

2013-03-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/serv.c: removed unneeded code

2013-03-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/cli.c: When requesting DANE data resolve a service name into a
	port number. Reported by James Cloos.

2013-03-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: removed

2013-03-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-cert-auth.texi, doc/cha-cert-auth2.texi: doc update

2013-03-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/dn.c: avoid duplicate memory allocation in
	_gnutls_x509_get_dn()

2013-03-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/cert-tests/dane-test.rr: The default dane output is type 03
	now.

2013-03-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_x509.c: simplified

2013-03-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_ui.c, lib/gnutls_x509.c, lib/gnutls_x509.h: Return
	proper also when loading a private key.

2013-03-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/includes/gnutls/tpm.h, lib/tpm.c: GNUTLS_TPMKEY_FMT_DER ->
	GNUTLS_TPMKEY_FMT_RAW

2013-03-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_privkey.c, lib/gnutls_pubkey.c, lib/gnutls_x509.c: 
	return unimplemented feature on encounter of a known but unsupported
	url

2013-03-07  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/invoke-certtool.texi, doc/invoke-danetool.texi,
	src/danetool-args.c, src/danetool-args.def, src/danetool-args.h,
	src/danetool.c: updates in danetool

2013-03-07  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* Makefile.am, configure.ac: Added configure option to disable the
	build of tests.

2013-03-07  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/invoke-certtool.texi, src/certtool-args.c,
	src/certtool-args.def, src/certtool-args.h: updated example
	template.

2013-03-07  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/suite/ecore/src/lib/Ecore.h: updated

2013-03-07  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509_b64.c: corrected allocation size

2013-03-07  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_ui.c: simplified text

2013-03-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: Fixes in cpu and cross-compilation detection

2013-03-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/dn.c, lib/x509/verify.c, lib/x509/x509.c,
	lib/x509/x509_int.h: Placed back _gnutls_x509_compare_raw_dn().

2013-03-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/system.c: check revocation prior to reading local certs.

2013-03-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/verify-high.c: deinitialize the certificate

2013-03-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated

2013-03-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: When cross compiling do not check for ca
	certificates.

2013-03-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: auto-detect CA certificates only if
	with-default-trust-store-file is not provided.

2013-03-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/system.c: corrected parameters.

2013-03-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/includes/gnutls/x509.h, lib/libgnutls.map,
	lib/system.c, lib/x509/verify-high.c, lib/x509/verify-high2.c,
	tests/x509cert-tl.c: Added functions that remove certificates from a
	trust list.

2013-03-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* libdane/includes/gnutls/dane.h: updated doc

2013-03-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/system.c: Check for revoked certs in android and do not add.
	Suggested by David Woodhouse.

2013-03-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/system.c: corrected add_system_trust() in the unsupported
	system case.

2013-03-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/common.c, lib/x509/common.h, lib/x509/crl.c,
	lib/x509/dn.c, lib/x509/ocsp.c, lib/x509/verify-high.c,
	lib/x509/verify.c, lib/x509/x509.c, lib/x509/x509_int.h: Several
	optimizations on certificate comparisons including DN. This speeds
	up CA certificate loading, and certificate verification.

2013-03-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/verify-high.c: Revert "When making the hash list of the
	CAs avoid calling get_raw_*_dn() which is very costly." This reverts commit 1b7d66354e9b4d174b58233f4dd8ab46a1d45f14.

2013-03-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated

2013-03-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/verify-high.c: When making the hash list of the CAs avoid
	calling get_raw_*_dn() which is very costly.

2013-03-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/includes/gnutls/x509.h, lib/libgnutls.map,
	lib/x509/crl.c, lib/x509/crq.c, lib/x509/dn.c, lib/x509/x509.c,
	lib/x509/x509_int.h: Added new functions to get the LDAP DN in an
	allocated buffer.

2013-03-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/cli.c: Removed unused code.

2013-03-05  Daniel Kahn Gillmor <dkg@fifthhorseman.net>

	* lib/x509/x509_write.c: fix description of id_size parameter

2013-03-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/system.c: handle the interesting variance between directories

2013-03-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/system.c: test for ANDROID or __ANDROID__

2013-03-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* build-aux/ar-lib: updated

2013-03-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: call gl_EARLY earlier, and add AM_PROG_AR.

2013-03-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls.pc.in: corrected link

2013-03-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: removed Werror from automake rules

2013-03-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am: Added flag

2013-03-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore, ChangeLog: removed

2013-03-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_x509.c, src/Makefile.am: changes to avoid compilation
	of programs that cannot be.

2013-03-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/system.c: more simplifications to
	gnutls_x509_trust_list_add_system_trust()

2013-03-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated

2013-03-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/system.c: corrected reading from directory.

2013-03-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/system.c: gnutls_x509_trust_list_add_system_trust() was made
	to work in android 4.x.

2013-03-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated

2013-03-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/system.c: More cleanups in
	gnutls_x509_trust_list_add_system_trust()

2013-03-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: Select CPU optimizations based on target cpu rather
	than the host.

2013-03-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/Makefile.am, lib/system.c: some simplifications in
	gnutls_x509_trust_list_add_system_trust()

2013-03-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, src/certtool.c: Use ARCFOUR cipher by default to be
	compatible with devices like android that don't support AES

2013-03-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, doc/invoke-danetool.texi, libdane/dane.c,
	libdane/includes/gnutls/dane.h, src/danetool-args.c,
	src/danetool-args.def, src/danetool-args.h, src/danetool.c,
	tests/suite/Makefile.am, tests/suite/testdane: Added verify flags
	for DANE to enforce verification and restrict it to a field.

2013-03-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore, ChangeLog: added empty ChangeLog

2013-03-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* GNUmakefile, build-aux/config.rpath, build-aux/gendocs.sh,
	build-aux/pmccabe2html, build-aux/snippet/arg-nonnull.h,
	build-aux/snippet/c++defs.h, build-aux/snippet/unused-parameter.h,
	build-aux/snippet/warn-on-use.h, build-aux/useless-if-before-free,
	build-aux/vc-list-files, doc/gendocs_template, gl/Makefile.am,
	gl/accept.c, gl/alloca.in.h, gl/alphasort.c, gl/argp-ba.c,
	gl/argp-eexst.c, gl/argp-fmtstream.c, gl/argp-fmtstream.h,
	gl/argp-fs-xinl.c, gl/argp-help.c, gl/argp-namefrob.h,
	gl/argp-parse.c, gl/argp-pin.c, gl/argp-pv.c, gl/argp-pvh.c,
	gl/argp-xinl.c, gl/argp.h, gl/arpa_inet.in.h, gl/asnprintf.c,
	gl/asprintf.c, gl/base64.c, gl/base64.h, gl/basename-lgpl.c,
	gl/bind.c, gl/byteswap.in.h, gl/c-ctype.c, gl/c-ctype.h,
	gl/c-strcase.h, gl/c-strcasecmp.c, gl/c-strncasecmp.c, gl/close.c,
	gl/closedir.c, gl/connect.c, gl/dirent-private.h, gl/dirent.in.h,
	gl/dirname-lgpl.c, gl/dirname.h, gl/dosname.h, gl/dup2.c,
	gl/errno.in.h, gl/error.c, gl/error.h, gl/fd-hook.c, gl/fd-hook.h,
	gl/filename.h, gl/float+.h, gl/float.c, gl/float.in.h, gl/fpucw.h,
	gl/frexp.c, gl/frexpl.c, gl/fseek.c, gl/fseeko.c, gl/fseterr.c,
	gl/fseterr.h, gl/fstat.c, gl/ftell.c, gl/ftello.c,
	gl/gai_strerror.c, gl/getaddrinfo.c, gl/getdelim.c, gl/getline.c,
	gl/getopt.c, gl/getopt.in.h, gl/getopt1.c, gl/getopt_int.h,
	gl/getpass.c, gl/getpass.h, gl/getpeername.c, gl/getsubopt.c,
	gl/gettext.h, gl/gettime.c, gl/gettimeofday.c,
	gl/glthread/threadlib.c, gl/hash-pjw-bare.c, gl/hash-pjw-bare.h,
	gl/iconv.c, gl/iconv.in.h, gl/iconv_close.c, gl/iconv_open.c,
	gl/inet_ntop.c, gl/inet_pton.c, gl/intprops.h, gl/isnan.c,
	gl/isnand-nolibm.h, gl/isnand.c, gl/isnanf-nolibm.h, gl/isnanf.c,
	gl/isnanl-nolibm.h, gl/isnanl.c, gl/itold.c, gl/listen.c,
	gl/lseek.c, gl/m4/00gnulib.m4, gl/m4/alloca.m4, gl/m4/alphasort.m4,
	gl/m4/argp.m4, gl/m4/arpa_inet_h.m4, gl/m4/base64.m4,
	gl/m4/byteswap.m4, gl/m4/clock_time.m4, gl/m4/close.m4,
	gl/m4/closedir.m4, gl/m4/codeset.m4, gl/m4/dirent_h.m4,
	gl/m4/dirname.m4, gl/m4/double-slash-root.m4, gl/m4/dup2.m4,
	gl/m4/eealloc.m4, gl/m4/environ.m4, gl/m4/errno_h.m4,
	gl/m4/error.m4, gl/m4/exponentd.m4, gl/m4/exponentf.m4,
	gl/m4/exponentl.m4, gl/m4/extensions.m4, gl/m4/extern-inline.m4,
	gl/m4/fcntl-o.m4, gl/m4/fcntl_h.m4, gl/m4/fdopen.m4,
	gl/m4/float_h.m4, gl/m4/fpieee.m4, gl/m4/frexp.m4, gl/m4/frexpl.m4,
	gl/m4/fseek.m4, gl/m4/fseeko.m4, gl/m4/fseterr.m4, gl/m4/fstat.m4,
	gl/m4/ftell.m4, gl/m4/ftello.m4, gl/m4/ftruncate.m4, gl/m4/func.m4,
	gl/m4/getaddrinfo.m4, gl/m4/getcwd.m4, gl/m4/getdelim.m4,
	gl/m4/getline.m4, gl/m4/getopt.m4, gl/m4/getpagesize.m4,
	gl/m4/getpass.m4, gl/m4/getsubopt.m4, gl/m4/gettext.m4,
	gl/m4/gettime.m4, gl/m4/gettimeofday.m4, gl/m4/glibc2.m4,
	gl/m4/glibc21.m4, gl/m4/gnulib-cache.m4, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/gnulib-tool.m4, gl/m4/hostent.m4,
	gl/m4/iconv.m4, gl/m4/iconv_h.m4, gl/m4/iconv_open-utf.m4,
	gl/m4/iconv_open.m4, gl/m4/include_next.m4, gl/m4/inet_ntop.m4,
	gl/m4/inet_pton.m4, gl/m4/inline.m4, gl/m4/intdiv0.m4,
	gl/m4/intl.m4, gl/m4/intldir.m4, gl/m4/intlmacosx.m4,
	gl/m4/intmax.m4, gl/m4/intmax_t.m4, gl/m4/inttypes-pri.m4,
	gl/m4/inttypes.m4, gl/m4/inttypes_h.m4, gl/m4/ioctl.m4,
	gl/m4/isnand.m4, gl/m4/isnanf.m4, gl/m4/isnanl.m4,
	gl/m4/largefile.m4, gl/m4/lcmessage.m4, gl/m4/ld-output-def.m4,
	gl/m4/ld-version-script.m4, gl/m4/ldexpl.m4, gl/m4/lib-ld.m4,
	gl/m4/lib-link.m4, gl/m4/lib-prefix.m4, gl/m4/libunistring-base.m4,
	gl/m4/locale-fr.m4, gl/m4/locale-ja.m4, gl/m4/locale-tr.m4,
	gl/m4/locale-zh.m4, gl/m4/locale_h.m4, gl/m4/localename.m4,
	gl/m4/lock.m4, gl/m4/longlong.m4, gl/m4/lseek.m4, gl/m4/lstat.m4,
	gl/m4/malloc.m4, gl/m4/malloca.m4, gl/m4/manywarnings.m4,
	gl/m4/math_h.m4, gl/m4/memchr.m4, gl/m4/memmem.m4,
	gl/m4/mempcpy.m4, gl/m4/minmax.m4, gl/m4/mmap-anon.m4,
	gl/m4/mode_t.m4, gl/m4/msvc-inval.m4, gl/m4/msvc-nothrow.m4,
	gl/m4/multiarch.m4, gl/m4/netdb_h.m4, gl/m4/netinet_in_h.m4,
	gl/m4/nls.m4, gl/m4/nocrash.m4, gl/m4/off_t.m4, gl/m4/open.m4,
	gl/m4/opendir.m4, gl/m4/pathmax.m4, gl/m4/perror.m4, gl/m4/pipe.m4,
	gl/m4/po.m4, gl/m4/printf-frexp.m4, gl/m4/printf-frexpl.m4,
	gl/m4/printf-posix.m4, gl/m4/printf.m4, gl/m4/progtest.m4,
	gl/m4/putenv.m4, gl/m4/rawmemchr.m4, gl/m4/read-file.m4,
	gl/m4/readdir.m4, gl/m4/realloc.m4, gl/m4/scandir.m4,
	gl/m4/select.m4, gl/m4/servent.m4, gl/m4/setenv.m4,
	gl/m4/setlocale.m4, gl/m4/signal_h.m4, gl/m4/signbit.m4,
	gl/m4/size_max.m4, gl/m4/sleep.m4, gl/m4/snprintf.m4,
	gl/m4/socketlib.m4, gl/m4/sockets.m4, gl/m4/socklen.m4,
	gl/m4/sockpfaf.m4, gl/m4/ssize_t.m4, gl/m4/stat.m4,
	gl/m4/stdalign.m4, gl/m4/stdarg.m4, gl/m4/stdbool.m4,
	gl/m4/stddef_h.m4, gl/m4/stdint.m4, gl/m4/stdint_h.m4,
	gl/m4/stdio_h.m4, gl/m4/stdlib_h.m4, gl/m4/strcase.m4,
	gl/m4/strchrnul.m4, gl/m4/strdup.m4, gl/m4/strerror.m4,
	gl/m4/strerror_r.m4, gl/m4/string_h.m4, gl/m4/strings_h.m4,
	gl/m4/strndup.m4, gl/m4/strnlen.m4, gl/m4/strtok_r.m4,
	gl/m4/strverscmp.m4, gl/m4/symlink.m4, gl/m4/sys_ioctl_h.m4,
	gl/m4/sys_select_h.m4, gl/m4/sys_socket_h.m4, gl/m4/sys_stat_h.m4,
	gl/m4/sys_time_h.m4, gl/m4/sys_types_h.m4, gl/m4/sys_uio_h.m4,
	gl/m4/sysexits.m4, gl/m4/threadlib.m4, gl/m4/time_h.m4,
	gl/m4/time_r.m4, gl/m4/timer_time.m4, gl/m4/timespec.m4,
	gl/m4/uintmax_t.m4, gl/m4/ungetc.m4, gl/m4/unistd_h.m4,
	gl/m4/valgrind-tests.m4, gl/m4/vasnprintf.m4, gl/m4/vasprintf.m4,
	gl/m4/version-etc.m4, gl/m4/vfprintf-posix.m4, gl/m4/visibility.m4,
	gl/m4/vprintf-posix.m4, gl/m4/vsnprintf.m4, gl/m4/warn-on-use.m4,
	gl/m4/warnings.m4, gl/m4/wchar_h.m4, gl/m4/wchar_t.m4,
	gl/m4/wint_t.m4, gl/m4/xsize.m4, gl/malloc.c, gl/math.in.h,
	gl/memchr.c, gl/memmem.c, gl/mempcpy.c, gl/minmax.h,
	gl/msvc-inval.c, gl/msvc-inval.h, gl/msvc-nothrow.c,
	gl/msvc-nothrow.h, gl/netdb.in.h, gl/netinet_in.in.h, gl/opendir.c,
	gl/printf-args.c, gl/printf-args.h, gl/printf-frexp.c,
	gl/printf-frexp.h, gl/printf-frexpl.c, gl/printf-frexpl.h,
	gl/printf-parse.c, gl/printf-parse.h, gl/progname.c, gl/progname.h,
	gl/rawmemchr.c, gl/read-file.c, gl/read-file.h, gl/readdir.c,
	gl/realloc.c, gl/recv.c, gl/recvfrom.c, gl/scandir.c, gl/select.c,
	gl/send.c, gl/sendto.c, gl/setsockopt.c, gl/shutdown.c,
	gl/signal.in.h, gl/signbitd.c, gl/signbitf.c, gl/signbitl.c,
	gl/size_max.h, gl/sleep.c, gl/snprintf.c, gl/socket.c,
	gl/sockets.c, gl/sockets.h, gl/stdalign.in.h, gl/stdarg.in.h,
	gl/stdbool.in.h, gl/stddef.in.h, gl/stdint.in.h, gl/stdio-impl.h,
	gl/stdio.c, gl/stdio.in.h, gl/stdlib.in.h, gl/str-two-way.h,
	gl/strcasecmp.c, gl/strchrnul.c, gl/strdup.c,
	gl/strerror-override.c, gl/strerror-override.h, gl/strerror.c,
	gl/string.in.h, gl/strings.in.h, gl/stripslash.c, gl/strncasecmp.c,
	gl/strndup.c, gl/strnlen.c, gl/strtok_r.c, gl/strverscmp.c,
	gl/sys_select.in.h, gl/sys_socket.in.h, gl/sys_stat.in.h,
	gl/sys_time.in.h, gl/sys_types.in.h, gl/sys_uio.in.h,
	gl/sysexits.in.h, gl/tests/Makefile.am, gl/tests/binary-io.h,
	gl/tests/fcntl.in.h, gl/tests/fdopen.c, gl/tests/ftruncate.c,
	gl/tests/getcwd-lgpl.c, gl/tests/getpagesize.c,
	gl/tests/glthread/lock.c, gl/tests/glthread/lock.h,
	gl/tests/ignore-value.h, gl/tests/infinity.h, gl/tests/init.sh,
	gl/tests/inttypes.in.h, gl/tests/ioctl.c, gl/tests/locale.in.h,
	gl/tests/localename.c, gl/tests/localename.h, gl/tests/lstat.c,
	gl/tests/macros.h, gl/tests/malloca.c, gl/tests/malloca.h,
	gl/tests/minus-zero.h, gl/tests/nan.h, gl/tests/open.c,
	gl/tests/pathmax.h, gl/tests/perror.c, gl/tests/pipe.c,
	gl/tests/putenv.c, gl/tests/randomd.c, gl/tests/randoml.c,
	gl/tests/same-inode.h, gl/tests/setenv.c, gl/tests/setlocale.c,
	gl/tests/signature.h, gl/tests/stat.c, gl/tests/strerror_r.c,
	gl/tests/symlink.c, gl/tests/sys_ioctl.in.h,
	gl/tests/test-accept.c, gl/tests/test-alloca-opt.c,
	gl/tests/test-argp-2.sh, gl/tests/test-argp.c,
	gl/tests/test-arpa_inet.c, gl/tests/test-base64.c,
	gl/tests/test-binary-io.c, gl/tests/test-bind.c,
	gl/tests/test-byteswap.c, gl/tests/test-c-ctype.c,
	gl/tests/test-c-strcasecmp.c, gl/tests/test-c-strncasecmp.c,
	gl/tests/test-close.c, gl/tests/test-connect.c,
	gl/tests/test-dirent.c, gl/tests/test-dup2.c,
	gl/tests/test-environ.c, gl/tests/test-errno.c,
	gl/tests/test-fcntl-h.c, gl/tests/test-fdopen.c,
	gl/tests/test-fgetc.c, gl/tests/test-float.c,
	gl/tests/test-fprintf-posix.h, gl/tests/test-fputc.c,
	gl/tests/test-fread.c, gl/tests/test-frexp.c,
	gl/tests/test-frexp.h, gl/tests/test-frexpl.c,
	gl/tests/test-fseek.c, gl/tests/test-fseeko.c,
	gl/tests/test-fseeko3.c, gl/tests/test-fseeko4.c,
	gl/tests/test-fseterr.c, gl/tests/test-fstat.c,
	gl/tests/test-ftell.c, gl/tests/test-ftell3.c,
	gl/tests/test-ftello.c, gl/tests/test-ftello3.c,
	gl/tests/test-ftello4.c, gl/tests/test-ftruncate.c,
	gl/tests/test-func.c, gl/tests/test-fwrite.c,
	gl/tests/test-getaddrinfo.c, gl/tests/test-getcwd-lgpl.c,
	gl/tests/test-getdelim.c, gl/tests/test-getline.c,
	gl/tests/test-getopt.c, gl/tests/test-getopt.h,
	gl/tests/test-getopt_long.h, gl/tests/test-getpeername.c,
	gl/tests/test-gettimeofday.c, gl/tests/test-iconv-h.c,
	gl/tests/test-iconv-utf.c, gl/tests/test-iconv.c,
	gl/tests/test-ignore-value.c, gl/tests/test-inet_ntop.c,
	gl/tests/test-inet_pton.c, gl/tests/test-init.sh,
	gl/tests/test-intprops.c, gl/tests/test-inttypes.c,
	gl/tests/test-ioctl.c, gl/tests/test-isnand-nolibm.c,
	gl/tests/test-isnand.h, gl/tests/test-isnanf-nolibm.c,
	gl/tests/test-isnanf.h, gl/tests/test-isnanl-nolibm.c,
	gl/tests/test-isnanl.h, gl/tests/test-listen.c,
	gl/tests/test-locale.c, gl/tests/test-localename.c,
	gl/tests/test-lstat.c, gl/tests/test-lstat.h,
	gl/tests/test-malloc-gnu.c, gl/tests/test-malloca.c,
	gl/tests/test-math.c, gl/tests/test-memchr.c,
	gl/tests/test-netdb.c, gl/tests/test-netinet_in.c,
	gl/tests/test-open.c, gl/tests/test-open.h,
	gl/tests/test-pathmax.c, gl/tests/test-perror.c,
	gl/tests/test-perror2.c, gl/tests/test-pipe.c,
	gl/tests/test-printf-frexp.c, gl/tests/test-printf-frexpl.c,
	gl/tests/test-printf-posix.h, gl/tests/test-rawmemchr.c,
	gl/tests/test-read-file.c, gl/tests/test-recv.c,
	gl/tests/test-recvfrom.c, gl/tests/test-select-fd.c,
	gl/tests/test-select-stdin.c, gl/tests/test-select.c,
	gl/tests/test-select.h, gl/tests/test-send.c,
	gl/tests/test-sendto.c, gl/tests/test-setenv.c,
	gl/tests/test-setlocale1.c, gl/tests/test-setlocale2.c,
	gl/tests/test-setsockopt.c, gl/tests/test-shutdown.c,
	gl/tests/test-signal-h.c, gl/tests/test-signbit.c,
	gl/tests/test-sleep.c, gl/tests/test-snprintf.c,
	gl/tests/test-sockets.c, gl/tests/test-stat.c,
	gl/tests/test-stat.h, gl/tests/test-stdalign.c,
	gl/tests/test-stdbool.c, gl/tests/test-stddef.c,
	gl/tests/test-stdint.c, gl/tests/test-stdio.c,
	gl/tests/test-stdlib.c, gl/tests/test-strchrnul.c,
	gl/tests/test-strerror.c, gl/tests/test-strerror_r.c,
	gl/tests/test-string.c, gl/tests/test-strings.c,
	gl/tests/test-strnlen.c, gl/tests/test-strverscmp.c,
	gl/tests/test-symlink.c, gl/tests/test-symlink.h,
	gl/tests/test-sys_ioctl.c, gl/tests/test-sys_select.c,
	gl/tests/test-sys_socket.c, gl/tests/test-sys_stat.c,
	gl/tests/test-sys_time.c, gl/tests/test-sys_types.c,
	gl/tests/test-sys_uio.c, gl/tests/test-sys_wait.h,
	gl/tests/test-sysexits.c, gl/tests/test-time.c,
	gl/tests/test-u64.c, gl/tests/test-unistd.c,
	gl/tests/test-unsetenv.c, gl/tests/test-vasnprintf.c,
	gl/tests/test-vasprintf.c, gl/tests/test-vc-list-files-cvs.sh,
	gl/tests/test-vc-list-files-git.sh, gl/tests/test-verify.c,
	gl/tests/test-version-etc.c, gl/tests/test-version-etc.sh,
	gl/tests/test-vfprintf-posix.c, gl/tests/test-vprintf-posix.c,
	gl/tests/test-vsnprintf.c, gl/tests/test-wchar.c,
	gl/tests/unistr/test-u8-mbtoucr.c,
	gl/tests/unistr/test-u8-uctomb.c, gl/tests/unsetenv.c,
	gl/tests/w32sock.h, gl/tests/zerosize-ptr.h, gl/time.in.h,
	gl/time_r.c, gl/timespec.h, gl/u64.h, gl/unistd.in.h,
	gl/unistr.in.h, gl/unistr/u8-mbtoucr.c, gl/unistr/u8-uctomb-aux.c,
	gl/unistr/u8-uctomb.c, gl/unitypes.in.h, gl/vasnprintf.c,
	gl/vasnprintf.h, gl/vasprintf.c, gl/verify.h, gl/version-etc-fsf.c,
	gl/version-etc.c, gl/version-etc.h, gl/vfprintf.c, gl/vprintf.c,
	gl/vsnprintf.c, gl/w32sock.h, gl/wchar.in.h, gl/xsize.h, maint.mk: 
	updated gnulib

2013-02-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/libgnutls.map: Added gnutls_pkcs11_privkey_status

2013-02-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am, doc/invoke-certtool.texi,
	doc/manpages/Makefile.am: updated

2013-02-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, configure.ac, m4/hooks.m4: bumped version

2013-02-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_db.h, lib/gnutls_int.h, lib/gnutls_record.c,
	lib/gnutls_session_pack.c: small optimizations in session storage

2013-02-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_state.c: no need to memset during session deinit.

2013-02-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/nettle/rnd.c, tests/rng-fork.c: fixed nonce generation
	after fork().

2013-02-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_db.c, lib/gnutls_handshake.c,
	lib/gnutls_session_pack.c: Small fixes.

2013-02-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/includes/gnutls/pkcs11.h, lib/pkcs11_privkey.c: Added
	gnutls_pkcs11_privkey_status().

2013-02-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/verify.c: doc update

2013-02-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* libdane/dane.c, libdane/errors.c, libdane/includes/gnutls/dane.h: 
	when verifying a DANE CA constraint make sure that the provided
	chain is actually a chain.

2013-02-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* libdane/dane.c: doc update

2013-02-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-tokens.texi: mention enable-in in p11-kit config.

2013-02-20  Jaak Ristioja <jaak.ristioja@cyber.ee>

	* lib/gnutls_psk.c, lib/gnutls_str.c: Moved gnutls_hex_(en|de)code
	functions from lib/gnutls_psk.c to lib/gnutls_str.c to fix
	compilation of certtool when PSK is disabled.  These are rather generic functions by nature, so it would be
	reasonable to include them in GnuTLS even if PSK support is
	disabled.  Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2013-02-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/pkcs11.c: print info on reinitializor error.

2013-02-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-cert-auth.texi: Documented the DANE situation in gnutls.
	Suggested by Gabor Toth.

2013-02-18  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/pkcs11.c: Fixed gnutls_pkcs11_reinit() to reinitialize
	all modules.

2013-02-18  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/pkcs11.c: return proper error

2013-02-18  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated

2013-02-18  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/serv.c: use set_int when needed

2013-02-18  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ext/session_ticket.c, lib/gnutls_datum.c,
	lib/gnutls_extensions.c, lib/gnutls_str.c, lib/gnutls_x509.c,
	lib/x509/ocsp.c, lib/x509/pkcs12.c, lib/xssl_getline.c: Use
	gnutls_realloc_fast everywhere. Suggested by David Woodhouse.

2013-02-17  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/auth/rsa.c: better cleanup on error on export case

2013-02-17  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/x509.c: corrected parsing issue in XMPP data when in a
	subject alternative name

2013-02-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-tokens.texi, lib/gnutls_record.c,
	lib/includes/gnutls/gnutls.h.in, lib/tpm.c, src/common.c: cleaned up
	the PIN calling in TPM

2013-02-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, doc/cha-gtls-app.texi,
	doc/examples/ex-cert-select-pkcs11.c,
	doc/examples/ex-cert-select.c, doc/examples/ex-client-anon.c,
	doc/examples/ex-client-dtls.c, doc/examples/ex-client-psk.c,
	doc/examples/ex-client-resume.c, doc/examples/ex-client-srp.c,
	doc/examples/ex-client-x509.c, doc/examples/ex-serv-anon.c,
	doc/examples/ex-serv-pgp.c, doc/examples/ex-serv-psk.c,
	doc/examples/ex-serv-srp.c, doc/examples/ex-serv-x509.c,
	lib/gnutls_record.c, lib/includes/gnutls/gnutls.h.in,
	lib/libgnutls.map, src/cli.c, src/serv.c: Added convenience
	functions to avoid ugly casting in simple programs.

2013-02-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/examples/ex-client-dtls.c, doc/examples/ex-serv-dtls.c: be
	more explicit in DTLS examples to account for LARGE_PACKET error

2013-02-16  Daniel Kahn Gillmor <dkg@fifthhorseman.net>

	* lib/pkcs11.c: fix two minor memory leaks when PKCS#11 is in use

2013-02-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: documented fix

2013-02-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/libgnutls.map: corrected export of functions

2013-02-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: documented fix

2013-02-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_pubkey.c: corrected gnutls_pubkey_verify_data()

2013-02-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/verify-high.c: reduced hash table size

2013-02-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_pubkey.c: doc update

2013-02-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_state.c, lib/includes/gnutls/gnutls.h.in: Added const

2013-02-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/gnutls_handshake.c, lib/gnutls_handshake.h,
	lib/gnutls_int.h, lib/gnutls_state.c, lib/gnutls_v2_compat.c,
	lib/includes/gnutls/gnutls.h.in: gnutls_handshake_set_server_random
	-> gnutls_handshake_set_random

2013-02-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_int.h: timespec_sub_ms -> _gnutls_timespec_sub_ms

2013-02-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_handshake.c, lib/gnutls_int.h, lib/gnutls_state.c,
	lib/includes/gnutls/gnutls.h.in, lib/libgnutls.map: Added
	gnutls_handshake_set_server_random

2013-02-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/nettle/rnd.c: properly set close-on-exec.

2013-02-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/examples/ex-serv-anon.c: avoid ptrdiff_t

2013-02-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, src/certtool-extras.c: certtool's --to-p12 will now ask for
	a password to generate PKCS #12 files.  That is when provided an encrypted key file. Reported by Yan Fiz.

2013-02-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_priority.c: prefer plain RSA to DHE-RSA and DHE-DSS

2013-02-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/Makefile.am: removed duplicate

2013-02-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am, doc/invoke-gnutls-cli.texi: small updates

2013-02-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/Makefile.am: slow tests moved at the end of the suite

2013-02-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_buffers.c: simplified cleaning-up in
	_gnutls_stream_read and _gnutls_dgram_read

2013-02-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/nettle/pk.c: corrected extract_digest_info

2013-02-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_handshake.c, tests/mini-x509-callbacks.c: In client
	side the verify callback is always being called.

2013-02-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_priority.c: further relaxed security levels

2013-01-29  Jaak Ristioja <jaak.ristioja@cyber.ee>

	* Makefile.am, configure.ac: Add option to disable generation of any
	documentation for GnuTLS.

2013-01-29  Jaak Ristioja <jaak.ristioja@cyber.ee>

	* Makefile.am, libdane/Makefile.am, libdane/includes/Makefile.am: 
	Prevent libdane pkgconfig stuff from being installed if libdane
	support is disabled.

2013-02-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, configure.ac, cross.mk, m4/hooks.m4: updates for 3.1.8

2013-02-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/algorithms/secparams.c: Restored 3.1.6 defaults and
	documented fix.

2013-02-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms/secparams.c: reduced the very weak DH level to 768
	bits to not reject popular sites that operate on that level.

2013-02-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/auth/dh_common.c: added debugging message to indicate the
	number of bits.

2013-02-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_handshake.c: Do not call the certificate verification
	callback if certificates are ignored.

2013-02-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_record.c: avoid memset on the whole record header
	length

2013-02-07  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/x509/privkey.c: fixed issue in
	gnutls_x509_privkey_import2()

2013-02-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-bib.texi, doc/cha-tokens.texi, doc/latex/gnutls.bib,
	lib/tpm.c: reference TPMURI

2013-02-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_pubkey.c, lib/x509/x509.c: updated doc

2013-02-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/nettle/pk.c: corrected typo

2013-02-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/nettle/pk.c: corrected wrap_nettle_hash_algorithm() to work
	with arbitrary key sizes.

2013-02-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_db.c, lib/gnutls_db.h, lib/gnutls_session_pack.c: Added
	a magic number in front session DB data.

2013-02-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/nettle/rnd.c: Corrected typo. Reported by Mark Brand.

2013-02-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/gnutls_cipher.c: update

2013-02-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/cert-tests/ca-no-pathlen.pem: test update

2013-02-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-functions.texi, doc/manpages/Makefile.am: update

2013-02-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am, doc/cha-gtls-app.texi, lib/gnutls_record.c: 
	updated doc

2013-02-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated

2013-02-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/invoke-gnutls-cli.texi: doc update

2013-02-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_range.c: document limitation

2013-01-24  Alfredo Pironti <alfredo@pironti.eu>

	* lib/gnutls_range.c: Make sure we don't fail if writing gets
	interrupted

2013-02-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-dtls-heartbeat.c: disable heartbeat test if it isn't
	included.

2013-02-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: documented fix

2013-02-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: postpone the change

2013-02-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* COPYING.LESSER: Revert "license is again LGPLv2.1" This reverts commit b7eea829d4b1db58c49bf5c3e31e4be5b61fb2e8.

2013-02-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/suite/mini-record-timing.c: updated test

2013-02-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_cipher.c, lib/gnutls_hash_int.h: Fixes to avoid a
	timing attack in TLS CBC record parsing.

2013-02-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated

2013-02-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_extensions.c, lib/gnutls_record.c: only register
	heartbeat if it is enabled.

2013-02-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* COPYING.LESSER: license is again LGPLv2.1

2013-02-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac, lib/ext/heartbeat.c, lib/ext/heartbeat.h,
	m4/hooks.m4: updated heartbeat code, and made it optional.

2013-02-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/includes/gnutls/pkcs11.h, lib/pkcs11.c: corrected typo

2013-02-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ext/status_request.c, lib/gnutls_db.c, lib/gnutls_str.c,
	lib/pkcs11_write.c, lib/x509/ocsp.c, lib/x509/ocsp_output.c,
	lib/x509/output.c, lib/x509/verify-high.c, lib/x509/x509.c: Use
	LGPLv2.1 in the files their author's agreed to.

2013-02-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_x509.c, lib/includes/gnutls/pkcs11.h, lib/pkcs11.c,
	lib/x509/verify-high2.c: Added GNUTLS_PKCS11_OBJ_ATTR_CRT_TRUSTED_CA
	to specify trusted CA certificates.

2013-02-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: added new func

2013-02-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_session_pack.c: corrected session resumption

2013-02-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_db.c: simplified DB storing

2013-02-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/cli-args.c, src/cli-args.def, src/cli-args.h, src/cli.c: 
	Applied disable SNI patch from Daniel.

2013-02-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_db.c: remove function is not required to add or
	retrieve from db.

2013-02-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/abstract_int.h, lib/accelerated/accelerated.c,
	lib/accelerated/cryptodev-gcm.c, lib/accelerated/cryptodev.c,
	lib/accelerated/x86/aes-gcm-padlock.c,
	lib/accelerated/x86/aes-gcm-x86.c,
	lib/accelerated/x86/aes-padlock.c, lib/accelerated/x86/aes-x86.c,
	lib/accelerated/x86/hmac-padlock.c,
	lib/accelerated/x86/sha-padlock.c, lib/accelerated/x86/x86.h,
	lib/algorithms.h, lib/algorithms/cert_types.c,
	lib/algorithms/ciphers.c, lib/algorithms/ciphersuites.c,
	lib/algorithms/ecc.c, lib/algorithms/kx.c, lib/algorithms/mac.c,
	lib/algorithms/protocols.c, lib/algorithms/publickey.c,
	lib/algorithms/secparams.c, lib/algorithms/sign.c, lib/auth/anon.c,
	lib/auth/anon.h, lib/auth/anon_ecdh.c, lib/auth/cert.c,
	lib/auth/cert.h, lib/auth/dh_common.c, lib/auth/dh_common.h,
	lib/auth/dhe.c, lib/auth/dhe_psk.c, lib/auth/ecdh_common.c,
	lib/auth/ecdh_common.h, lib/auth/psk.c, lib/auth/psk.h,
	lib/auth/psk_passwd.c, lib/auth/psk_passwd.h, lib/auth/rsa.c,
	lib/auth/rsa_export.c, lib/auth/srp.c, lib/auth/srp.h,
	lib/auth/srp_passwd.c, lib/auth/srp_passwd.h, lib/auth/srp_rsa.c,
	lib/auth/srp_sb64.c, lib/crypto-api.c, lib/crypto-backend.c,
	lib/crypto-backend.h, lib/crypto.h, lib/debug.c, lib/debug.h,
	lib/ext/cert_type.c, lib/ext/cert_type.h, lib/ext/ecc.c,
	lib/ext/ecc.h, lib/ext/max_record.c, lib/ext/max_record.h,
	lib/ext/new_record_padding.c, lib/ext/new_record_padding.h,
	lib/ext/safe_renegotiation.c, lib/ext/safe_renegotiation.h,
	lib/ext/server_name.c, lib/ext/server_name.h,
	lib/ext/session_ticket.c, lib/ext/session_ticket.h,
	lib/ext/signature.c, lib/ext/signature.h, lib/ext/srp.c,
	lib/ext/srp.h, lib/ext/srtp.c, lib/ext/srtp.h, lib/gnutls_alert.c,
	lib/gnutls_anon_cred.c, lib/gnutls_auth.c, lib/gnutls_auth.h,
	lib/gnutls_buffers.c, lib/gnutls_buffers.h, lib/gnutls_cert.c,
	lib/gnutls_cipher.c, lib/gnutls_cipher.h, lib/gnutls_cipher_int.c,
	lib/gnutls_cipher_int.h, lib/gnutls_compress.c,
	lib/gnutls_compress.h, lib/gnutls_constate.c,
	lib/gnutls_constate.h, lib/gnutls_datum.c, lib/gnutls_datum.h,
	lib/gnutls_db.h, lib/gnutls_dh.c, lib/gnutls_dh.h,
	lib/gnutls_dh_primes.c, lib/gnutls_dtls.c, lib/gnutls_dtls.h,
	lib/gnutls_ecc.c, lib/gnutls_ecc.h, lib/gnutls_errors.c,
	lib/gnutls_errors.h, lib/gnutls_extensions.c,
	lib/gnutls_extensions.h, lib/gnutls_global.c, lib/gnutls_global.h,
	lib/gnutls_handshake.c, lib/gnutls_handshake.h,
	lib/gnutls_hash_int.c, lib/gnutls_hash_int.h, lib/gnutls_helper.c,
	lib/gnutls_helper.h, lib/gnutls_int.h, lib/gnutls_kx.c,
	lib/gnutls_kx.h, lib/gnutls_mbuffers.c, lib/gnutls_mbuffers.h,
	lib/gnutls_mem.c, lib/gnutls_mem.h, lib/gnutls_mpi.c,
	lib/gnutls_mpi.h, lib/gnutls_num.c, lib/gnutls_num.h,
	lib/gnutls_pcert.c, lib/gnutls_pk.c, lib/gnutls_pk.h,
	lib/gnutls_priority.c, lib/gnutls_privkey.c, lib/gnutls_psk.c,
	lib/gnutls_pubkey.c, lib/gnutls_record.c, lib/gnutls_record.h,
	lib/gnutls_rsa_export.c, lib/gnutls_rsa_export.h,
	lib/gnutls_session.c, lib/gnutls_session_pack.c,
	lib/gnutls_session_pack.h, lib/gnutls_sig.c, lib/gnutls_sig.h,
	lib/gnutls_srp.c, lib/gnutls_srp.h, lib/gnutls_state.c,
	lib/gnutls_state.h, lib/gnutls_str.h, lib/gnutls_str_array.h,
	lib/gnutls_supplemental.c, lib/gnutls_supplemental.h,
	lib/gnutls_ui.c, lib/gnutls_v2_compat.c, lib/gnutls_v2_compat.h,
	lib/gnutls_x509.c, lib/gnutls_x509.h,
	lib/includes/gnutls/abstract.h, lib/includes/gnutls/compat.h,
	lib/includes/gnutls/crypto.h, lib/includes/gnutls/dtls.h,
	lib/includes/gnutls/gnutlsxx.h, lib/includes/gnutls/openpgp.h,
	lib/includes/gnutls/pkcs11.h, lib/includes/gnutls/pkcs12.h,
	lib/includes/gnutls/tpm.h, lib/locks.c, lib/locks.h,
	lib/nettle/cipher.c, lib/nettle/ecc.h, lib/nettle/ecc_free.c,
	lib/nettle/ecc_make_key.c, lib/nettle/ecc_map.c,
	lib/nettle/ecc_mulmod.c, lib/nettle/ecc_mulmod_cached.c,
	lib/nettle/ecc_points.c, lib/nettle/ecc_projective_add_point_ng.c,
	lib/nettle/ecc_projective_check_point.c,
	lib/nettle/ecc_projective_dbl_point_3.c,
	lib/nettle/ecc_projective_isneutral.c,
	lib/nettle/ecc_projective_negate_point.c,
	lib/nettle/ecc_shared_secret.c, lib/nettle/ecc_sign_hash.c,
	lib/nettle/ecc_verify_hash.c, lib/nettle/egd.c, lib/nettle/egd.h,
	lib/nettle/init.c, lib/nettle/mac.c, lib/nettle/mpi.c,
	lib/nettle/pk.c, lib/nettle/rnd.c, lib/nettle/wmnaf.c,
	lib/opencdk/armor.c, lib/opencdk/context.h, lib/opencdk/filters.h,
	lib/opencdk/hash.c, lib/opencdk/kbnode.c, lib/opencdk/keydb.c,
	lib/opencdk/keydb.h, lib/opencdk/literal.c, lib/opencdk/main.h,
	lib/opencdk/misc.c, lib/opencdk/new-packet.c,
	lib/opencdk/opencdk.h, lib/opencdk/packet.h, lib/opencdk/pubkey.c,
	lib/opencdk/read-packet.c, lib/opencdk/seskey.c,
	lib/opencdk/sig-check.c, lib/opencdk/stream.c,
	lib/opencdk/stream.h, lib/opencdk/types.h,
	lib/opencdk/write-packet.c, lib/openpgp/compat.c,
	lib/openpgp/extras.c, lib/openpgp/gnutls_openpgp.c,
	lib/openpgp/gnutls_openpgp.h, lib/openpgp/openpgp_int.h,
	lib/openpgp/output.c, lib/openpgp/pgp.c, lib/openpgp/pgpverify.c,
	lib/openpgp/privkey.c, lib/pin.c, lib/pkcs11.c, lib/pkcs11_int.h,
	lib/pkcs11_privkey.c, lib/pkcs11_secret.c, lib/random.c,
	lib/random.h, lib/system.c, lib/system.h, lib/system_override.c,
	lib/tpm.c, lib/verify-tofu.c, lib/x509/common.c, lib/x509/common.h,
	lib/x509/crl.c, lib/x509/crl_write.c, lib/x509/crq.c,
	lib/x509/dn.c, lib/x509/extensions.c, lib/x509/key_decode.c,
	lib/x509/key_encode.c, lib/x509/mpi.c, lib/x509/pbkdf2-sha1.c,
	lib/x509/pbkdf2-sha1.h, lib/x509/pkcs12.c, lib/x509/pkcs12_bag.c,
	lib/x509/pkcs12_encr.c, lib/x509/pkcs7.c, lib/x509/privkey.c,
	lib/x509/privkey_openssl.c, lib/x509/privkey_pkcs8.c,
	lib/x509/rfc2818_hostname.c, lib/x509/sign.c,
	lib/x509/verify-high2.c, lib/x509/verify.c, lib/x509/x509_int.h,
	lib/x509/x509_write.c, lib/x509_b64.c, lib/x509_b64.h: Use LGPLv2.1
	in the files their author's agreed to.

2013-01-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_db.c, lib/gnutls_session_pack.c,
	lib/includes/gnutls/gnutls.h.in, lib/libgnutls.map: Added
	gnutls_db_check_entry_time().

2013-01-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_db.c: deprecated problematic function

2013-01-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/gnutls_db.c, lib/gnutls_handshake.c,
	lib/gnutls_session_pack.c: Fixes in server side of DTLS-0.9.

2013-01-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/includes/gnutls/xssl.h: corrected typo

2013-01-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_record.c: uncork doesn't do anything when the session
	is already in flush mode

2013-01-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore, doc/.gitignore: more files to ignore

2013-01-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-gtls-examples.texi, lib/includes/gnutls/xssl.h: doc update

2013-01-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, configure.ac, m4/hooks.m4: bumped version

2013-01-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/latex/cover.tex: Added Alfredo

2013-01-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-gtls-examples.texi, doc/gnutls.texi, doc/latex/cover.tex: 
	updated doc for XSSL

2013-01-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/examples/Makefile.am, doc/examples/ex-client-xssl1.c,
	doc/examples/ex-client-xssl2.c: Added XSSL client examples.

2013-01-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/Makefile.am, lib/libgnutls.map, tests/Makefile.am: Fixed
	compilation of mini-xssl.

2013-01-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_range.c, lib/includes/gnutls/gnutls.h.in: small fixes

2013-01-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/Makefile.am, m4/hooks.m4: xssl API moved to xssl library

2013-01-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated text

2013-01-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-gtls-app.texi: Comment out new padding until it is
	standardized or at least approved by the WG.

2013-01-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am, doc/doc.mk: fix xssl

2013-01-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/cli-debug.c: Corrected issue in gnutls-cli-debug which tried
	connections to multiple hosts.  gnutls-cli-debug was trying to connect to all possible IP addresses
	of the host and failed if any was unavailable. Now it tries
	sequentially and accepts the first that is working. Reported by
	Daniel Kahn Gillmor.

2013-01-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated

2013-01-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore, NEWS: updated NEWS

2013-01-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/crypto-api.c: Fix AEAD out-of-place decryption

2013-01-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/suite/mini-record-timing.c: updated test

2013-01-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/Makefile.am, lib/gnutls_cert.c, lib/gnutls_errors.c,
	lib/includes/Makefile.am, lib/includes/gnutls/gnutls.h.in,
	lib/includes/gnutls/sbuf.h, lib/includes/gnutls/xssl.h,
	lib/libgnutls.map, lib/sbuf.c, lib/sbuf.h, lib/sbuf_getline.c,
	lib/xssl.c, lib/xssl.h, lib/xssl_getline.c, tests/Makefile.am,
	tests/mini-sbuf.c, tests/mini-xssl.c: Added new interface.

2013-01-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_handshake.c: propagate the error of the verify
	callback.

2013-01-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/includes/gnutls/sbuf.h, lib/libgnutls.map, lib/sbuf.c: updates
	in the sbuf API.

2013-01-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/crypto-backend.h, lib/gnutls_state.c,
	lib/includes/gnutls/crypto.h, lib/nettle/rnd.c, lib/random.c,
	lib/random.h: Added gnutls_rnd_refresh().

2013-01-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_int.h, lib/gnutls_priority.c, lib/gnutls_state.h,
	lib/gnutls_ui.c: Keep the legacy dh_prime_bits.

2013-01-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_int.h, lib/includes/gnutls/sbuf.h, lib/sbuf.c,
	lib/sbuf.h, lib/verify-tofu.c: updated sbuf interface.

2013-01-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated news

2013-01-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/nettle/rnd.c: No need to cache events with the current
	behavior.

2013-01-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ext/heartbeat.c: use nonces instead of random data

2013-01-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-sbuf.c: free all resources

2013-01-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/nettle/rnd.c: nonces update the internal rng state much
	slower.

2013-01-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/algorithms/secparams.c, lib/gnutls_int.h,
	lib/gnutls_priority.c, lib/gnutls_state.h, lib/gnutls_ui.c,
	lib/includes/gnutls/gnutls.h.in: Instead of setting directly the
	number of DH bits, set a security parameter per session.

2013-01-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/auth/dh_common.c, lib/gnutls_int.h,
	lib/gnutls_priority.c, lib/gnutls_state.c, lib/gnutls_state.h,
	lib/gnutls_ui.c: The minimum DH prime bits are now set by the
	priority strings (that means they are increased for the SECURE
	strings).

2013-01-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: warnings doesn't imply Werror

2013-01-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/TODO: updated

2013-01-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_ui.c: disable gnutls_certificate_get_peers_subkey_id()
	if not openpgp.

2013-01-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/nettle/rnd.c: optimized random generator.

2013-01-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: check for getpid().

2013-01-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ext/heartbeat.c, lib/gnutls_buffers.c, lib/gnutls_dtls.c,
	lib/gnutls_dtls.h, lib/gnutls_int.h, lib/gnutls_state.c: 
	_dtls_timespec_sub_ms -> timespec_sub_ms

2013-01-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/algorithms.h, lib/algorithms/mac.c: Avoid many indirect calls.

2013-01-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/nettle/rnd.c: reduced calls to getpid

2013-01-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/nettle/rnd.c: use the more precise gettime() instead of
	gettimeofday().

2013-01-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_range.c, lib/includes/gnutls/gnutls.h.in: 
	gnutls_range_split accepts pointers as arguments.

2013-01-24  Alfredo Pironti <alfredo@pironti.eu>

	* NEWS, doc/Makefile.am, lib/gnutls_range.c,
	lib/includes/gnutls/gnutls.h.in, lib/libgnutls.map: Make
	gnutls_range_split available from the GnuTLS API

2013-01-24  Alfredo Pironti <alfredo@pironti.eu>

	* .gitignore, NEWS, lib/libgnutls.map: - Remove references to the (now renamed) gnutls_range_send_message -
	Ignore sbuf-api generated documentation Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2013-01-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/auth/psk.h: Some fix when disable-psk-authentication is
	specified. Based on patch by Jaak Ristioja.

2013-01-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/x509_dn.c: rewritten DN parsing code.

2013-01-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/cert-tests/Makefile.am, tests/cert-tests/template-dn.pem,
	tests/cert-tests/template-dn.tmpl, tests/cert-tests/template-test: 
	test the DN functionality of certtool.

2013-01-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/cert-tests/dane: dane test no longer fails if danetool isn't
	compiled

2013-01-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/system.c, lib/tpm.c, lib/x509/common.c,
	lib/x509/pkcs12_encr.c, lib/x509/x509_dn.c: use the non-locale
	dependent versions of isxxx functions.

2013-01-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/sbuf.c: allow writes of more than the maximum record data.

2013-01-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/gnutls_int.h, lib/gnutls_record.c, lib/gnutls_state.c,
	lib/includes/gnutls/gnutls.h.in: introduced gnutls_cork() and
	gnutls_uncork().

2013-01-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/Makefile.am, lib/includes/gnutls/sbuf.h,
	lib/libgnutls.map, lib/sbuf.c, lib/sbuf.h, lib/sbuf_getline.c,
	tests/mini-sbuf.c: Added gnutls_sbuf_getdelim() and getline().

2013-01-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, doc/invoke-gnutls-cli.texi: doc updates

2013-01-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_cipher.c, lib/gnutls_range.c, lib/gnutls_record.c,
	lib/gnutls_record.h: Small changes and a sanity check

2013-01-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/ocsp_output.c, lib/x509/output.c: print static strings
	without a printf-like function.

2013-01-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-gtls-app.texi, doc/cha-intro-tls.texi,
	lib/gnutls_range.c, lib/gnutls_record.c, lib/gnutls_record.h,
	lib/includes/gnutls/gnutls.h.in, lib/libgnutls.map, src/cli-args.c,
	src/cli-args.def, src/cli-args.h, src/cli.c, src/socket.c,
	src/socket.h: Updated ranges patch.

2013-01-22  Alfredo Pironti <alfredo@pironti.eu>

	* doc/Makefile.am, doc/cha-gtls-app.texi, doc/cha-intro-tls.texi,
	doc/invoke-gnutls-cli.texi, lib/Makefile.am,
	lib/ext/new_record_padding.c, lib/gnutls_cipher.c,
	lib/gnutls_cipher.h, lib/gnutls_int.h, lib/gnutls_priority.c,
	lib/gnutls_range.c, lib/gnutls_record.c, lib/gnutls_record.h,
	lib/includes/gnutls/gnutls.h.in, src/cli-args.c, src/cli-args.def,
	src/cli-args.h, src/cli.c, src/socket.c, src/socket.h,
	tests/mini-record.c: GnuTLS Length Hiding patch.  - Remove random padding; use minimal padding with legacy interface - With new interface, use LH when possible, that is in CBC mode or
	with the new padding extension - Rename priority to "NEW_PADDING" - gnutls-cli: add command line switch --ranges using LH when
	possible.  - Update documentation Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2013-01-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_session.c, lib/includes/gnutls/gnutls.h.in,
	lib/libgnutls.map: changed function name to
	gnutls_session_force_valid.

2013-01-22  Martin Storsjo <martin@martin.st>

	* lib/gnutls.pc.in: Update Libs.private with @LIB_CLOCK_GETTIME@ as
	well This is required when linking as static libraries on linux, for
	-lrt.  Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2013-01-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_priority.c: set a default error position.

2013-01-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_session.c, lib/includes/gnutls/gnutls.h.in,
	lib/libgnutls.map: Added gnutls_session_clear_invalid

2013-01-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am, doc/cha-functions.texi, doc/doc.mk: updated docs
	for sbuf API.

2013-01-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/gnutls_handshake.c, lib/gnutls_int.h,
	lib/gnutls_record.c, lib/includes/gnutls/gnutls.h.in: Added
	gnutls_record_set_timeout().

2013-01-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/includes/Makefile.am, lib/includes/gnutls/gnutls.h.in,
	lib/includes/gnutls/sbuf.h, lib/sbuf.c: updated sbuf layer.

2013-01-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/invoke-certtool.texi: Updated doc

2013-01-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/certtool-common.c: corrected C parameter generation.

2013-01-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac, lib/Makefile.am, lib/gnutls.pc.in: Updated
	Libs.private with all the required libraries

2013-01-21  Martin Storsjo <martin@martin.st>

	* lib/gnutls.pc.in: Include libiconv in Libs.private This makes static linking succeed if the library is configured to
	use libiconv.  Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2013-01-21  Martin Storsjo <martin@martin.st>

	* lib/gnutls_global.c, lib/verify-tofu.c: Define _gnutls_file_mutex
	in gnutls_global.c instead of in verify-tofu.c This fixes issues with linking the tools on OS X if not building
	shared libraries.  Currently, if building with --disable-shared on OS X, the build
	fails with:   CCLD   gnutls-serv Undefined symbols for architecture x86_64:   "__gnutls_file_mutex", referenced from:       _gnutls_global_deinit in libgnutls.a(gnutls_global.o)       _gnutls_global_init in libgnutls.a(gnutls_global.o) ld:
	symbol(s) not found for architecture x86_64 It seems that the linker fails to pull in verify-tofu.o to satisfy
	the undefined reference to _gnutls_file_mutex.o in gnutls_global.o
	unless gnutls_global.o (or any other object file in the link) also
	calls functions that pulls in verify-tofu.o. Since gnutls_global.o
	always is linked in, but verify-tofu.o can be left out unless
	someone calls the functions in it, defining the mutex in
	gnutls_global.c makes sense and simplifies the dependencies.  Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2013-01-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/Makefile.am, src/certtool-args.c, src/certtool-args.def,
	src/certtool-args.h, src/certtool-common.c, src/certtool-common.h,
	src/certtool.c, src/dh.c: Added --cprint option to certtool

2013-01-20  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/README.CODING_STYLE: updated coding style

2013-01-20  Alon Bar-Lev <alon.barlev@gmail.com>

	* src/Makefile.am: build: add danetool-args.c to BUILT_SOURCES Signed-off-by: Alon Bar-Lev <alon.barlev@gmail.com> Signed-off-by:
	Nikos Mavrogiannopoulos <nmav@gnutls.org>

2013-01-20  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore, tests/suite/Makefile.am,
	tests/suite/mini-record-timing.c: Added program to estimate the
	timings in different record paddings.

2013-01-18  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/invoke-danetool.texi, libdane/dane.c,
	libdane/includes/gnutls/dane.h, src/danetool-args.c,
	src/danetool-args.def, src/danetool-args.h, src/danetool.c: Added
	--insecure flag to danetool.

2013-01-17  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/certtool.c, tests/cert-tests/template-test.pem,
	tests/cert-tests/template-utf8.pem: modified certtool order of DN
	elements.

2013-01-17  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-sbuf.c: properly deinitialized sbuf

2013-01-17  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-dtls-record.c: initialize buffer before sending.

2013-01-17  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, tests/dn2.c: corrected test for new names and updated news.

2013-01-17  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, libdane/dane.c, libdane/errors.c,
	libdane/includes/gnutls/dane.h, libdane/libdane.map, m4/hooks.m4,
	src/danetool-args.c, src/danetool-args.def, src/danetool-args.h,
	src/danetool.c: Added options to specify a DLV file. Suggested by
	Paul Wouters.

2013-01-17  Nikos Mavrogiannopoulos <nikos@esat.kuleuven.be>

	* NEWS, lib/includes/gnutls/x509.h, lib/libgnutls.map,
	lib/x509/x509_dn.c: Added gnutls_x509_crt_set_issuer_dn().

2013-01-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/invoke-certtool.texi: updated certtool doc

2013-01-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, doc/TODO, doc/cha-cert-auth2.texi,
	lib/includes/gnutls/x509.h, lib/libgnutls.map,
	lib/x509/Makefile.am, lib/x509/common.c, lib/x509/common.h,
	lib/x509/x509_dn.c, src/certtool-args.c, src/certtool-args.def,
	src/certtool-args.h, src/certtool-cfg.c, src/certtool-cfg.h,
	src/certtool.c: Added functions to directly set the DN in a
	certificate or request from an RFC4514 string.

2013-01-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore: more files to ignore

2013-01-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, doc/cha-gtls-app.texi, lib/Makefile.am,
	lib/includes/gnutls/gnutls.h.in, lib/libgnutls.map, lib/sbuf.c,
	tests/Makefile.am, tests/mini-sbuf.c: Added functions to assist
	buffering during transmission.  Added the gnutls_sbuf_t structure and accompanying functions to
	enable buffering in sending application data.

2013-01-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* libdane/dane-params.c: corrected copyright.

2013-01-07  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_errors.c, lib/includes/gnutls/gnutls.h.in,
	lib/nettle/rnd.c: Added new error code GNUTLS_E_RANDOM_DEVICE_ERROR.

2013-01-07  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/nettle/egd.c: Corrected issue when an EGD device was not
	found. Reported by Joshua Phillips.

2013-01-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* cfg.mk: Added config rule

2013-01-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/examples/ex-client-x509.c: doc fix

2013-01-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/pkcs12.c: doc fix

2013-01-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/pkcs11.c: small updates

2013-01-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/reference/gnutls-docs.sgml: update

2013-01-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/crq.c: simplified naming

2013-01-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/reference/gnutls-docs.sgml: update

2013-01-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ext/status_request.c, lib/gnutls_dh_primes.c,
	lib/gnutls_ui.c, lib/openpgp/pgp.c, lib/openpgp/privkey.c,
	lib/pkcs11.c, lib/x509/dn.c, lib/x509/ocsp.c, lib/x509/pkcs12.c,
	lib/x509/pkcs7.c, lib/x509/x509.c: Added correct since

2013-01-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/latex/gnutls.tex: added babel (not sure why)

2013-01-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/reference/gnutls-docs.sgml: updated for 3.1

2013-01-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/nettle/pk.c: corrected error code

2013-01-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* cross.mk: updated makefile

2013-01-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: use AC_CONFIG_HEADER. Reported by Marko Lindqvist

2013-01-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: documented updates

2013-01-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_record.c: corrected typo

2013-01-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/libgnutls.map: updated exported function name

2012-12-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated

2012-12-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-gtls-app.texi, lib/ext/new_record_padding.c,
	lib/gnutls_priority.c, lib/includes/gnutls/gnutls.h.in,
	tests/mini-record.c: NEW_RECORD_PADDING priority string was renamed
	to RANDOM_PADDING

2012-12-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_cipher.c: corrected compression.

2012-12-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/includes/gnutls/x509.h: removed utf8 chars

2012-12-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/latex/gnutls.tex: updates in output

2012-12-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-record.c: Added checks for new record padding format.

2012-12-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_cipher.c, lib/gnutls_record.c: better checks in new
	record packets.

2012-12-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_cipher.c, lib/gnutls_int.h, lib/gnutls_record.c: use
	padding also if in DTLS.

2012-12-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_cipher.c, lib/gnutls_cipher.h, lib/gnutls_record.c: 
	some simplifications

2012-12-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_dtls.c: use new_record_padding in DTLS data mtu
	calculation

2012-12-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_cipher.c, lib/gnutls_cipher.h, lib/gnutls_record.c: 
	simplified decryption

2012-12-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ext/new_record_padding.c: removed debugging

2012-12-18  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/debug.c, lib/debug.h, lib/ext/Makefile.am,
	lib/ext/new_record_padding.c, lib/ext/new_record_padding.h,
	lib/gnutls_cipher.c, lib/gnutls_extensions.c,
	lib/gnutls_extensions.h, lib/gnutls_handshake.c, lib/gnutls_int.h,
	lib/gnutls_priority.c, lib/gnutls_record.c,
	lib/gnutls_session_pack.c, lib/includes/gnutls/gnutls.h.in,
	lib/libgnutls.map: Added a new record padding mechanism.  It is negotiated via an extension and record data are now formatted
	as: ciphered-struct {   opaque pad<0..2^16-1>   opaque content[TLSCompressed.length];   opaque MAC[CipherSpec.hash_size]; } The ciphered-struct size is
	always 0 modulo the block size in block ciphers to avoid any need
	for additional padding.  Added extension to negotiate new record padding.

2012-12-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore, tests/Makefile.am, tests/mini-dtls-record.c: Added
	test for duplicate packet detection in DTLS.

2012-12-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_dtls.c, lib/gnutls_int.h: Simplified DTLS sliding
	window implementation.

2012-12-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_record.c: Termination when expecting an alert is
	handled gracefully in DTLS.

2013-01-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: living in the past

2013-01-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, m4/hooks.m4: bumped library version

2013-01-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated news

2013-01-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-library.texi, doc/cha-tokens.texi, lib/Makefile.am,
	lib/tpm.c: If trousers is not present define the TPM functions but
	have them return GNUTLS_E_UNIMPLEMENTED_FEATURE.

2013-01-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: tpm support is disabled by default

2013-01-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/TODO: updated

2013-01-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/invoke-certtool.texi, doc/invoke-danetool.texi,
	doc/invoke-gnutls-cli-debug.texi, doc/invoke-gnutls-cli.texi,
	doc/invoke-gnutls-serv.texi, doc/invoke-ocsptool.texi,
	doc/invoke-p11tool.texi, doc/invoke-psktool.texi,
	doc/invoke-srptool.texi, doc/invoke-tpmtool.texi,
	doc/manpages/tpmtool.1: updated autogen'ed files.

2012-12-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-auth.texi, doc/cha-tokens.texi, doc/latex/Makefile.am,
	doc/latex/gnutls.tex: doc updates

2012-12-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* libdane/dane-params.c, libdane/dane.c: KU Leuven copyright stuff
	is LGPL version 2.1 or later

2012-12-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* THANKS: updated thanks file

2012-12-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* README-alpha: updated git2cl link

2012-12-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-auth.texi: corrected typos

2012-12-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-auth.texi: updated in auth chapter

2012-12-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am, doc/cha-auth.texi, doc/cha-cert-auth.texi,
	doc/cha-cert-auth2.texi, doc/cha-shared-key.texi, doc/gnutls.texi,
	doc/invoke-certtool.texi, doc/invoke-danetool.texi,
	doc/invoke-gnutls-cli-debug.texi, doc/invoke-gnutls-cli.texi,
	doc/invoke-gnutls-serv.texi, doc/invoke-ocsptool.texi,
	doc/invoke-p11tool.texi, doc/invoke-psktool.texi,
	doc/invoke-srptool.texi, doc/invoke-tpmtool.texi: Reorganization of
	the authentication chapter.

2012-12-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-auth.texi, doc/gnutls.texi: Added authentication methods
	chapter

2012-12-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/examples/ex-client-anon.c, doc/examples/ex-client-dtls.c,
	doc/examples/ex-client-psk.c, doc/examples/ex-client-resume.c,
	doc/examples/ex-client-x509.c, doc/examples/ex-serv-anon.c,
	doc/examples/ex-serv-dtls.c, doc/examples/ex-serv-pgp.c,
	doc/examples/ex-serv-psk.c, doc/examples/ex-serv-srp.c,
	doc/examples/ex-serv-x509.c: better code in client and server
	examples

2012-12-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/nettle/pk.c: made PKCS#1 1.5 encoding and decoding
	stricter. Reported by Kikuchi Masashi.

2012-12-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_record.c: corrected typo

2012-12-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_record.c: Termination when expecting an alert is
	handled gracefully in DTLS.

2012-12-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/ext/heartbeat.c: Improvements in heartbeat handling.

2012-12-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/examples/ex-serv-anon.c, doc/examples/ex-serv-dtls.c,
	doc/examples/ex-serv-pgp.c, doc/examples/ex-serv-psk.c,
	doc/examples/ex-serv-srp.c, doc/examples/ex-serv-x509.c: drop
	unecessary function in examples

2012-12-20  Martin Storsjo <martin@martin.st>

	* lib/ext/srtp.c: Don't match further SRTP profiles after one match
	has been found This makes SRTP profile matching more straightforward and intuitive,
	when the first matching SRTP profile will be the one selected, not
	the last one as before.  Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2012-12-20  Martin Storsjo <martin@martin.st>

	* lib/crypto-api.c: Fix the parameter name to gnutls_key_generate Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2012-12-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* README: updated

2012-12-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/suite/testcompat: corrected datefudge test

2012-12-18  Martin Storsjo <martin@martin.st>

	* lib/system_override.c: Fix docs for
	gnutls_transport_set_pull_timeout_function The timeout function returns int, not ssize_t.  Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2012-12-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/x509_write.c: doc update

2012-12-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: bumped version

2012-12-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/suite/mini-eagain2.c: added config.h

2012-12-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: corrected wording

2012-12-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* build-aux/snippet/warn-on-use.h, gl/Makefile.am, gl/base64.c,
	gl/error.c, gl/fstat.c, gl/getaddrinfo.c, gl/m4/base64.m4,
	gl/m4/error.m4, gl/m4/extern-inline.m4, gl/m4/fstat.m4,
	gl/m4/ftruncate.m4, gl/m4/getaddrinfo.m4, gl/m4/gnulib-comp.m4,
	gl/m4/lock.m4, gl/m4/lstat.m4, gl/m4/math_h.m4, gl/m4/open.m4,
	gl/m4/stat.m4, gl/m4/stdio_h.m4, gl/m4/sys_socket_h.m4,
	gl/m4/sys_stat_h.m4, gl/m4/unistd_h.m4, gl/m4/vasnprintf.m4,
	gl/math.c, gl/math.in.h, gl/stdio.c, gl/stdio.in.h,
	gl/sys_socket.c, gl/sys_socket.in.h, gl/sys_stat.in.h,
	gl/tests/ftruncate.c, gl/tests/glthread/lock.c, gl/tests/lstat.c,
	gl/tests/open.c, gl/tests/stat.c, gl/unistd.c, gl/unistd.in.h,
	gl/vasnprintf.c, maint.mk: updated gnulib

2012-12-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/suite/Makefile.am: corrected test

2012-12-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/invoke-certtool.texi, src/certtool-args.c,
	src/certtool-args.def, src/certtool-args.h: certtool
	--generate-request option conflicts with --infile. Suggested by
	Daniel Black.

2012-12-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: doc fix

2012-12-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am, doc/invoke-danetool.texi,
	doc/invoke-gnutls-cli-debug.texi, doc/invoke-gnutls-cli.texi,
	doc/invoke-gnutls-serv.texi, doc/invoke-ocsptool.texi,
	doc/invoke-psktool.texi, doc/invoke-srptool.texi,
	doc/invoke-tpmtool.texi, doc/manpages/Makefile.am,
	doc/manpages/tpmtool.1: use ECHO_N

2012-12-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/suite/Makefile.am: do not build ecore in macosx

2012-12-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* README, README-alpha: updated urls

2012-12-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/gnutls.texi, doc/latex/cover-epub.tex, doc/latex/cover.tex,
	lib/gnutls_privkey.c, lib/x509/crq.c, lib/x509/pkcs12.c,
	tests/pkcs12_simple.c: corrected copyright notices

2012-11-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/invoke-certtool.texi, src/certtool-args.c,
	src/certtool-args.def, src/certtool-args.h: updated documentation.

2012-11-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/common.c: _gnutls_strdatum_to_buf() will account for NULL
	input.

2012-11-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/output.c: allow GNUTLS_E_SHORT_MEMORY_BUFFER in
	gnutls_x509_crq_get_challenge_password

2012-12-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/crq.c: doc update

2012-11-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/invoke-p11tool.texi, src/p11tool-args.c,
	src/p11tool-args.def, src/p11tool-args.h: updated documentation

2012-12-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_privkey.c, lib/x509/pkcs12.c, lib/x509/privkey.c,
	tests/key-openssl.c, tests/pkcs12_simple.c: Import PKCS #12 keys

2012-12-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: document fix

2012-12-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_cipher.c: Corrected bugs in record parsing.  Corrected bugs in record padding parsing. Reported by Kenny
	Patterson and Nadhem Alfardan.

2012-12-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: documented fixes

2012-11-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ext/srtp.c, lib/ext/srtp.h: corrected copyright

2012-12-01  Ludovic Courtès <ludo@gnu.org>

	* guile/src/Makefile.am: guile: Fix dependencies to be
	parallel-safe.

2012-11-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-cert-auth.texi: Revert "do not document low-level
	functions" This reverts commit 7b334d581007ba4a91837edb1e0081959f32e363.

2012-11-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* README: mention dependencies in readme

2012-11-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* cfg.mk: update @VERSION@ -> actual version on the web manual

2012-11-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-cert-auth.texi: doc update

2012-11-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* cfg.mk: simplified generation of documentation

2012-11-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-gtls-app.texi: mention gnutls_sec_param_get_name

2012-11-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-crypto.texi, lib/gnutls_ui.c: doc updates

2012-11-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/socket.c: corrected socket loop. Based on patch by Mantas
	Mikulenas.

2012-11-26  Simon Josefsson <simon@josefsson.org>

	* lib/minitasn1/coding.c, lib/minitasn1/decoding.c,
	lib/minitasn1/element.c, lib/minitasn1/int.h,
	lib/minitasn1/libtasn1.h, lib/minitasn1/parser_aux.c,
	lib/minitasn1/parser_aux.h, lib/minitasn1/structure.c: Update
	minitasn1 to version 3.1.

2012-11-26  Simon Josefsson <simon@josefsson.org>

	* .gitignore, build-aux/snippet/unused-parameter.h,
	doc/gendocs_template, maint.mk: Update gnulib tools.  Add missing
	unused-parameter.h template.

2012-11-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated

2012-11-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/cli.c, src/ocsptool-common.c, src/socket.c, src/socket.h: 
	gnutls-cli will try to cannot to all possible returned addresses.

2012-11-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/TODO: updated todo list

2012-11-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/x509/x509.c: gnutls_x509_crt_get_policy() allows for a
	list of zero policy qualifiers.

2012-11-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/libopts/usage.c: Added hack to print the parameters correctly
	in windows.

2012-11-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/x509.c: updated

2012-11-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/cert-tests/template-test: repeat the tests to avoid
	accidental failures

2012-11-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/dn.c: LDAP string escaping was made stricter (rfc4514
	conforming)

2012-11-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/pkix.asn, lib/pkix_asn1_tab.c: removed unneeded types.

2012-11-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/common.c: UniversalString (UTF-32) is handled as
	non-printable for now.

2012-11-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/TODO: updated todo list

2012-11-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/common.c: Allow for bit strings that are not a multiple
	of 8.

2012-11-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, cross.mk: updated

2012-11-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* m4/hooks.m4: require libtasn1 3.1 or later

2012-11-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_asn1_tab.c, lib/pkix_asn1_tab.c, lib/tpm.c,
	lib/x509/common.c, lib/x509/common.h, lib/x509/crl.c,
	lib/x509/crq.c, lib/x509/dn.c, lib/x509/extensions.c,
	lib/x509/mpi.c, lib/x509/ocsp.c, lib/x509/pkcs12.c,
	lib/x509/pkcs12_bag.c, lib/x509/privkey.c, lib/x509/x509.c,
	lib/x509/x509_int.h, lib/x509/x509_write.c, tests/crq_apis.c,
	tests/set_pkcs12_cred.c: rewritten ASN.1 handling string subsystems
	to use the new libtasn1 APIs.

2012-11-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: released 3.1.5

2012-11-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore: more files to ignore

2012-11-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/common.c: corrected placeOfBirth DN parsing.

2012-11-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_global.c: no need to release struct

2012-11-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-cert-auth.texi: do not document low-level functions

2012-11-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/nettle/ecc_mulmod_cached.c: set cache to null after
	deinitialization

2012-11-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/cert-tests/template-test: fixed test

2012-11-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore, gl/Makefile.am, gl/c-strcase.h, gl/c-strcasecmp.c,
	gl/c-strncasecmp.c, gl/iconv.c, gl/iconv.in.h, gl/iconv_close.c,
	gl/iconv_open-aix.gperf, gl/iconv_open-aix.h,
	gl/iconv_open-hpux.gperf, gl/iconv_open-hpux.h,
	gl/iconv_open-irix.gperf, gl/iconv_open-irix.h,
	gl/iconv_open-osf.gperf, gl/iconv_open-osf.h,
	gl/iconv_open-solaris.gperf, gl/iconv_open-solaris.h,
	gl/iconv_open.c, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/m4/iconv_h.m4, gl/m4/iconv_open-utf.m4, gl/m4/iconv_open.m4,
	gl/m4/inline.m4, gl/m4/libunistring-base.m4, gl/m4/locale-fr.m4,
	gl/m4/locale-ja.m4, gl/m4/locale-tr.m4, gl/m4/locale-zh.m4,
	gl/m4/locale_h.m4, gl/m4/localename.m4, gl/m4/setlocale.m4,
	gl/tests/Makefile.am, gl/tests/locale.in.h, gl/tests/localename.c,
	gl/tests/localename.h, gl/tests/setlocale.c,
	gl/tests/test-c-strcase.sh, gl/tests/test-c-strcasecmp.c,
	gl/tests/test-c-strncasecmp.c, gl/tests/test-iconv-h.c,
	gl/tests/test-iconv-utf.c, gl/tests/test-locale.c,
	gl/tests/test-localename.c, gl/tests/test-setlocale1.c,
	gl/tests/test-setlocale1.sh, gl/tests/test-setlocale2.c,
	gl/tests/test-setlocale2.sh, gl/tests/unistr/test-u8-mbtoucr.c,
	gl/tests/unistr/test-u8-uctomb.c, gl/unistr.in.h,
	gl/unistr/u8-mbtoucr.c, gl/unistr/u8-uctomb-aux.c,
	gl/unistr/u8-uctomb.c, gl/unitypes.in.h: iconv() will include the
	UCS2->UTF8 convertion in systems that is not provided.

2012-11-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/pkix_asn1_tab.c: use the old type for compatibility

2012-11-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/minitasn1/libtasn1.h, lib/minitasn1/structure.c: updated
	libtasn1 version

2012-11-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac, m4/hooks.m4: bumped version

2012-11-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/system.c: simplified UTF-8 encoding.

2012-11-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, doc/invoke-danetool.texi, src/Makefile.am,
	src/danetool-args.c, src/danetool-args.def, src/danetool-args.h,
	src/danetool.c: danetool is being built even without libgnutls-dane.  The --check functionality is not operational though. It can only
	generate tlsa records.

2012-11-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/cert-tests/Makefile.am, tests/cert-tests/template-test,
	tests/cert-tests/template-utf8.pem,
	tests/cert-tests/template-utf8.tmpl: Added test on UTF-8 certificate
	generation.

2012-11-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/dn.c: removed redundant check

2012-11-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, doc/invoke-certtool.texi, src/certtool-args.c,
	src/certtool-args.def, src/certtool-args.h, src/certtool.c: updated
	parameters

2012-11-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/x509.c: update

2012-11-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-cert-auth.texi, lib/x509/x509.c: doc update

2012-11-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/cha-cert-auth2.texi, lib/pkcs11_privkey.c, lib/x509/output.c,
	lib/x509/x509.c, lib/x509/x509_write.c: doc update

2012-11-20  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/x509_write.c: enforce the 200 character limit.

2012-11-20  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/system.c: improved iconv support.

2012-11-20  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/cert-tests/aki, tests/cert-tests/aki-cert.pem,
	tests/cert-tests/bmpstring.pem, tests/cert-tests/ca-no-pathlen.pem,
	tests/cert-tests/no-ca-or-pathlen.pem, tests/cert-tests/pathlen: 
	updated for new output

2012-11-20  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: news update

2012-11-20  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, doc/Makefile.am, doc/cha-gtls-app.texi,
	doc/invoke-certtool.texi, doc/manpages/Makefile.am,
	lib/gnutls_pubkey.c, lib/includes/gnutls/abstract.h,
	lib/includes/gnutls/gnutls.h.in, lib/libgnutls.map,
	lib/x509/output.c, src/certtool-args.c, src/certtool-args.def,
	src/certtool-args.h, src/certtool-common.c, src/certtool-common.h,
	src/certtool.c, src/tpmtool.c: Several updates in certificate/public
	key printing.  * Added GNUTLS_CRT_PRINT_FULL_NUMBERS to print bignumbers in an
	easier to parse format.  * Added gnutls_pubkey_import_x509_crq() to convert a certificate
	request to a public key.  * Added gnutls_pubkey_print() to simplify public key printing.  * certtool's pubkey-info can be combined with --load-request.  * Added --numbers option to certtool which prints big numbers in an
	easier to parser format.

2012-11-20  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* build-aux/gendocs.sh, configure.ac, gl/Makefile.am, gl/dup2.c,
	gl/errno.in.h, gl/m4/errno_h.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/select.m4, gl/m4/stdlib_h.m4,
	gl/select.c, gl/stdlib.in.h, gl/strerror-override.c,
	gl/strerror-override.h, gl/tests/Makefile.am, gl/tests/dup2.c,
	gl/tests/fcntl.in.h, gl/tests/test-fcntl-h.c,
	gl/tests/test-iconv.c, gl/tests/test-select.h, lib/system.c,
	m4/hooks.m4, maint.mk: use gnulib to detect iconv.

2012-11-20  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, configure.ac, lib/Makefile.am, lib/system.c: check for
	either iconv or libiconv.

2012-11-20  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/certtool-args.c, src/certtool-args.def, src/certtool-args.h,
	src/certtool-cfg.c: simplified parsing

2012-11-20  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/output.c: print header only on the first policy

2012-11-20  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, doc/invoke-certtool.texi, src/certtool-args.c,
	src/certtool-args.def, src/certtool-args.h, src/certtool-cfg.c,
	src/certtool-cfg.h, src/certtool.c: certtool is able to set
	certificate policies via a template

2012-11-20  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/includes/gnutls/x509.h, lib/libgnutls.map,
	lib/x509/dn.c, lib/x509/output.c, lib/x509/x509.c,
	lib/x509/x509_write.c: Added gnutls_x509_crt_set_policy()

2012-11-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/crl.c, lib/x509/crq.c, lib/x509/dn.c, lib/x509/pkcs12.c,
	lib/x509/x509.c: doc update

2012-11-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, doc/Makefile.am, doc/manpages/Makefile.am,
	lib/includes/gnutls/x509.h, lib/x509/output.c, lib/x509/x509.c: 
	another rename

2012-11-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/system.c: corrected win32 UCS2 conversion.

2012-11-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, doc/Makefile.am, doc/manpages/Makefile.am,
	lib/includes/gnutls/x509.h, lib/system.c, lib/x509/output.c,
	lib/x509/x509.c: simplified naming

